Commit: 4806
Author: sam
Date:   Fri Apr 6 20:30:22 2012 +0000

    build: fix copyright information.

 caca/caca.h           |    2 +-
 caca/caca_internals.h |    2 +-
 caca/driver/ncurses.c |    2 +-
 caca/driver/x11.c     |    2 +-
 caca/figfont.c        |    2 +-
 ruby/caca-display.c   |    2 +-
 src/cacaclock.c       |    4 ++--
 7 files changed, 8 insertions(+), 8 deletions(-)

Commit: 4805
Author: sam
Date:   Fri Apr 6 20:30:16 2012 +0000

    figfont: support setting the canvas width and smushing mode from the
    calling application.

 caca/caca.h    |    2 +
 caca/figfont.c |  134 +++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 97 insertions(+), 39 deletions(-)

Commit: 4804
Author: sam
Date:   Fri Apr 6 20:30:09 2012 +0000

    build: fix "make dist", which was broken because of the vcproj -> vcxproj
    migration.

 caca/Makefile.am |    2 +-
 cxx/Makefile.am  |    2 +-
 src/Makefile.am  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Commit: 4803
Author: sam
Date:   Fri Apr 6 18:42:05 2012 +0000

    figfont: stick the source canvas's width, if specified.

 caca/figfont.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4802
Author: alxf
Date:   Fri Jan 13 20:17:01 2012 +0000

    Add support for python3 to python bindings.

 python/caca/__init__.py    |   25 +++++++-
 python/caca/canvas.py      |  148 ++++++++++++++++++++++++++------------------
 python/caca/common.py      |   43 ++++++++++---
 python/caca/display.py     |   32 +++++++---
 python/caca/dither.py      |    4 +-
 python/caca/font.py        |    5 +-
 python/examples/blit.py    |    6 +-
 python/examples/colors.py  |    6 +-
 python/examples/drawing.py |   15 ++---
 python/examples/driver.py  |    2 +-
 python/examples/event.py   |    4 +-
 python/examples/figfont.py |   12 ++--
 python/examples/font.py    |   23 ++++---
 python/examples/frames.py  |    6 +-
 python/examples/gol.py     |   34 +++++-----
 python/examples/text.py    |   10 ++--
 python/setup.py            |   11 +++-
 python/test/__init__.py    |    2 +-
 python/test/canvas.py      |    4 +-
 19 files changed, 244 insertions(+), 148 deletions(-)

Commit: 4801
Author: alxf
Date:   Wed Jan 11 18:00:16 2012 +0000

    Add unittest for canvas module.

 python/setup.py         |   11 ++-
 python/test/__init__.py |   66 ++++++++++
 python/test/canvas.py   |  329 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 405 insertions(+), 1 deletions(-)

Commit: 4800
Author: alxf
Date:   Wed Jan 11 15:44:37 2012 +0000

    Drop tabs and trailing spaces.

 python/caca/canvas.py |    2 +-
 src/cacaclock.c       |  264 ++++++++++++++++++++++++------------------------
 2 files changed, 133 insertions(+), 133 deletions(-)

Commit: 4799
Author: alxf
Date:   Wed Jan 11 15:21:35 2012 +0000

    Add check-source rule for python files.

 Makefile.am        |    2 +-
 python/Makefile.am |    2 ++
 2 files changed, 3 insertions(+), 1 deletions(-)

Commit: 4798
Author: alxf
Date:   Wed Jan 11 15:21:29 2012 +0000

    Fixed wildcard for python and perl extension.

 test/check-source |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4797
Author: alxf
Date:   Wed Jan 11 15:21:23 2012 +0000

    Add cacaclock demo and python binaries to git ignore list.

 .gitignore |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 4787
Author: pterjan
Date:   Sun Aug 21 15:09:52 2011 +0000

    Drop trailing spaces

 src/cacaclock.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

Commit: 4786
Author: pterjan
Date:   Sun Aug 21 15:06:30 2011 +0000

     Add set_cursor to the ruby binding (patch from Tony Miller <mcfiredrill@gmail.com>)

 ruby/caca-display.c  |   17 +++++++++++++++++
 ruby/t/tc_display.rb |    4 ++++
 2 files changed, 21 insertions(+), 0 deletions(-)

Commit: 4780
Author: sam
Date:   Tue Mar 29 20:18:16 2011 +0000

    ncurses: if terminal doesn't support curs_set(2), try curs_set(1).

 caca/driver/ncurses.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

Commit: 4779
Author: jylam
Date:   Sun Mar 6 10:03:03 2011 +0000

     * Updated help

 src/cacaclock.c |   17 ++++++++---------
 1 files changed, 8 insertions(+), 9 deletions(-)

Commit: 4778
Author: jylam
Date:   Sun Mar 6 08:18:46 2011 +0000

     * Removed unused variable

 src/cacaclock.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

Commit: 4777
Author: jylam
Date:   Sun Mar 6 08:17:14 2011 +0000

     * Added command line parsing (--dateformat, --font, --help, --version)
     * Center font

 XCode/libcacaXCode.xcodeproj/project.pbxproj |    6 +-
 configure.ac                                 |   10 ++--
 src/cacaclock.c                              |  100 ++++++++++++++++++++++----
 3 files changed, 94 insertions(+), 22 deletions(-)

Commit: 4776
Author: alxf
Date:   Sat Mar 5 17:26:35 2011 +0000

    * Handles error messages from libcaca and ctypes with CanvasError exception.

 python/caca/canvas.py |  913 +++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 729 insertions(+), 184 deletions(-)

Commit: 4775
Author: jylam
Date:   Fri Mar 4 17:26:35 2011 +0000

     * Added width/height fetch

 src/cacaclock.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

Commit: 4774
Author: alxf
Date:   Fri Mar 4 16:45:10 2011 +0000

    * Fixed utf32_to_utf8 function.

 python/caca/common.py |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

Commit: 4773
Author: jylam
Date:   Fri Mar 4 11:03:21 2011 +0000

     * Added preliminary cacaclock, a continuous clock

 src/Makefile.am |    6 +++-
 src/cacaclock.c |  105 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 110 insertions(+), 1 deletions(-)

Commit: 4772
Author: alxf
Date:   Sat Feb 19 13:11:34 2011 +0000

    * Make mask an optional argument for Canvas.blit method.
    * Drawing and put_figchar methods now can handle utf8 chars.

 python/caca/canvas.py      |   75 +++++++++++++++++++++++++++++++++++++------
 python/examples/figfont.py |    2 +-
 2 files changed, 65 insertions(+), 12 deletions(-)

Commit: 4771
Author: alxf
Date:   Fri Feb 18 19:03:44 2011 +0000

    * method Canvas.put_char now handle utf8 char.

 python/caca/canvas.py |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

Commit: 4770
Author: alxf
Date:   Sun Feb 13 19:07:20 2011 +0000

    * Bind font functions.
    * Bind caca_render_canvas function.
    * Add example font.

 python/caca/canvas.py   |   18 ++++++++++
 python/caca/font.py     |   47 ++++++++++++++++++++++++++--
 python/examples/font.py |   80 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 142 insertions(+), 3 deletions(-)

Commit: 4769
Author: alxf
Date:   Sun Feb 13 16:39:13 2011 +0000

    * Fix get_key_utf8 method, return python string with utf8 char now.

 python/caca/display.py |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

Commit: 4767
Author: sam
Date:   Sun Feb 13 13:12:28 2011 +0000

    Fix a bug in our Xutf8LookupString() usage.

 caca/driver/x11.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

Commit: 4766
Author: sam
Date:   Sun Feb 13 12:48:50 2011 +0000

    Rename figfont into charfont. We will support far more than figfonts in
    the future.

 caca/caca.h           |   17 ++++++++++++++---
 caca/caca_internals.h |    3 +--
 caca/figfont.c        |   24 ++++++++++++------------
 3 files changed, 27 insertions(+), 17 deletions(-)

Commit: 4712
Author: alxf
Date:   Sat Nov 13 12:23:52 2010 +0000

    * Add examples: colors, driver and event.

 python/Makefile.am        |    9 +++-
 python/examples/colors.py |   76 ++++++++++++++++++++++++++
 python/examples/driver.py |   67 +++++++++++++++++++++++
 python/examples/event.py  |  131 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 282 insertions(+), 1 deletions(-)

Commit: 4711
Author: alxf
Date:   Thu Nov 11 11:36:52 2010 +0000

    * Add examples: blit, frames and text.

 python/examples/blit.py   |   66 ++++++++++++++++++++++++++++++++++++++++
 python/examples/frames.py |   74 +++++++++++++++++++++++++++++++++++++++++++++
 python/examples/text.py   |   73 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 213 insertions(+), 0 deletions(-)

Commit: 4710
Author: alxf
Date:   Thu Nov 11 08:46:17 2010 +0000

    * Bind figfont functions
    * Add example figfont

 python/caca/canvas.py      |   28 ++++++++++++++++++++++
 python/examples/figfont.py |   54 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+), 0 deletions(-)

Commit: 4708
Author: alxf
Date:   Mon Nov 8 19:26:33 2010 +0000

    * Convert RGB image to RGBA.

 python/examples/img2txt.py |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

Commit: 4707
Author: alxf
Date:   Mon Nov 8 19:20:12 2010 +0000

    * Fix color mask order in Dither class.

 python/caca/dither.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4706
Author: alxf
Date:   Mon Nov 8 13:21:30 2010 +0000

    * Add example: port of img2txt with python bindings.

 python/Makefile.am         |    1 +
 python/examples/img2txt.py |  233 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 234 insertions(+), 0 deletions(-)

Commit: 4705
Author: alxf
Date:   Sun Nov 7 17:08:24 2010 +0000

    * Bind dither functions

 python/caca/dither.py |  287 ++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 283 insertions(+), 4 deletions(-)

Commit: 4702
Author: jylam
Date:   Fri Oct 29 15:52:51 2010 +0000

     * Fixed typo in img2txt doc (patch courtesy of Julien Danjou)
     * Fixes #85

 doc/img2txt.1 |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

Commit: 4689
Author: sam
Date:   Tue Oct 12 23:04:53 2010 +0000

    Fix the Win32 build: ssize_t was no longer defined.

 caca/caca_types.h |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

Commit: 4688
Author: sam
Date:   Tue Oct 12 15:26:02 2010 +0000

    Convert stuff to Visual Studio 2010. It has <stdint.h>!

 caca-sharp/caca-sharp.csproj  |   36 +++-
 caca-sharp/test-csharp.csproj |   35 ++-
 caca/libcaca.vcproj           |  514 -----------------------------------------
 caca/libcaca.vcxproj          |  229 ++++++++++++++++++
 cxx/libcaca++.vcproj          |  341 ---------------------------
 cxx/libcaca++.vcxproj         |  193 +++++++++++++++
 cxx/test-cxx.vcproj           |  335 ---------------------------
 cxx/test-cxx.vcxproj          |  195 ++++++++++++++++
 examples/blit.vcproj          |  363 -----------------------------
 examples/blit.vcxproj         |  223 ++++++++++++++++++
 examples/colors.vcproj        |  363 -----------------------------
 examples/colors.vcxproj       |  223 ++++++++++++++++++
 examples/conio-snake.vcproj   |  363 -----------------------------
 examples/conio-snake.vcxproj  |  223 ++++++++++++++++++
 examples/conio.vcproj         |  363 -----------------------------
 examples/conio.vcxproj        |  223 ++++++++++++++++++
 examples/demo.vcproj          |  363 -----------------------------
 examples/demo.vcxproj         |  223 ++++++++++++++++++
 examples/dithering.vcproj     |  363 -----------------------------
 examples/dithering.vcxproj    |  223 ++++++++++++++++++
 examples/driver.vcproj        |  363 -----------------------------
 examples/driver.vcxproj       |  223 ++++++++++++++++++
 examples/event.vcproj         |  363 -----------------------------
 examples/event.vcxproj        |  223 ++++++++++++++++++
 examples/font.vcproj          |  363 -----------------------------
 examples/font.vcxproj         |  223 ++++++++++++++++++
 examples/frames.vcproj        |  363 -----------------------------
 examples/frames.vcxproj       |  223 ++++++++++++++++++
 examples/fullwidth.vcproj     |  363 -----------------------------
 examples/fullwidth.vcxproj    |  223 ++++++++++++++++++
 examples/gamma.vcproj         |  363 -----------------------------
 examples/gamma.vcxproj        |  223 ++++++++++++++++++
 examples/hsv.vcproj           |  363 -----------------------------
 examples/hsv.vcxproj          |  223 ++++++++++++++++++
 examples/import.vcproj        |  363 -----------------------------
 examples/import.vcxproj       |  223 ++++++++++++++++++
 examples/input.vcproj         |  363 -----------------------------
 examples/input.vcxproj        |  223 ++++++++++++++++++
 examples/transform.vcproj     |  359 ----------------------------
 examples/transform.vcxproj    |  220 ++++++++++++++++++
 examples/truecolor.vcproj     |  363 -----------------------------
 examples/truecolor.vcxproj    |  223 ++++++++++++++++++
 examples/unicode.vcproj       |  363 -----------------------------
 examples/unicode.vcxproj      |  223 ++++++++++++++++++
 libcaca.sln                   |  349 +++++++++-------------------
 src/cacademo.vcproj           |  363 -----------------------------
 src/cacademo.vcxproj          |  223 ++++++++++++++++++
 src/cacafire.vcproj           |  363 -----------------------------
 src/cacafire.vcxproj          |  223 ++++++++++++++++++
 src/cacaview.vcproj           |  366 -----------------------------
 src/cacaview.vcxproj          |  217 +++++++++++++++++
 test/bench.vcproj             |  364 -----------------------------
 test/bench.vcxproj            |  224 ++++++++++++++++++
 53 files changed, 5681 insertions(+), 9430 deletions(-)

Commit: 4687
Author: sam
Date:   Sat Oct 9 09:58:00 2010 +0000

    Minor tuning to caca_types.h.

 caca/caca_types.h |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

Commit: 4686
Author: sam
Date:   Sat Oct 9 09:43:25 2010 +0000

    Get rid of the build time generated caca_types.h. It sucked.

 .gitignore           |    2 -
 caca/Makefile.am     |    4 +-
 caca/caca_types.h    |  103 +++++++++++++++++++++++++++++++++++++++++++++
 caca/caca_types.h.in |  114 --------------------------------------------------
 caca/libcaca.vcproj  |    2 +-
 configure.ac         |   16 -------
 win32/Makefile.am    |    2 +-
 win32/caca_types.h   |    6 ---
 8 files changed, 107 insertions(+), 142 deletions(-)

Commit: 4680
Author: sam
Date:   Thu Oct 7 21:33:47 2010 +0000

    Link libcaca with -lgnugetopt if necessary.

 caca/Makefile.am |    2 +-
 src/Makefile.am  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 4679
Author: sam
Date:   Thu Oct 7 21:33:42 2010 +0000

    Set version to 0.99beta18.

 NEWS           |    4 ++++
 configure.ac   |    2 +-
 win32/config.h |    2 +-
 3 files changed, 6 insertions(+), 2 deletions(-)

Commit: 4678
Author: sam
Date:   Thu Oct 7 21:33:36 2010 +0000

    Remove spurious tabs from source.

 caca/transform.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4677
Author: sam
Date:   Thu Oct 7 21:03:34 2010 +0000

    Move mygetopt() directly into libcaca, for use by other programs.

 caca/Makefile.am    |    1 +
 caca/caca.h         |   25 ++++++++++
 caca/getopt.c       |  133 +++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/libcaca.vcproj |    4 ++
 configure.ac        |    1 -
 src/Makefile.am     |    4 --
 src/img2txt.c       |   35 +++++---------
 src/mygetopt.c      |  120 ----------------------------------------------
 src/mygetopt.h      |   29 -----------
 9 files changed, 175 insertions(+), 177 deletions(-)

Commit: 4644
Author: sam
Date:   Thu Sep 2 21:02:16 2010 +0000

    Mark the font data as const. We no longer modify it in place.

 caca/mono9.data      |    2 +-
 caca/monobold12.data |    2 +-
 tools/makefont.c     |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Commit: 4643
Author: sam
Date:   Thu Sep 2 21:02:06 2010 +0000

    Comply with cygwin's curses.h implementation.

 caca/driver/ncurses.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

Commit: 4642
Author: pterjan
Date:   Thu Aug 26 21:57:11 2010 +0000

     * Do not force output to be in UTF-8, some people have not switched yet...

 caca/driver/slang.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4641
Author: pterjan
Date:   Thu Aug 26 21:14:12 2010 +0000

     * Fix using dead keys on my us_intl keyboard
      - Ignore key events when XFilterEvent returns true
      - Do not set key to 0 when it is over 128

 caca/driver/x11.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

Commit: 4411
Author: alxf
Date:   Fri Jul 2 20:04:26 2010 +0000

    * Bind event functions.

 python/caca/display.py |   89 ++++++++++++++++++++++++++++--------------------
 1 files changed, 52 insertions(+), 37 deletions(-)

Commit: 4410
Author: alxf
Date:   Tue Jun 22 23:15:33 2010 +0000

    * Fix bad condition.

 python/caca/canvas.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4409
Author: alxf
Date:   Mon Jun 21 18:09:23 2010 +0000

    * Rename cv variable to pointer.

 python/caca/canvas.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 4408
Author: alxf
Date:   Mon Jun 21 18:06:26 2010 +0000

    * Add optional pointer argument to Canvas class.
    * get_canvas method now return Python Canvas object.

 python/caca/canvas.py  |   14 +++++++++-----
 python/caca/display.py |   11 +++++++++--
 2 files changed, 18 insertions(+), 7 deletions(-)

Commit: 4405
Author: alxf
Date:   Sun Jun 20 21:32:31 2010 +0000

    * Fix export functions.

 python/caca/canvas.py |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

Commit: 4404
Author: alxf
Date:   Tue Jun 1 18:21:41 2010 +0000

    * Fix get_dirty_rect function.
    * Add exceptions for missing methods.

 python/caca/canvas.py |   61 +++++++++++++++++++++++++++++--------------------
 1 files changed, 36 insertions(+), 25 deletions(-)

Commit: 4403
Author: alxf
Date:   Sun May 30 18:59:39 2010 +0000

    * Bind import functions.

 python/caca/canvas.py |   91 ++++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 82 insertions(+), 9 deletions(-)

Commit: 4402
Author: alxf
Date:   Sun May 30 12:47:28 2010 +0000

    * Bind export functions.

 python/caca/canvas.py |   61 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 61 insertions(+), 0 deletions(-)

Commit: 4401
Author: alxf
Date:   Fri May 28 17:28:43 2010 +0000

    * Fix python Makefile.

 python/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 4400
Author: pterjan
Date:   Thu May 27 14:43:11 2010 +0000

     * Improve rotated T, add P Q R ; 3 4

 caca/transform.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

Commit: 4399
Author: pterjan
Date:   Thu May 27 11:30:08 2010 +0000

     * Add a rotated T

 caca/transform.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 4398
Author: sam
Date:   Thu May 20 23:32:35 2010 +0000

    New improved ctypes-based Python bindings, by Alex Foulon <alxf@lavabit.com>.

 AUTHORS                     |    4 +-
 configure.ac                |    9 +
 python/Makefile.am          |   35 +-
 python/README               |   16 -
 python/caca.txt             |   26 --
 python/caca/__init__.py     |   27 ++
 python/caca/canvas.py       |  812 ++++++++++++++++++++++++++++++++++++++++
 python/caca/common.py       |  335 +++++++++++++++++
 python/caca/display.py      |  251 +++++++++++++
 python/caca/dither.py       |   65 ++++
 python/caca/font.py         |   59 +++
 python/examples/cacainfo.py |   37 ++
 python/examples/drawing.py  |  118 ++++++
 python/examples/gol.py      |  171 +++++++++
 python/pypycaca.c           |  860 -------------------------------------------
 python/pypycaca.h           |  159 --------
 python/setup.py             |   12 +
 python/snake.py             |  167 ---------
 python/test1.py             |  114 ------
 python/test2.py             |   56 ---
 20 files changed, 1914 insertions(+), 1419 deletions(-)

Commit: 4396
Author: sam
Date:   Thu Apr 22 13:54:44 2010 +0000

    On Win32 and Win64, define 32-bit C99 types as ints instead of longs, because
    a lot of software (wrongly) assumes that int32_t is the same as int.

 caca/caca_types.h.in |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Commit: 4395
Author: sam
Date:   Tue Apr 20 12:19:55 2010 +0000

    Fix a few things in the VS2k8 solution.

 caca/libcaca.vcproj |    8 ++++----
 libcaca.sln         |    3 +++
 2 files changed, 7 insertions(+), 4 deletions(-)

Commit: 4392
Author: sam
Date:   Fri Apr 16 21:06:09 2010 +0000

    Clarify the need to bootstrap in README.

 README |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 4390
Author: sam
Date:   Fri Apr 16 11:23:02 2010 +0000

    Fix the Visual Studio solution.

 libcaca.sln |   35 +++++++++++++++--------------------
 1 files changed, 15 insertions(+), 20 deletions(-)

Commit: 4389
Author: sam
Date:   Fri Apr 16 11:22:38 2010 +0000

    A few C89 compilation fixes.

 caca/triangle.c |   95 +++++++++++++++++++++++++------------------------------
 1 files changed, 43 insertions(+), 52 deletions(-)

Commit: 4387
Author: sam
Date:   Thu Apr 1 19:42:28 2010 +0000

    Add new Unicode characters to other transformation routines.

 caca/transform.c |   52 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 51 insertions(+), 1 deletions(-)

Commit: 4386
Author: pterjan
Date:   Mon Mar 29 10:48:24 2010 +0000

     * Add few unicode charecters to the flip table

 caca/transform.c |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

Commit: 4385
Author: sam
Date:   Sun Mar 21 21:53:59 2010 +0000

    Fix a typo in doc/Makefile.am preventing the documentation to build.

 doc/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4369
Author: sam
Date:   Mon Feb 15 23:57:13 2010 +0000

    Add the copyright unit test and update copyright information everywhere.

 caca/attr.c              |    2 +-
 caca/box.c               |    2 +-
 caca/caca.c              |    2 +-
 caca/caca0.c             |    2 +-
 caca/caca_conio.c        |    2 +-
 caca/caca_conio.h        |    2 +-
 caca/caca_debug.h        |    2 +-
 caca/caca_internals.h    |    2 +-
 caca/caca_prof.h         |    2 +-
 caca/caca_stubs.h        |    2 +-
 caca/caca_types.h.in     |    2 +-
 caca/canvas.c            |    2 +-
 caca/charset.c           |    2 +-
 caca/codec/codec.h       |    2 +-
 caca/codec/export.c      |    2 +-
 caca/codec/import.c      |    2 +-
 caca/codec/text.c        |    2 +-
 caca/conic.c             |    2 +-
 caca/dirty.c             |    2 +-
 caca/dither.c            |    2 +-
 caca/driver/conio.c      |    2 +-
 caca/driver/gl.c         |    2 +-
 caca/driver/ncurses.c    |    2 +-
 caca/driver/null.c       |    2 +-
 caca/driver/raw.c        |    2 +-
 caca/driver/slang.c      |    2 +-
 caca/driver/vga.c        |    2 +-
 caca/driver/win32.c      |    2 +-
 caca/driver/x11.c        |    2 +-
 caca/event.c             |    2 +-
 caca/figfont.c           |    2 +-
 caca/file.c              |    2 +-
 caca/font.c              |    2 +-
 caca/frame.c             |    2 +-
 caca/graphics.c          |    2 +-
 caca/legacy.c            |    2 +-
 caca/line.c              |    2 +-
 caca/prof.c              |    2 +-
 caca/string.c            |    2 +-
 caca/time.c              |    2 +-
 caca/transform.c         |    2 +-
 caca/triangle.c          |    2 +-
 cxx/caca++.cpp           |    5 +++--
 cxx/caca++.h             |    5 +++--
 cxx/cxxtest.cpp          |    3 ++-
 examples/blit.c          |    2 +-
 examples/canvas.c        |    2 +-
 examples/colors.c        |    2 +-
 examples/conio-snake.cpp |    1 +
 examples/conio.c         |    4 ++++
 examples/demo.c          |    2 +-
 examples/demo0.c         |    2 +-
 examples/dithering.c     |    2 +-
 examples/driver.c        |    2 +-
 examples/event.c         |    2 +-
 examples/export.c        |    2 +-
 examples/figfont.c       |    2 +-
 examples/font.c          |    2 +-
 examples/font2tga.c      |    2 +-
 examples/frames.c        |    2 +-
 examples/fullwidth.c     |    2 +-
 examples/gamma.c         |    2 +-
 examples/hsv.c           |    2 +-
 examples/import.c        |    2 +-
 examples/input.c         |    2 +-
 examples/mouse.c         |    2 +-
 examples/spritedit.c     |    2 +-
 examples/swallow.c       |    2 +-
 examples/text.c          |    2 +-
 examples/transform.c     |    2 +-
 examples/trifiller.c     |    2 +-
 examples/truecolor.c     |    2 +-
 examples/unicode.c       |    2 +-
 kernel/kernel.c          |    2 +-
 kernel/kernel.h          |    2 +-
 kernel/multiboot.h       |    1 +
 ruby/caca-canvas.c       |    2 +-
 ruby/caca-canvas.h       |   11 +++++++++++
 ruby/caca-display.c      |    2 +-
 ruby/caca-display.h      |   11 +++++++++++
 ruby/caca-dither.c       |    2 +-
 ruby/caca-dither.h       |   11 +++++++++++
 ruby/caca-event.c        |    2 +-
 ruby/caca-event.h        |   11 +++++++++++
 ruby/caca-font.c         |    2 +-
 ruby/caca-font.h         |   11 +++++++++++
 ruby/caca.c              |    2 +-
 ruby/common.h            |   11 +++++++++++
 src/aafire.c             |    2 +-
 src/cacademo.c           |    2 +-
 src/cacadraw.c           |    2 +-
 src/cacaplay.c           |    2 +-
 src/cacaserver.c         |    2 +-
 src/cacaview.c           |    2 +-
 src/common-image.c       |    2 +-
 src/common-image.h       |    2 +-
 src/img2txt.c            |    2 +-
 src/texture.h            |   12 ++++++++++++
 test/Makefile.am         |    5 +++--
 test/check-copyright     |   39 +++++++++++++++++++++++++++++++++++++++
 tools/makefont.c         |    4 ++--
 tools/optipal.c          |    2 +-
 tools/sortchars.c        |    2 +-
 103 files changed, 223 insertions(+), 96 deletions(-)

Commit: 4363
Author: sam
Date:   Wed Feb 10 23:35:08 2010 +0000

    Use Computer Modern fonts instead of that ugly Times.

 doc/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 4352
Author: sam
Date:   Tue Feb 9 00:49:31 2010 +0000

    Make the check-source test more generic.

 Makefile.am       |    2 ++
 test/check-source |    5 +++--
 2 files changed, 5 insertions(+), 2 deletions(-)

Commit: 4351
Author: sam
Date:   Tue Feb 9 00:45:18 2010 +0000

    Get rid of pushd/popd in the testsuite.

 test/check-source |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

Commit: 4346
Author: sam
Date:   Mon Feb 8 23:39:34 2010 +0000

    Synchronise mygetopt.c with zzuf.

 src/mygetopt.c |   12 ++++++++----
 src/mygetopt.h |    4 ++--
 2 files changed, 10 insertions(+), 6 deletions(-)

Commit: 4341
Author: sam
Date:   Mon Feb 8 14:29:19 2010 +0000

    Add triangle texture mapping to NEWS and update ChangeLog.

 ChangeLog |   19 +++++++++++++++++++
 NEWS      |    1 +
 2 files changed, 20 insertions(+), 0 deletions(-)

Commit: 4340
Author: sam
Date:   Mon Feb 8 13:59:04 2010 +0000

    Update changelog.

 ChangeLog |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

Commit: 4339
Author: sam
Date:   Mon Feb 8 13:57:46 2010 +0000

    Disable set_dither_palette until we really use it.

 caca-sharp/Dither.cs |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 4338
Author: sam
Date:   Mon Feb 8 13:51:52 2010 +0000

    Fix distribution of Java source.

 java/Makefile.am |   69 ++++++++++++++++++++++++++++++++---------------------
 1 files changed, 42 insertions(+), 27 deletions(-)

Commit: 4334
Author: sam
Date:   Mon Feb 8 01:50:59 2010 +0000

    Fix ChangeLog, NEWS and win32/config.h for release 0.99.beta17.

 ChangeLog      |  239 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS           |    3 +
 win32/config.h |    2 +-
 3 files changed, 243 insertions(+), 1 deletions(-)

Commit: 4333
Author: sam
Date:   Mon Feb 8 01:27:22 2010 +0000

    Large source code cleanup, getting rid of spaces, tabs, and svn keywords.

 AUTHORS                                 |    2 +-
 ChangeLog                               |   26 +-
 Makefile.am                             |    1 -
 NEWS                                    |   37 +-
 NOTES                                   |    1 -
 README                                  |    7 +-
 THANKS                                  |    2 +-
 bootstrap                               |    1 -
 build-dos                               |    1 -
 build-kernel                            |    3 +-
 build-win32                             |    1 -
 caca-config.in                          |    1 -
 caca-php/examples/cacainfo.php          |   56 +-
 caca-php/examples/cacapig.php           |   82 ++--
 caca-php/examples/colors.php            |   24 +-
 caca-php/examples/demo.php              |  630 +++++++++++-----------
 caca-php/examples/dithering.php         |    8 +-
 caca-php/examples/export.php            |  166 +++---
 caca-php/examples/figfont.php           |   30 +-
 caca-php/examples/fullwidth.php         |   32 +-
 caca-php/examples/img2txt.php           |  682 ++++++++++++------------
 caca-php/examples/import.php            |   24 +-
 caca-php/examples/polyline.php          |   44 +-
 caca-php/examples/render.php            |   30 +-
 caca-php/examples/test.php              |  208 ++++----
 caca-php/examples/text.php              |   38 +-
 caca-php/examples/transform.php         |   32 +-
 caca-php/examples/truecolor.php         |   30 +-
 caca-php/examples/unicode.php           |   10 +-
 caca-php/examples/www/cacainfo.php      |   56 +-
 caca-php/examples/www/colors.php        |   20 +-
 caca-php/examples/www/dithering.php     |    4 +-
 caca-php/examples/www/export.php        |  264 +++++-----
 caca-php/examples/www/figlet.php        |   52 +-
 caca-php/examples/www/fullwidth.php     |   28 +-
 caca-php/examples/www/img2txt.php       |  858 +++++++++++++++----------------
 caca-php/examples/www/import.php        |   42 +-
 caca-php/examples/www/render.php        |   66 ++--
 caca-php/examples/www/text.php          |   36 +-
 caca-php/examples/www/transform.php     |   28 +-
 caca-php/examples/www/truecolor.php     |   26 +-
 caca-php/examples/www/unicode.php       |    6 +-
 caca-sharp/AssemblyInfo.cs              |    2 -
 caca-sharp/Attr.cs                      |    2 -
 caca-sharp/Caca.cs                      |    2 -
 caca-sharp/Canvas.cs                    |    2 -
 caca-sharp/Display.cs                   |    2 -
 caca-sharp/Dither.cs                    |    2 -
 caca-sharp/Event.cs                     |    2 -
 caca-sharp/Font.cs                      |    2 -
 caca-sharp/Makefile.am                  |    1 -
 caca-sharp/test.cs                      |    2 -
 caca/Makefile.am                        |    1 -
 caca/attr.c                             |    2 -
 caca/box.c                              |    2 -
 caca/caca.c                             |    2 -
 caca/caca.h                             |    3 -
 caca/caca0.c                            |    2 -
 caca/caca0.h                            |    2 -
 caca/caca_conio.c                       |    2 -
 caca/caca_conio.h                       |    2 -
 caca/caca_debug.h                       |    9 +-
 caca/caca_internals.h                   |    2 -
 caca/caca_prof.h                        |    9 +-
 caca/caca_stubs.h                       |    9 +-
 caca/caca_types.h.in                    |    9 +-
 caca/canvas.c                           |    2 -
 caca/charset.c                          |    2 -
 caca/codec/codec.h                      |    2 -
 caca/codec/export.c                     |    2 -
 caca/codec/import.c                     |    2 -
 caca/codec/text.c                       |    2 -
 caca/conic.c                            |    2 -
 caca/dirty.c                            |    2 -
 caca/dither.c                           |    2 -
 caca/driver/cocoa.m                     |    2 -
 caca/driver/conio.c                     |    2 -
 caca/driver/gl.c                        |    2 -
 caca/driver/ncurses.c                   |    2 -
 caca/driver/null.c                      |    2 -
 caca/driver/raw.c                       |    2 -
 caca/driver/slang.c                     |    2 -
 caca/driver/vga.c                       |    2 -
 caca/driver/win32.c                     |    2 -
 caca/driver/x11.c                       |    2 -
 caca/event.c                            |    2 -
 caca/figfont.c                          |    2 -
 caca/file.c                             |    2 -
 caca/font.c                             |    2 -
 caca/frame.c                            |    2 -
 caca/graphics.c                         |    2 -
 caca/legacy.c                           |    2 -
 caca/line.c                             |    2 -
 caca/prof.c                             |    2 -
 caca/string.c                           |    2 -
 caca/time.c                             |    2 -
 caca/transform.c                        |    2 -
 caca/triangle.c                         |    2 -
 configure.ac                            |    1 -
 cxx/Makefile.am                         |    1 -
 cxx/caca++.cpp                          |    2 -
 cxx/caca++.h                            |    3 -
 cxx/cxxtest.cpp                         |    2 -
 doc/Makefile.am                         |    1 -
 doc/canvas.dox                          |    2 -
 doc/font.dox                            |    2 -
 doc/footer.html                         |    1 -
 doc/header.html                         |    1 -
 doc/libcaca.dox                         |    2 -
 doc/migrating.dox                       |    2 -
 doc/style.dox                           |    2 -
 doc/tutorial.dox                        |    2 -
 doc/user.dox                            |    2 -
 examples/Makefile.am                    |    1 -
 examples/blit.c                         |    2 -
 examples/canvas.c                       |    2 -
 examples/colors.c                       |    2 -
 examples/demo.c                         |    2 -
 examples/demo0.c                        |    2 -
 examples/dithering.c                    |    2 -
 examples/driver.c                       |    2 -
 examples/event.c                        |    2 -
 examples/export.c                       |    2 -
 examples/figfont.c                      |    2 -
 examples/font.c                         |    2 -
 examples/font2tga.c                     |    2 -
 examples/frames.c                       |    2 -
 examples/fullwidth.c                    |    2 -
 examples/gamma.c                        |    2 -
 examples/hsv.c                          |    2 -
 examples/import.c                       |    2 -
 examples/input.c                        |    2 -
 examples/mouse.c                        |    2 -
 examples/spritedit.c                    |    2 -
 examples/swallow.c                      |    2 -
 examples/text.c                         |    2 -
 examples/transform.c                    |    2 -
 examples/trifiller.c                    |    2 -
 examples/truecolor.c                    |    2 -
 examples/unicode.c                      |    2 -
 java/Makefile.am                        |    1 -
 java/README                             |    1 -
 java/caca_java_common.c                 |    2 -
 java/caca_java_common.h                 |    2 -
 java/examples/Driver.java               |    2 -
 java/examples/TrueColor.java            |    2 -
 java/org/zoy/caca/Attribute.java        |    2 -
 java/org/zoy/caca/Caca.java             |    2 -
 java/org/zoy/caca/CacaException.java    |    2 -
 java/org/zoy/caca/CacaObject.java       |    2 -
 java/org/zoy/caca/Canvas.java           |    2 -
 java/org/zoy/caca/Color.java            |    4 +-
 java/org/zoy/caca/Display.java          |    2 -
 java/org/zoy/caca/Dither.java           |    2 -
 java/org/zoy/caca/Event.java            |    2 -
 java/org/zoy/caca/Font.java             |    2 -
 java/org/zoy/caca/NativeObject.java     |    2 -
 java/org/zoy/caca/TimeoutException.java |    2 -
 java/org_zoy_caca_Attribute.c           |    2 -
 java/org_zoy_caca_Caca.c                |    2 -
 java/org_zoy_caca_Canvas.c              |    8 +-
 java/org_zoy_caca_Display.c             |    2 -
 java/org_zoy_caca_Dither.c              |    4 +-
 java/org_zoy_caca_Event.c               |    2 -
 java/org_zoy_caca_Font.c                |    2 -
 kernel/Makefile.am                      |    1 -
 kernel/boot/gdt.c                       |    7 +-
 kernel/boot/idt.c                       |    7 +-
 kernel/boot/interruptions.c             |    5 +-
 kernel/boot/pic.c                       |    5 +-
 kernel/boot/stage2.c                    |    7 +-
 kernel/boot/stage2.h                    |    5 +-
 kernel/drivers/floppy.c                 |    5 +-
 kernel/drivers/floppy.h                 |    5 +-
 kernel/drivers/keyboard.c               |    5 +-
 kernel/drivers/memory.c                 |    5 +-
 kernel/drivers/memory.h                 |    5 +-
 kernel/drivers/processor.c              |    5 +-
 kernel/drivers/processor.h              |    5 +-
 kernel/drivers/timer.c                  |   11 +-
 kernel/drivers/timer.h                  |    5 +-
 kernel/kernel.c                         |    3 -
 kernel/kernel.h                         |    2 -
 kernel/klibc.c                          |    5 +-
 kernel/klibc.h                          |    2 -
 perl/lib/Term/Caca.pm                   |    1 -
 perl/lib/Term/Caca/Constants.pm         |    1 -
 perl/lib/Term/Kaka.pm                   |    1 -
 python/Makefile.am                      |    3 +-
 python/pypycaca.c                       |    2 -
 python/pypycaca.h                       |    2 -
 ruby/Makefile.am                        |    1 -
 ruby/ruby-caca.dox                      |    2 +-
 ruby/ruby.dox                           |    2 +-
 src/Makefile.am                         |    1 -
 src/aafire.c                            |    2 -
 src/cacademo.c                          |    2 -
 src/cacadraw.c                          |    2 -
 src/cacaplay.c                          |    2 -
 src/cacaserver.c                        |    2 -
 src/cacaview.c                          |    2 -
 src/common-image.c                      |    2 -
 src/common-image.h                      |    2 -
 src/img2txt.c                           |    2 -
 src/mygetopt.c                          |    2 -
 src/mygetopt.h                          |    2 -
 test/Makefile.am                        |    1 -
 test/caca-test.cpp                      |    2 -
 test/canvas.cpp                         |    2 -
 test/check-source                       |    2 +-
 test/dirty.cpp                          |    2 -
 test/driver.cpp                         |    2 -
 test/export.cpp                         |    2 -
 test/simple.c                           |    2 -
 tools/Makefile.am                       |    1 -
 tools/makefont.c                        |    2 -
 tools/optipal.c                         |    1 -
 tools/sortchars.c                       |    1 -
 win32/Makefile.am                       |    1 -
 win32/config.h                          |    2 +-
 220 files changed, 1885 insertions(+), 2247 deletions(-)

Commit: 4332
Author: sam
Date:   Mon Feb 8 00:40:21 2010 +0000

    Nicer make check output for our custom tests.

 test/check-doxygen |   10 +++++++---
 test/check-source  |   20 +++++++++++++-------
 test/check-win32   |   11 +++++++----
 3 files changed, 27 insertions(+), 14 deletions(-)

Commit: 4331
Author: sam
Date:   Sun Feb 7 23:44:38 2010 +0000

    Add missing ruby/test file to the distributed tarball.

 ruby/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 4330
Author: sam
Date:   Sun Feb 7 22:37:18 2010 +0000

    Improve changelog generation.

 ChangeLog   | 3706 ++++++++++++++++++++++++++++++-----------------------------
 Makefile.am |    3 +-
 2 files changed, 1917 insertions(+), 1792 deletions(-)

Commit: 4328
Author: sam
Date:   Sun Feb 7 21:11:03 2010 +0000

    Update logo in the PHP bindings.

 caca-php/examples/logo-caca.png     |  Bin 7526 -> 17112 bytes
 caca-php/examples/www/logo-caca.png |  Bin 7526 -> 17112 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

Commit: 4326
Author: sam
Date:   Sun Feb 7 20:59:05 2010 +0000

    Replace the old caca texture with a copy of our new logo.

 src/cacademo.c |    5 +-
 src/texture.h  |  260 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 259 insertions(+), 6 deletions(-)

Commit: 4325
Author: sam
Date:   Sun Feb 7 17:21:51 2010 +0000

    Fix dllexport usage, courtesy of Carlo Bramini in #48.

 caca/caca.h  |    8 ++++----
 caca/caca0.h |    6 +++---
 2 files changed, 7 insertions(+), 7 deletions(-)

Commit: 4324
Author: sam
Date:   Sun Feb 7 17:21:45 2010 +0000

    Add #undef __extern at the end of caca0.h. Thanks to Carlo Bramini for
    fixing this in #48.

 caca/caca0.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Commit: 4323
Author: sam
Date:   Sun Feb 7 17:01:16 2010 +0000

    Only define CACA_ALIAS with gcc > 3 (instead of >= 3). Patch courtesy of
    Carlo Bramini. Addresses #48.

 caca/caca.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

Commit: 4322
Author: sam
Date:   Sun Feb 7 17:01:10 2010 +0000

    Do not use htons/htonl in makefont.c, since we already have hton16/hton32
    which do not require to initialise winsock on Windows. Addresses #48.

 tools/makefont.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

Commit: 4321
Author: sam
Date:   Sun Feb 7 15:57:52 2010 +0000

    Add brief documentation to figfont functions.

 caca/figfont.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 4320
Author: sam
Date:   Sun Feb 7 15:57:46 2010 +0000

    Split check-build into check-doygen, check-source and check-win32.

 test/Makefile.am   |    7 +++-
 test/check-build   |   71 ----------------------------------------------------
 test/check-doxygen |   14 ++++++++++
 test/check-source  |   32 +++++++++++++++++++++++
 test/check-win32   |   27 +++++++++++++++++++
 5 files changed, 78 insertions(+), 73 deletions(-)

Commit: 4318
Author: sam
Date:   Sun Feb 7 00:22:38 2010 +0000

    Document file functions and fix a few issues here and there.

 caca/caca.h    |   32 ++++++++++++++-----------
 caca/file.c    |   69 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/string.c  |    2 +-
 win32/config.h |    1 +
 4 files changed, 89 insertions(+), 15 deletions(-)

Commit: 4317
Author: sam
Date:   Sun Feb 7 00:22:31 2010 +0000

    Move some configuration stuff from build-kernel into configure.ac.

 build-kernel   |   41 ++++++++++++++++++-----------------------
 build-win32    |    2 +-
 configure.ac   |   39 ++++++++++++++++++++++++++-------------
 kernel/klibc.h |    6 +++++-
 4 files changed, 50 insertions(+), 38 deletions(-)

Commit: 4316
Author: sam
Date:   Sat Feb 6 21:20:40 2010 +0000

    Generate a better changelog.

 ChangeLog   |36885 +++++++++++++++++++++++++++++++++++------------------------
 Makefile.am |    8 +-
 2 files changed, 22052 insertions(+), 14841 deletions(-)

Commit: 4304
Author: sam
Date:   Wed Jan 27 00:42:57 2010 +0000

    Activate colour toilet font support.

 caca/figfont.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

Commit: 4303
Author: sam
Date:   Mon Jan 25 12:40:18 2010 +0000

    Don't fail the check-build test if documentation was not built.

 test/check-build |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 4302
Author: sam
Date:   Mon Jan 25 01:47:21 2010 +0000

    Simpler and more accurate troff colour selection.

 caca/codec/export.c |   39 +++++++++++++--------------------------
 1 files changed, 13 insertions(+), 26 deletions(-)

Commit: 4301
Author: pterjan
Date:   Sun Jan 24 22:04:10 2010 +0000

     * Always draw all background in troff output, on beginning of lines too

 caca/codec/export.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

Commit: 4300
Author: sam
Date:   Sun Jan 24 21:58:17 2010 +0000

    Fix the source code to reduce testsuite errors.

 caca/codec/export.c |   33 ++++++++++++++++-----------------
 kernel/Makefile.am  |    2 ++
 kernel/kernel.c     |   12 ++++++------
 kernel/kernel.h     |   12 +++++-------
 kernel/multiboot.h  |   18 +++++++++---------
 test/check-build    |    5 +++--
 win32/config.h      |    1 +
 7 files changed, 42 insertions(+), 41 deletions(-)

Commit: 4299
Author: pterjan
Date:   Sun Jan 24 21:43:19 2010 +0000

     * Always draw all background in troff output

 caca/codec/export.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

Commit: 4298
Author: pterjan
Date:   Sun Jan 24 21:15:01 2010 +0000

     * Unbreak make dist (multiboot.S is dead), but many files in kernel/ are missing there

 kernel/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

Commit: 4297
Author: sam
Date:   Sun Jan 24 01:47:25 2010 +0000

    Fix check-build verbosity.

 test/check-build |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

Commit: 4296
Author: sam
Date:   Sun Jan 24 01:47:18 2010 +0000

    Fix shrext_cmds usage in configure.ac.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 4292
Author: pterjan
Date:   Thu Jan 21 11:14:24 2010 +0000

     * Add back some missing spaces

 ruby/ruby-caca.dox |  100 ++++++++++++++++++++++++++--------------------------
 1 files changed, 50 insertions(+), 50 deletions(-)

Commit: 4235
Author: pterjan
Date:   Wed Jan 6 20:56:29 2010 +0000

     * Map colors to the ones known by groff, defining mines don't work

 caca/codec/export.c |   63 +++++++++++++++++++++++++--------------------------
 1 files changed, 31 insertions(+), 32 deletions(-)

Commit: 4229
Author: sam
Date:   Wed Jan 6 00:10:31 2010 +0000

    Move conditional java targets to the top of Makefile.am.

 java/Makefile.am |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

Commit: 4228
Author: pterjan
Date:   Wed Jan 6 00:05:09 2010 +0000

     * Improve a bit troff export

 caca/codec/export.c |   46 ++++++++++++++++++++++++++++++++++++----------
 1 files changed, 36 insertions(+), 10 deletions(-)

Commit: 4227
Author: pterjan
Date:   Tue Jan 5 23:27:26 2010 +0000

     * Add experimental troff export

 caca/codec/export.c |   73 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 73 insertions(+), 0 deletions(-)

Commit: 4225
Author: pterjan
Date:   Tue Jan 5 21:59:10 2010 +0000

     * Do not want libjava.jar when we don't build java binding

 java/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4220
Author: sam
Date:   Sun Jan 3 02:54:32 2010 +0000

    Clean up .gitignore and documentation build rules.

 .gitignore            |   65 +++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am           |    5 ++-
 caca-sharp/.gitignore |    3 --
 caca/.gitignore       |    1 -
 cxx/.gitignore        |    1 -
 doc/.gitignore        |    4 ---
 doc/Makefile.am       |    7 ++---
 doc/doxygen.cfg.in    |    2 +-
 examples/.gitignore   |   29 ----------------------
 ruby/.gitignore       |    2 -
 src/.gitignore        |    7 -----
 test/.gitignore       |    3 --
 test/check-build      |   11 ++++++++
 tools/.gitignore      |    3 --
 14 files changed, 83 insertions(+), 60 deletions(-)

Commit: 4219
Author: sam
Date:   Sun Jan 3 02:54:17 2010 +0000

    Clean up files generated by build-kernel in make clean.

 build-kernel       |   11 ++++++-----
 kernel/Makefile.am |    4 ++++
 2 files changed, 10 insertions(+), 5 deletions(-)

Commit: 4198
Author: sam
Date:   Thu Dec 24 00:02:16 2009 +0000

    Build Java examples and add wrapper scripts to run them.

 java/.gitignore             |    1 +
 java/Makefile.am            |   13 +++++++++++--
 java/examples/Driver        |    6 ++++++
 java/examples/Driver.java   |    2 +-
 java/examples/TrueColor     |    6 ++++++
 java/org/zoy/caca/Caca.java |    2 +-
 6 files changed, 26 insertions(+), 4 deletions(-)

Commit: 4197
Author: sam
Date:   Wed Dec 23 11:34:49 2009 +0000

    Java bindings, courtesy of Adrien Grand <jpountz@dinauz.org>.

 AUTHORS                                 |    3 +
 Makefile.am                             |    4 +-
 configure.ac                            |   45 ++++
 java/.gitignore                         |    3 +
 java/Makefile.am                        |   94 ++++++++
 java/README                             |   20 ++
 java/caca_java_common.c                 |   31 +++
 java/caca_java_common.h                 |   23 ++
 java/examples/Driver.java               |   54 +++++
 java/examples/TrueColor.java            |   38 +++
 java/org/zoy/caca/Attribute.java        |   60 +++++
 java/org/zoy/caca/Caca.java             |   33 +++
 java/org/zoy/caca/CacaException.java    |   24 ++
 java/org/zoy/caca/CacaObject.java       |   40 ++++
 java/org/zoy/caca/Canvas.java           |  377 ++++++++++++++++++++++++++++++
 java/org/zoy/caca/Color.java            |   84 +++++++
 java/org/zoy/caca/Display.java          |  170 ++++++++++++++
 java/org/zoy/caca/Dither.java           |  238 +++++++++++++++++++
 java/org/zoy/caca/Event.java            |  184 +++++++++++++++
 java/org/zoy/caca/Font.java             |   61 +++++
 java/org/zoy/caca/NativeObject.java     |   20 ++
 java/org/zoy/caca/TimeoutException.java |   24 ++
 java/org_zoy_caca_Attribute.c           |   62 +++++
 java/org_zoy_caca_Caca.c                |   24 ++
 java/org_zoy_caca_Canvas.c              |  389 +++++++++++++++++++++++++++++++
 java/org_zoy_caca_Display.c             |  187 +++++++++++++++
 java/org_zoy_caca_Dither.c              |  175 ++++++++++++++
 java/org_zoy_caca_Event.c               |   80 +++++++
 java/org_zoy_caca_Font.c                |  117 +++++++++
 29 files changed, 2663 insertions(+), 1 deletions(-)

Commit: 4160
Author: jylam
Date:   Sun Dec 20 16:29:24 2009 +0000

     * Fix libcaca.a linkage (was off by one argument), fill memory with 0xCACA, because caca is so delicious.

 build-kernel               |    2 +-
 kernel/drivers/processor.c |   10 ++++++----
 kernel/kernel.c            |   12 ++++++++----
 3 files changed, 15 insertions(+), 9 deletions(-)

Commit: 4159
Author: jylam
Date:   Sun Dec 20 15:41:41 2009 +0000

     * Added 64bits RDTSC support, as well as CPU frequency guess (more like a 8254a test, actually)

 build-kernel               |    8 +-
 kernel/drivers/processor.c |   49 +++++
 kernel/drivers/processor.h |    2 +
 kernel/drivers/timer.c     |   55 ++++---
 kernel/kernel.c            |   22 +--
 kernel/kernel.h            |    2 +
 kernel/klibc.c             |  430 ++++++++++++++++++++++++--------------------
 kernel/klibc.h             |    3 +-
 8 files changed, 336 insertions(+), 235 deletions(-)

Commit: 4158
Author: jylam
Date:   Sun Dec 20 14:02:02 2009 +0000

     * Fix indentation and add licensing and copyright headers to kernel

 kernel/boot/gdt.c           |  151 ++++++++++++++++++-------------
 kernel/boot/idt.c           |  164 +++++++++++++++++++---------------
 kernel/boot/interruptions.c |  209 +++++++++++++++++++++++++++++--------------
 kernel/boot/pic.c           |   99 ++++++++++++--------
 kernel/boot/stage2.c        |   37 ++++++---
 kernel/boot/stage2.h        |   18 ++++
 kernel/drivers/floppy.c     |   19 ++++-
 kernel/drivers/floppy.h     |   28 +++++-
 kernel/drivers/keyboard.c   |  210 +++++++++++++++++++++++--------------------
 kernel/drivers/memory.c     |   17 ++++-
 kernel/drivers/memory.h     |   15 +++
 kernel/drivers/processor.c  |   18 +++-
 kernel/drivers/processor.h  |  142 ++++++++++++++++-------------
 kernel/drivers/timer.c      |   68 ++++++++-------
 kernel/drivers/timer.h      |   18 ++++-
 kernel/kernel.c             |   13 +--
 kernel/kernel.h             |   10 +--
 kernel/klibc.c              |   16 ++++
 kernel/klibc.h              |   68 ++++++++++-----
 19 files changed, 824 insertions(+), 496 deletions(-)

Commit: 4157
Author: jylam
Date:   Sun Dec 20 13:45:00 2009 +0000

     * Fill CPU id correctly, you dumb fuck.

 kernel/drivers/processor.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 4156
Author: jylam
Date:   Sun Dec 20 13:40:42 2009 +0000

     * XCode project file updated for kernel

 XCode/libcacaXCode.xcodeproj/project.pbxproj |   77 +++++++++++++++++++++++++-
 1 files changed, 75 insertions(+), 2 deletions(-)

Commit: 4155
Author: jylam
Date:   Sun Dec 20 13:36:15 2009 +0000

     * Forgot kernel build script

 build-kernel |   67 +++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 48 insertions(+), 19 deletions(-)

Commit: 4154
Author: jylam
Date:   Sun Dec 20 13:33:11 2009 +0000

     * Total kernel rewrite

 configure.ac                |    2 +-
 kernel/boot/bootsect.asm    |  123 +++++++++
 kernel/boot/gdt.c           |  101 ++++++++
 kernel/boot/idt.c           |  132 ++++++++++
 kernel/boot/int.asm         |  147 +++++++++++
 kernel/boot/interruptions.c |  112 ++++++++
 kernel/boot/pic.c           |   73 ++++++
 kernel/boot/stage2.c        |   30 +++
 kernel/boot/stage2.h        |    1 +
 kernel/drivers/floppy.c     |   56 ++++
 kernel/drivers/floppy.h     |   14 +
 kernel/drivers/keyboard.c   |  101 ++++++++
 kernel/drivers/memory.c     |    4 +
 kernel/drivers/processor.c  |   50 ++++
 kernel/drivers/processor.h  |   81 ++++++
 kernel/drivers/timer.c      |   42 +++
 kernel/drivers/timer.h      |    2 +
 kernel/kernel.c             |  421 ++++---------------------------
 kernel/kernel.h             |  118 +--------
 kernel/klibc.c              |  598 +++++++++++++++++++++++++++++++++++++++++++
 kernel/klibc.h              |  125 +++++++++
 kernel/multiboot.S          |   73 ------
 22 files changed, 1850 insertions(+), 556 deletions(-)

Commit: 4149
Author: sam
Date:   Sat Dec 19 14:38:47 2009 +0000

    Store built-in fonts in a uin8_t[] instead of char[].

 caca/font.c          |    4 ++--
 caca/mono9.data      |    4 ++--
 caca/monobold12.data |    4 ++--
 tools/makefont.c     |    5 +++--
 4 files changed, 9 insertions(+), 8 deletions(-)

Commit: 4148
Author: sam
Date:   Sat Dec 19 14:38:38 2009 +0000

    Update my e-mail address everywhere.

 build-dos                           |    2 +-
 build-kernel                        |    2 +-
 build-win32                         |    2 +-
 caca-config.in                      |    2 +-
 caca-php/examples/colors.php        |    2 +-
 caca-php/examples/demo.php          |    2 +-
 caca-php/examples/export.php        |    2 +-
 caca-php/examples/fullwidth.php     |    2 +-
 caca-php/examples/img2txt.php       |    5 +++--
 caca-php/examples/test.php          |    4 ++--
 caca-php/examples/text.php          |    2 +-
 caca-php/examples/transform.php     |    2 +-
 caca-php/examples/truecolor.php     |    2 +-
 caca-php/examples/unicode.php       |    2 +-
 caca-php/examples/www/colors.php    |    2 +-
 caca-php/examples/www/export.php    |    2 +-
 caca-php/examples/www/fullwidth.php |    2 +-
 caca-php/examples/www/img2txt.php   |    5 +++--
 caca-php/examples/www/text.php      |    2 +-
 caca-php/examples/www/transform.php |    2 +-
 caca-php/examples/www/truecolor.php |    2 +-
 caca-php/examples/www/unicode.php   |    2 +-
 caca-sharp/Attr.cs                  |    2 +-
 caca-sharp/Caca.cs                  |    2 +-
 caca-sharp/Display.cs               |    2 +-
 caca-sharp/Dither.cs                |    2 +-
 caca-sharp/Event.cs                 |    2 +-
 caca-sharp/Font.cs                  |    2 +-
 caca-sharp/test.cs                  |    2 +-
 caca/caca0.h                        |    2 +-
 caca/caca_stubs.h                   |    2 +-
 caca/caca_types.h.in                |    2 +-
 caca/charset.c                      |    2 +-
 caca/conic.c                        |    2 +-
 caca/dither.c                       |    2 +-
 caca/file.c                         |    2 +-
 caca/font.c                         |    2 +-
 caca/line.c                         |    2 +-
 caca/time.c                         |    2 +-
 caca/triangle.c                     |    2 +-
 doc/caca-config.1                   |    2 +-
 doc/cacafire.1                      |    2 +-
 doc/cacaplay.1                      |    2 +-
 doc/cacaserver.1                    |    2 +-
 doc/cacaview.1                      |    2 +-
 doc/img2txt.1                       |    2 +-
 examples/canvas.c                   |    2 +-
 examples/colors.c                   |    2 +-
 examples/dithering.c                |    2 +-
 examples/driver.c                   |    2 +-
 examples/event.c                    |    2 +-
 examples/font.c                     |    2 +-
 examples/frames.c                   |    2 +-
 examples/fullwidth.c                |    2 +-
 examples/gamma.c                    |    2 +-
 examples/hsv.c                      |    2 +-
 examples/input.c                    |    2 +-
 examples/truecolor.c                |    2 +-
 examples/unicode.c                  |    2 +-
 kernel/kernel.c                     |    2 +-
 kernel/kernel.h                     |    2 +-
 src/cacademo.c                      |    2 +-
 src/cacaview.c                      |    2 +-
 src/common-image.c                  |    2 +-
 src/common-image.h                  |    2 +-
 src/mygetopt.c                      |    2 +-
 src/mygetopt.h                      |    2 +-
 test/caca-test.cpp                  |    2 +-
 test/canvas.cpp                     |    2 +-
 test/driver.cpp                     |    2 +-
 test/simple.c                       |    2 +-
 tools/makefont.c                    |    2 +-
 tools/optipal.c                     |    2 +-
 tools/sortchars.c                   |    2 +-
 74 files changed, 79 insertions(+), 77 deletions(-)

Commit: 4147
Author: sam
Date:   Fri Dec 18 22:09:25 2009 +0000

    Preload the example input buffer with Unicode stuff for testing.

 examples/input.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

Commit: 4146
Author: sam
Date:   Fri Dec 18 21:50:37 2009 +0000

    Fix an alignment issue in caca_get_canvas_chars() and caca_get_canvas_attrs().
    Fixes #41.

 caca/caca.h           |    4 ++--
 caca/canvas.c         |   20 ++++++++++----------
 caca/driver/conio.c   |    6 +++---
 caca/driver/gl.c      |    6 +++---
 caca/driver/ncurses.c |    6 ++----
 caca/driver/slang.c   |    6 ++----
 caca/driver/vga.c     |    6 ++----
 caca/driver/win32.c   |    4 ++--
 caca/driver/x11.c     |    4 ++--
 9 files changed, 28 insertions(+), 34 deletions(-)

Commit: 4145
Author: sam
Date:   Fri Dec 18 21:36:15 2009 +0000

    Implement caca_unset_attr() and caca_toggle_attr(). Fixes #7.

 caca/attr.c |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/caca.h |    2 ++
 2 files changed, 56 insertions(+), 0 deletions(-)

Commit: 4144
Author: sam
Date:   Fri Dec 18 21:24:10 2009 +0000

    Explicitly link with -lGLU because freeglut may not provide it. Fixes #61.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4143
Author: sam
Date:   Fri Dec 18 21:17:54 2009 +0000

    Deduce X11 font size from a relevant sample to avoid oversized font
    cells. Fixes bug #21 (X11 Unicode support).

 caca/driver/x11.c  |   29 ++++++++++++++++++++---------
 examples/unicode.c |    1 +
 2 files changed, 21 insertions(+), 9 deletions(-)

Commit: 4142
Author: sam
Date:   Thu Dec 17 23:25:46 2009 +0000

    Call setlocale() in the X11 driver to activate the current locale. If it
    is an UTF-8 locale, more glyphs are displayed.

 caca/driver/x11.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

Commit: 4141
Author: sam
Date:   Thu Dec 17 01:46:30 2009 +0000

    Use XwcDrawString in the X11 driver if font sets are available.

 caca/driver/x11.c |  158 ++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 119 insertions(+), 39 deletions(-)

Commit: 4140
Author: sam
Date:   Thu Dec 17 01:46:22 2009 +0000

    Allow the X11 driver to display Unicode characters if they are in the
    current font (addresses #21).

 caca/driver/x11.c |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

Commit: 4139
Author: sam
Date:   Wed Dec 16 19:25:52 2009 +0000

    Do not crash in caca_flush_figlet() if no figfont was loaded.

 caca/figfont.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 4131
Author: sam
Date:   Mon Dec 14 23:29:51 2009 +0000

    Fix the libcucul symlink installation when /bin/sh points to bash or any
    shell that doesn't look for sourced files in $PWD.

 caca/Makefile.am |    4 ++--
 cxx/Makefile.am  |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

Commit: 4130
Author: sam
Date:   Mon Dec 14 18:27:49 2009 +0000

    Fix the old "value computed is unused" warning triggered by ncurses.

 caca/driver/ncurses.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

Commit: 4129
Author: sam
Date:   Mon Dec 14 18:06:12 2009 +0000

    Fix a compilation warning in conio-snake.cpp.

 examples/conio-snake.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4128
Author: pterjan
Date:   Mon Dec 14 18:05:39 2009 +0000

     * Add test for import/export of area

 ruby/t/tc_canvas.rb |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 4127
Author: sam
Date:   Mon Dec 14 17:59:38 2009 +0000

    More warning fixes in conio.c.

 examples/conio.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 4126
Author: sam
Date:   Mon Dec 14 17:40:37 2009 +0000

    Fix various cosmetic errors (Jylam: tiens un highlight gratuit dans ta gueule pour les trailing spaces !)

 examples/.gitignore |    1 +
 examples/conio.c    |    7 +++----
 examples/mouse.c    |    2 +-
 ruby/caca-canvas.c  |   20 ++++++++++----------
 4 files changed, 15 insertions(+), 15 deletions(-)

Commit: 4125
Author: pterjan
Date:   Mon Dec 14 17:36:42 2009 +0000

     * Oops

 ruby/caca-canvas.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4123
Author: pterjan
Date:   Mon Dec 14 15:58:31 2009 +0000

     * Remove tabs

 ruby/caca-canvas.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

Commit: 4105
Author: pterjan
Date:   Mon Dec 7 17:21:25 2009 +0000

     * Bind area import/export functions

 ruby/caca-canvas.c |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

Commit: 4104
Author: pterjan
Date:   Mon Dec 7 17:06:04 2009 +0000

     * Bind dirty rectangle functions

 ruby/caca-canvas.c |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 56 insertions(+), 0 deletions(-)

Commit: 4103
Author: pterjan
Date:   Mon Dec 7 16:46:18 2009 +0000

     * Bind caca_fill_triangle_textured

 ruby/caca-canvas.c |   57 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 57 insertions(+), 0 deletions(-)

Commit: 4097
Author: jylam
Date:   Mon Dec 7 11:48:01 2009 +0000

     * Added mouse events example

 XCode/libcacaXCode.xcodeproj/project.pbxproj |    2 +
 examples/Makefile.am                         |    5 +-
 examples/mouse.c                             |   92 ++++++++++++++++++++++++++
 3 files changed, 98 insertions(+), 1 deletions(-)

Commit: 4096
Author: sam
Date:   Mon Dec 7 01:30:19 2009 +0000

    Don't enter glutCheckLoop() from gl_get_event() if there is already an
    event available. This increases the framerate when using OpenGL.

 caca/driver/gl.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

Commit: 4095
Author: sam
Date:   Mon Dec 7 01:05:31 2009 +0000

    Increase profiling timers' sliding mean accuracy.

 caca/caca_internals.h |    5 +++--
 caca/caca_prof.h      |   16 ++++++++--------
 caca/prof.c           |   12 ++----------
 3 files changed, 13 insertions(+), 20 deletions(-)

Commit: 4094
Author: sam
Date:   Sun Dec 6 21:21:40 2009 +0000

    Gather profiling information in caca_refresh_display() and caca_get_event().

 bootstrap             |    2 +-
 caca/Makefile.am      |    1 +
 caca/caca.c           |   14 ++++++-
 caca/caca_internals.h |   21 +++++++++-
 caca/caca_prof.h      |   14 ++++++
 caca/event.c          |   41 ++++++++++++++-----
 caca/graphics.c       |   21 +++++++++-
 caca/libcaca.vcproj   |    4 ++
 caca/prof.c           |  106 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac          |    6 +-
 10 files changed, 213 insertions(+), 17 deletions(-)

Commit: 4093
Author: sam
Date:   Sun Dec 6 21:21:27 2009 +0000

    Improve rounding in the internal Win32 sleep method.

 caca/time.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 4082
Author: sam
Date:   Thu Dec 3 01:13:15 2009 +0000

    Pass Ctrl-C as a keypress to the calling application in the SLang driver.
    Original patch courtesy of Romain Bignon.

 caca/driver/slang.c |   25 +++++++++++++++++++++++--
 1 files changed, 23 insertions(+), 2 deletions(-)

Commit: 4069
Author: pterjan
Date:   Mon Nov 30 00:50:07 2009 +0000

     * Fix Delete key with X11 driver

 caca/driver/x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 4045
Author: sam
Date:   Thu Nov 26 01:34:17 2009 +0000

    Update source checking test and remove CRLF crap from makefiles.

 caca/Makefile.am     |    2 +
 cxx/Makefile.am      |   98 +++++++++++++++++++++++++------------------------
 examples/Makefile.am |    2 +
 ruby/Makefile.am     |    2 +
 src/Makefile.am      |   96 +++++++++++++++++++++++++------------------------
 test/check-build     |    4 +--
 tools/Makefile.am    |    3 ++
 win32/Makefile.am    |    8 ++--
 8 files changed, 113 insertions(+), 102 deletions(-)

Commit: 4044
Author: sam
Date:   Thu Nov 26 01:23:55 2009 +0000

    Rename tests/ to test/.

 Makefile.am         |    2 +-
 configure.ac        |    2 +-
 test/.gitignore     |    3 +
 test/Makefile.am    |   24 ++++
 test/bench.c        |   80 +++++++++++
 test/bench.vcproj   |  364 +++++++++++++++++++++++++++++++++++++++++++++++++++
 test/caca-test.cpp  |   27 ++++
 test/canvas.cpp     |  102 ++++++++++++++
 test/check-build    |   57 ++++++++
 test/dirty.cpp      |  292 +++++++++++++++++++++++++++++++++++++++++
 test/driver.cpp     |   48 +++++++
 test/export.cpp     |   74 +++++++++++
 test/simple.c       |   65 +++++++++
 tests/.gitignore    |    3 -
 tests/Makefile.am   |   24 ----
 tests/bench.c       |   80 -----------
 tests/bench.vcproj  |  364 ---------------------------------------------------
 tests/caca-test.cpp |   27 ----
 tests/canvas.cpp    |  102 --------------
 tests/check-build   |   57 --------
 tests/dirty.cpp     |  292 -----------------------------------------
 tests/driver.cpp    |   48 -------
 tests/export.cpp    |   74 -----------
 tests/simple.c      |   65 ---------
 24 files changed, 1138 insertions(+), 1138 deletions(-)

Commit: 3995
Author: sam
Date:   Sun Nov 22 11:57:43 2009 +0000

    Add src/ to the list of source code checks.

 tests/check-build |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3994
Author: jylam
Date:   Sat Nov 21 17:22:29 2009 +0000

     * Removed trailing spaces (fsking GNU Ident) (GNU, COINCIDENCE ? I THINK NOT!) and lonely tab

 XCode/libcacaXCode.xcodeproj/project.pbxproj |    2 ++
 caca/transform.c                             |    2 +-
 caca/triangle.c                              |    8 ++++----
 examples/trifiller.c                         |    2 +-
 4 files changed, 8 insertions(+), 6 deletions(-)

Commit: 3993
Author: sam
Date:   Sat Nov 21 17:01:30 2009 +0000

    Add a sanity check for coding style errors.

 Makefile.am         |    2 +-
 examples/.gitignore |    1 +
 tests/check-build   |   40 +++++++++++++++++++++++++++++++++++++---
 3 files changed, 39 insertions(+), 4 deletions(-)

Commit: 3987
Author: jylam
Date:   Sat Nov 21 10:28:58 2009 +0000

     * Indentation fixes

 caca/triangle.c      |  293 +++++++++++++++++++++++++++-----------------------
 examples/trifiller.c |  197 +++++++++++++++++----------------
 2 files changed, 258 insertions(+), 232 deletions(-)

Commit: 3985
Author: jylam
Date:   Sat Nov 21 10:26:31 2009 +0000

     * Remove trailing spaces (bouh!)

 caca/driver/slang.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3984
Author: jylam
Date:   Sat Nov 21 10:18:45 2009 +0000

     * Don't unblock signals in init of SLang

 caca/driver/slang.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

Commit: 3983
Author: jylam
Date:   Sat Nov 21 10:12:09 2009 +0000

     * Disable SLang's own SIGINT handler

 XCode/libcacaXCode.xcodeproj/project.pbxproj |   34 +++++++++++++++++++++++++-
 caca/driver/slang.c                          |   10 +++++++
 2 files changed, 43 insertions(+), 1 deletions(-)

Commit: 3955
Author: jylam
Date:   Thu Nov 19 11:21:16 2009 +0000

     * Updated C++ bindings with Canvas::fillTriangleTextured()

 XCode/libcacaXCode.xcodeproj/project.pbxproj |   14 ++++++++++++++
 cxx/caca++.cpp                               |    5 +++++
 cxx/caca++.h                                 |    1 +
 3 files changed, 20 insertions(+), 0 deletions(-)

Commit: 3953
Author: sam
Date:   Thu Nov 19 00:53:48 2009 +0000

    Make the current library version beta17, in preparation of the next release.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3952
Author: sam
Date:   Thu Nov 19 00:53:39 2009 +0000

    Fix the library suffix detection, thanks to libtool's shell variables.

 configure.ac |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

Commit: 3949
Author: pterjan
Date:   Wed Nov 18 20:42:42 2009 +0000

     * Fix non ASCII input in x11 driver

 caca/driver/x11.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

Commit: 3928
Author: jylam
Date:   Wed Nov 18 11:59:08 2009 +0000

     * Fix examples/trifiller's color boundaries

 examples/trifiller.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3926
Author: jylam
Date:   Wed Nov 18 11:25:58 2009 +0000

     * Make caca_fill_triangle_textured use less arguments, examples/trifiller modified accordingly

 XCode/libcacaXCode.xcodeproj/project.pbxproj |    2 +-
 caca/caca.h                                  |   12 +--
 caca/triangle.c                              |  125 ++++++++++++++------------
 examples/trifiller.c                         |   57 +++++++-----
 4 files changed, 105 insertions(+), 91 deletions(-)

Commit: 3925
Author: sam
Date:   Wed Nov 18 01:02:20 2009 +0000

    Preserve default attribute across caca_fill_triangle_texture calls.

 caca/triangle.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

Commit: 3924
Author: sam
Date:   Wed Nov 18 00:21:20 2009 +0000

    Add a caca-sharp.pc.in file.

 caca-sharp/caca-sharp.pc.in |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

Commit: 3917
Author: pterjan
Date:   Tue Nov 17 16:28:14 2009 +0000

     * Fix build of trifiller with imlib2

 examples/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 3913
Author: sam
Date:   Mon Nov 16 13:30:53 2009 +0000

    Fix an unlikely crash that may happen when the X server cannot open
    the "fixed" font.

 caca/driver/x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3912
Author: jylam
Date:   Mon Nov 16 13:14:32 2009 +0000

     * Don't use float as loop counters

 caca/triangle.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3911
Author: jylam
Date:   Mon Nov 16 12:33:38 2009 +0000

     * Added basic XCode project, using external build system (make)

 XCode/libcacaXCode.xcodeproj/project.pbxproj |  384 ++++++++++++++++++++++++++
 1 files changed, 384 insertions(+), 0 deletions(-)

Commit: 3910
Author: jylam
Date:   Mon Nov 16 12:21:55 2009 +0000

     * Add -lm to examples/trifiller. Oops.

 examples/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3909
Author: jylam
Date:   Mon Nov 16 12:17:01 2009 +0000

     * Added texture mapped triangle routine, float based, arbitrary texture size, to be optimized
     * Made compilation under MacOSX 10.6 (Snow Leopard) possible, but breaks 10.4 (Tiger), to be fixed

 caca/caca.h          |    8 ++
 caca/triangle.c      |  196 +++++++++++++++++++++++++++++++++++++++++
 configure.ac         |    2 +-
 examples/Makefile.am |    5 +-
 examples/trifiller.c |  239 ++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 448 insertions(+), 2 deletions(-)

Commit: 3908
Author: sam
Date:   Mon Nov 16 01:15:42 2009 +0000

    Refresh win32/config.h so that it has all the required defines.

 win32/config.h |   38 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 37 insertions(+), 1 deletions(-)

Commit: 3907
Author: sam
Date:   Mon Nov 16 01:15:37 2009 +0000

    Add a test for win32/config.h synchronisation.

 tests/Makefile.am |    4 +++-
 tests/check-build |   23 +++++++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletions(-)

Commit: 3906
Author: sam
Date:   Mon Nov 16 01:15:31 2009 +0000

    Ignore Monodevelop files.

 caca-sharp/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3905
Author: sam
Date:   Mon Nov 16 01:15:25 2009 +0000

    Start working on profiling.

 caca/Makefile.am      |    1 +
 caca/caca_internals.h |    1 +
 caca/caca_prof.h      |   33 +++++++++++++++++++++++++++++++++
 caca/libcaca.vcproj   |    4 ++++
 configure.ac          |    6 ++++++
 5 files changed, 45 insertions(+), 0 deletions(-)

Commit: 3904
Author: sam
Date:   Mon Nov 16 01:15:19 2009 +0000

    Move debugging methods to caca_debug.h.

 caca/Makefile.am      |    1 +
 caca/caca_debug.h     |   41 ++++++++++++++++++++++++
 caca/caca_internals.h |    1 +
 caca/caca_stubs.h     |   25 ++-------------
 caca/libcaca.vcproj   |   84 +++++++++++++++++++++++++-----------------------
 5 files changed, 90 insertions(+), 62 deletions(-)

Commit: 3647
Author: sam
Date:   Thu Oct 22 09:48:42 2009 +0000

    Add -lz to Libs.private for static linking.

 caca/caca.pc.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3646
Author: sam
Date:   Tue Sep 8 16:30:12 2009 +0000

    Mark dithered bitmap array as const.

 caca/caca.h   |    2 +-
 caca/dither.c |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

Commit: 3643
Author: sam
Date:   Tue Aug 25 14:23:08 2009 +0000

    Update bootstrap script (automake 1.11 and pkg-config detection).

 bootstrap |   21 ++++++++++++---------
 1 files changed, 12 insertions(+), 9 deletions(-)

Commit: 3641
Author: sam
Date:   Thu Aug 13 13:05:00 2009 +0000

    Add missing svn:ignore properties.

Commit: 3640
Author: sam
Date:   Thu Aug 13 13:04:40 2009 +0000

    Make "fullgray" dithering work properly, to force greyscale rendering. To use
    it, just call caca_set_dither_color(d, "fullgray") on the dither object.

 caca/dither.c |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

Commit: 3625
Author: sam
Date:   Mon Aug 3 23:26:28 2009 +0000

    Implement memmove() in the kernel.

 kernel/kernel.c |    7 +++++++
 kernel/kernel.h |    1 +
 2 files changed, 8 insertions(+), 0 deletions(-)

Commit: 3624
Author: sam
Date:   Mon Aug 3 23:26:23 2009 +0000

    Fix a typo in the VGA driver.

 caca/driver/vga.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3623
Author: sam
Date:   Mon Aug 3 23:26:17 2009 +0000

    Only build conio-snake if the C++ compiler is functional.

 examples/Makefile.am |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

Commit: 3621
Author: sam
Date:   Mon Aug 3 23:19:41 2009 +0000

    Include <stdio.h> in the null driver to get NULL.

 caca/driver/null.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 3620
Author: sam
Date:   Mon Aug 3 23:19:34 2009 +0000

    Add atexit() and EOF to the kernel.

 kernel/kernel.c |    6 ++++++
 kernel/kernel.h |    2 ++
 2 files changed, 8 insertions(+), 0 deletions(-)

Commit: 3619
Author: sam
Date:   Mon Aug 3 23:19:28 2009 +0000

    Better caca_get_event_mouse_button() documentation.

 caca/event.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 3618
Author: sam
Date:   Mon Aug 3 23:19:19 2009 +0000

    Fix Win32 cross-build by removing one level of aliasing.

 caca/codec/import.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3609
Author: sam
Date:   Mon Aug 3 07:43:16 2009 +0000

    Add the conio examples to the Visual Studio solution.

 caca/libcaca.vcproj         |   16 ++-
 examples/conio-snake.vcproj |  363 +++++++++++++++++++++++++++++++++++++++++++
 examples/conio.vcproj       |  363 +++++++++++++++++++++++++++++++++++++++++++
 libcaca.sln                 |   36 +++++
 4 files changed, 774 insertions(+), 4 deletions(-)

Commit: 3608
Author: sam
Date:   Sun Aug 2 11:41:43 2009 +0000

    Include <stdio.h> in caca_conio.h to avoid errors when this header is
    included after us.

 caca/caca.h       |    1 -
 caca/caca_conio.h |    6 ++++++
 2 files changed, 6 insertions(+), 1 deletions(-)

Commit: 3607
Author: sam
Date:   Sun Aug 2 11:09:42 2009 +0000

    Implement conio.h functions cgets(), cputs(), getpass(), movetext(),
    putch() and _setcurstortype().

 caca/caca_conio.c |   98 +++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 81 insertions(+), 17 deletions(-)

Commit: 3606
Author: sam
Date:   Sun Aug 2 11:09:35 2009 +0000

    Make the libcaca color values an enum again.

 caca/caca.h  |   52 +++++++++++++++++++++++++++++-----------------------
 caca/caca0.h |   38 ++++++++++++++++++--------------------
 2 files changed, 47 insertions(+), 43 deletions(-)

Commit: 3605
Author: sam
Date:   Sun Aug 2 11:09:29 2009 +0000

    Add a note about autoreleased canvases in the documentation.

 doc/migrating.dox |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3604
Author: sam
Date:   Sun Aug 2 11:09:23 2009 +0000

    Since caca.h now exports variables, we need __declspec(dllimport), otherwise
    they won't be seen by the linker when linking dynamically. Fix caca0.h
    accordingly.

 caca/caca.h  |    2 ++
 caca/caca0.h |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3603
Author: sam
Date:   Sun Aug 2 11:09:16 2009 +0000

    Move conio functions to the main caca.h header, with their caca_conio_
    prefix. The #defines remain in caca_conio.h.

 caca/caca.h       |  128 +++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/caca_conio.h |  133 +++++-----------------------------------------------
 2 files changed, 141 insertions(+), 120 deletions(-)

Commit: 3602
Author: sam
Date:   Sun Aug 2 11:09:10 2009 +0000

    Make conio_refresh() play nicer with the resources when the machine is slow.

 caca/caca_conio.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

Commit: 3601
Author: sam
Date:   Sun Aug 2 11:09:05 2009 +0000

    Fix <conio.h> delay(), getch() and kbhit() to avoid busy loops and ensure
    frequent screen refreshes.
    Implement <conio.h> clreol() (incomplete) and <dos.h> sleep() functions.
    Replace some defines with enums in <caca_conio.h>.

 caca/caca_conio.c |  100 +++++++++++++++++++++++++++++++++++++++++++++++-----
 caca/caca_conio.h |   72 ++++++++++++++++++++++----------------
 2 files changed, 132 insertions(+), 40 deletions(-)

Commit: 3600
Author: sam
Date:   Sun Aug 2 11:08:58 2009 +0000

    Update the NEWS file with what's been done since the last release.

 NEWS |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

Commit: 3599
Author: sam
Date:   Sun Aug 2 11:08:50 2009 +0000

    Do not look for gmcs2. It is an abandoned abomination.

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

Commit: 3598
Author: sam
Date:   Sat Aug 1 14:50:32 2009 +0000

    Add a simple snake program using the <conio.h> interface.

 COPYING.ISC              |   13 +++
 Makefile.am              |    2 +-
 THANKS                   |    1 +
 examples/.gitignore      |    1 +
 examples/Makefile.am     |    5 +-
 examples/conio-snake.cpp |  221 ++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 241 insertions(+), 2 deletions(-)

Commit: 3596
Author: sam
Date:   Fri Jul 31 00:01:32 2009 +0000

    Implement conio.h's getche() and move cursor to top right corner after
    a call to clrscr().

 caca/caca_conio.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

Commit: 3595
Author: sam
Date:   Fri Jul 31 00:01:25 2009 +0000

    Make caca_printf(), caca_vprintf() and caca_put_str() return the number of
    printed cells instead of always returning 0. This is handy if we want to
    advance a cursor after each printf() call.

 caca/caca_conio.c |   18 +++++++------
 caca/string.c     |   70 ++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 55 insertions(+), 33 deletions(-)

Commit: 3594
Author: sam
Date:   Fri Jul 31 00:01:13 2009 +0000

    Implement conio.h's kbhit().

 caca/caca_conio.c |   27 +++++++++++++++++----------
 1 files changed, 17 insertions(+), 10 deletions(-)

Commit: 3593
Author: sam
Date:   Thu Jul 30 20:11:07 2009 +0000

    Look for csc and gmcs2 prior to gmcs.

 caca-sharp/Makefile.am |  102 ++++++++++++++++++++++++------------------------
 configure.ac           |   12 +++++-
 2 files changed, 61 insertions(+), 53 deletions(-)

Commit: 3592
Author: sam
Date:   Thu Jul 30 20:10:57 2009 +0000

    Add sound(), nosound() and delay() to the conio.h emulation. Even though
    they're not actually from that header, they're often used together.

 caca/caca_conio.c |   24 ++++++++++++++++++++++++
 caca/caca_conio.h |    9 +++++++++
 2 files changed, 33 insertions(+), 0 deletions(-)

Commit: 3590
Author: pterjan
Date:   Wed Jul 29 16:00:25 2009 +0000

     * Fix a segfault in rotate_180 on 0 sized canvas

 caca/transform.c |    3 +++
 tests/simple.c   |    2 ++
 2 files changed, 5 insertions(+), 0 deletions(-)

Commit: 3588
Author: sam
Date:   Sun Jul 26 23:26:21 2009 +0000

    Start implementing a full <conio.h> replacement with a libcaca backend.

 caca/Makefile.am     |  236 +++++++++---------
 caca/caca_conio.c    |  392 +++++++++++++++++++++++++++++
 caca/caca_conio.h    |  255 +++++++++++++++++++
 configure.ac         |    2 +-
 examples/.gitignore  |    1 +
 examples/Makefile.am |    5 +-
 examples/conio.c     |  682 ++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 1454 insertions(+), 119 deletions(-)

Commit: 3587
Author: sam
Date:   Sun Jul 26 23:26:15 2009 +0000

    Rename caca_get_cursor_x() and caca_get_cursor_y() to caca_wherex() and
    caca_wherey(), in order to match the old <conio.h> naming scheme.

 caca-php/caca.php     |    8 ++++----
 caca-php/php_caca.c   |   12 ++++++------
 caca-php/php_caca.h   |    4 ++--
 caca-sharp/Canvas.cs  |    9 ++++-----
 caca/caca.h           |   12 +++++++-----
 caca/driver/ncurses.c |    4 ++--
 caca/driver/slang.c   |    2 +-
 caca/driver/x11.c     |    4 ++--
 caca/string.c         |   10 ++++++----
 ruby/caca-canvas.c    |   15 +++++++++++----
 ruby/ruby-caca.dox    |   46 +++++++++++++++++++++++-----------------------
 ruby/t/tc_canvas.rb   |    4 ++--
 12 files changed, 70 insertions(+), 60 deletions(-)

Commit: 3586
Author: sam
Date:   Sun Jul 26 23:26:08 2009 +0000

    Implement caca_vprintf() to allow third-party variadic functions to call us.

 caca/caca.h   |    5 +++++
 caca/string.c |   31 ++++++++++++++++++++++++++++---
 2 files changed, 33 insertions(+), 3 deletions(-)

Commit: 3585
Author: sam
Date:   Sun Jul 26 23:25:59 2009 +0000

    Show how we could optimise dirty rectangle handling in a box fill. Disabled
    for now because it does not work with fullwidth characters.

 caca/box.c |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

Commit: 3584
Author: sam
Date:   Sun Jul 26 19:21:58 2009 +0000

    I forgot to initialise dirty_disabled in the canvas constructor.

 caca/canvas.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3583
Author: sam
Date:   Sun Jul 26 19:17:35 2009 +0000

    Allow to temporarily disable dirty rectangle handling. This allows for huge
    speedups when the calling application knows the dirty rectangle covered by
    a complex operation.

 caca/attr.c           |    3 ++-
 caca/caca.h           |    2 ++
 caca/caca_internals.h |    2 +-
 caca/canvas.c         |   11 ++++++++---
 caca/dirty.c          |   45 +++++++++++++++++++++++++++++++++++++++++++++
 caca/frame.c          |    6 ++++--
 caca/string.c         |   15 ++++++++++-----
 caca/transform.c      |   18 ++++++++++++------
 tests/.gitignore      |    3 ++-
 tests/bench.c         |   12 ++++++++++--
 10 files changed, 96 insertions(+), 21 deletions(-)

Commit: 3582
Author: sam
Date:   Sun Jul 26 19:17:28 2009 +0000

    Coding style: remove tabs and trailing spaces.

 caca-php/php_caca.c | 2730 +++++++++++++++++++++++++-------------------------
 caca/codec/export.c |    2 +-
 caca/driver/cocoa.m |   68 +-
 caca/driver/gl.c    |    6 +-
 caca/figfont.c      |    2 +-
 examples/import.c   |    2 +-
 python/pypycaca.c   |   80 +-
 ruby/caca-canvas.c  |   10 +-
 ruby/caca-display.c |    6 +-
 ruby/caca-dither.c  |   18 +-
 ruby/caca-event.c   |    4 +-
 ruby/caca-font.c    |   14 +-
 src/aafire.c        |   30 +-
 tests/bench.c       |   41 +-
 14 files changed, 1515 insertions(+), 1498 deletions(-)

Commit: 3581
Author: sam
Date:   Sun Jul 26 19:17:20 2009 +0000

    Do not add a dirty rectangle at the cursor's position. It's up to the
    display driver to clean up its shit. Fixed X11 driver accordingly.

 caca/driver/x11.c |   33 ++++++++++++++++++++++++++++++---
 caca/string.c     |    4 ----
 2 files changed, 30 insertions(+), 7 deletions(-)

Commit: 3580
Author: sam
Date:   Sun Jul 26 16:20:31 2009 +0000

    More complex dirty rectangle merging strategy. It's a lot slower in some
    cases, but that can be fixed.

 caca/caca_internals.h |    6 +-
 caca/dirty.c          |  135 ++++++++++++++++++++++++++++++++++++++++---------
 2 files changed, 113 insertions(+), 28 deletions(-)

Commit: 3579
Author: sam
Date:   Sun Jul 26 16:20:20 2009 +0000

    Add unit tests for efficient dirty rectangle merging.

 tests/dirty.cpp |   37 +++++++++++++++++++++++++++++++++++++
 1 files changed, 37 insertions(+), 0 deletions(-)

Commit: 3578
Author: sam
Date:   Sun Jul 26 16:20:10 2009 +0000

    Add a comment to the ncurses driver to remember fix the GCC warning.

 caca/driver/ncurses.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3577
Author: sam
Date:   Fri Jul 24 16:39:43 2009 +0000

    Update the Win32 and Win64 ports.

 caca/libcaca.vcproj       |  976 +++++++++++++++++++++++----------------------
 cxx/libcaca++.vcproj      |  687 ++++++++++++++++----------------
 cxx/test-cxx.vcproj       |  666 ++++++++++++++++---------------
 examples/blit.vcproj      |  730 +++++++++++++++++-----------------
 examples/colors.vcproj    |  730 +++++++++++++++++-----------------
 examples/demo.vcproj      |  730 +++++++++++++++++-----------------
 examples/dithering.vcproj |  730 +++++++++++++++++-----------------
 examples/driver.vcproj    |  730 +++++++++++++++++-----------------
 examples/event.vcproj     |  730 +++++++++++++++++-----------------
 examples/font.vcproj      |  730 +++++++++++++++++-----------------
 examples/frames.vcproj    |  730 +++++++++++++++++-----------------
 examples/fullwidth.vcproj |  730 +++++++++++++++++-----------------
 examples/gamma.vcproj     |  730 +++++++++++++++++-----------------
 examples/hsv.vcproj       |  730 +++++++++++++++++-----------------
 examples/import.vcproj    |  730 +++++++++++++++++-----------------
 examples/input.vcproj     |  730 +++++++++++++++++-----------------
 examples/transform.vcproj |  726 +++++++++++++++++-----------------
 examples/truecolor.vcproj |  730 +++++++++++++++++-----------------
 examples/unicode.vcproj   |  730 +++++++++++++++++-----------------
 libcaca.sln               |  130 ++++++-
 src/cacademo.vcproj       |  730 +++++++++++++++++-----------------
 src/cacafire.vcproj       |  730 +++++++++++++++++-----------------
 src/cacaview.vcproj       |  737 +++++++++++++++++-----------------
 tests/bench.vcproj        |  364 +++++++++++++++++
 win32/config.h            |    2 +-
 25 files changed, 8552 insertions(+), 8146 deletions(-)

Commit: 3574
Author: pterjan
Date:   Fri Jul 24 14:46:14 2009 +0000

     * Inform code reader that current algorithm is wrong

 caca/dirty.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3573
Author: pterjan
Date:   Fri Jul 24 14:45:34 2009 +0000

     * Align times on the right!

 tests/bench.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3572
Author: sam
Date:   Fri Jul 24 06:49:01 2009 +0000

    Use a dummy display to compute benchmark time to avoid relying on <time.h>.

 tests/bench.c |   19 +++++++++----------
 1 files changed, 9 insertions(+), 10 deletions(-)

Commit: 3571
Author: sam
Date:   Fri Jul 24 06:48:54 2009 +0000

    Do not smooth the render time; the calling application can do it.

 caca/graphics.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3570
Author: sam
Date:   Fri Jul 24 06:48:49 2009 +0000

    Add a null driver that does absolutely nothing.

 caca/Makefile.am      |    1 +
 caca/caca.c           |    6 +++
 caca/caca_internals.h |    5 ++-
 caca/driver/null.c    |   90 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 100 insertions(+), 2 deletions(-)

Commit: 3569
Author: sam
Date:   Fri Jul 24 06:48:42 2009 +0000

    Mark the whole canvas as dirty when a dirty rectangle aware driver is
    attached to it.

 caca/driver/ncurses.c |    1 +
 caca/driver/slang.c   |    1 +
 caca/driver/vga.c     |    4 ++--
 caca/driver/x11.c     |    1 +
 4 files changed, 5 insertions(+), 2 deletions(-)

Commit: 3568
Author: sam
Date:   Fri Jul 24 06:48:35 2009 +0000

    Store dirty rectangles in a structure list. For now there is still only
    one dirty rectangle, but this is the first step to improvement.

 caca/caca_internals.h |   10 ++++-
 caca/canvas.c         |   12 ++++-
 caca/dirty.c          |  122 +++++++++++++++++++++++++++++++++---------------
 3 files changed, 102 insertions(+), 42 deletions(-)

Commit: 3567
Author: sam
Date:   Fri Jul 24 06:48:27 2009 +0000

    Add explanatory comments to the dirty rectangle unit tests.

 tests/dirty.cpp |  171 +++++++++++++++++++++++++++++++------------------------
 1 files changed, 96 insertions(+), 75 deletions(-)

Commit: 3566
Author: pterjan
Date:   Thu Jul 23 22:55:40 2009 +0000

     * Add some simple bench (part 2, add the interesting file)

 tests/bench.c |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 56 insertions(+), 0 deletions(-)

Commit: 3565
Author: pterjan
Date:   Thu Jul 23 22:55:11 2009 +0000

     * Add some simple bench

 tests/Makefile.am |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

Commit: 3559
Author: pterjan
Date:   Mon Jul 20 19:32:37 2009 +0000

     * Add dirty rectangles when moving cursor

 caca/string.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3558
Author: pterjan
Date:   Sun Jul 19 23:08:48 2009 +0000

     * Report failures in exit code in caca-test

 tests/caca-test.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

Commit: 3557
Author: pterjan
Date:   Sun Jul 19 21:12:39 2009 +0000

     * Also test blitting with mask

 tests/dirty.cpp |   21 +++++++++++++++++++--
 1 files changed, 19 insertions(+), 2 deletions(-)

Commit: 3556
Author: pterjan
Date:   Sun Jul 19 20:37:12 2009 +0000

     * When blitting, only add dirty rectangles on changed
       lines, or on changed chars if we have a mask

 caca/string.c   |   22 +++++++++++++++-------
 tests/dirty.cpp |   24 ++++++++++++++++++++++++
 2 files changed, 39 insertions(+), 7 deletions(-)

Commit: 3554
Author: sam
Date:   Wed Jul 15 22:00:04 2009 +0000

    Fix caca_get_char() documentation, courtesy of Romain Bignon.

 caca/string.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3553
Author: sam
Date:   Tue Jul 14 11:01:20 2009 +0000

    Add a section at the beginning of the Ruby documentation to prevent doxygen
    from generating a huge whatis entry.

 ruby/ruby-caca.dox |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 3542
Author: pterjan
Date:   Wed Jul 1 16:14:41 2009 +0000

     * Add rotated epsilon

 caca/transform.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 3514
Author: pterjan
Date:   Fri May 22 13:51:44 2009 +0000

    Add unit test for memory export/import with caca format

 tests/Makefile.am |    2 +-
 tests/export.cpp  |   74 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+), 1 deletions(-)

Commit: 3513
Author: sam
Date:   Fri May 22 13:23:09 2009 +0000

    Add more unit tests for the dirty rectangles.

 tests/dirty.cpp |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 50 insertions(+), 2 deletions(-)

Commit: 3512
Author: sam
Date:   Fri May 22 13:23:03 2009 +0000

    Add C++ warnings to the build process.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3511
Author: sam
Date:   Fri May 22 13:22:57 2009 +0000

    Fix import/export related stuff I forgot to update in the Ruby and PHP bindings.

 caca-php/php_caca.c |    8 ++++----
 ruby/ruby-caca.dox  |    8 ++++----
 ruby/t/tc_canvas.rb |    6 +++---
 3 files changed, 11 insertions(+), 11 deletions(-)

Commit: 3510
Author: pterjan
Date:   Fri May 22 13:06:07 2009 +0000

    Don't redraw background for more than the dirty rectangle in x11 driver, we will not redraw foreground there

 caca/driver/x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3505
Author: sam
Date:   Fri May 22 10:18:44 2009 +0000

    caca_put_char(): only add a dirty rectangle if the paster character is
    different from what was already there.

 caca/string.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

Commit: 3497
Author: pterjan
Date:   Fri May 22 07:51:48 2009 +0000

    Fix limits settings in area export

 caca/codec/export.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3495
Author: sam
Date:   Thu May 21 20:55:21 2009 +0000

    Add caca_export_area_to_memory() to export only a selected part of the
    current canvas. This is useful to export dirty rectangles. Accordingly,
    add caca_import_area_from_memory() and caca_import_area_from_file().

 caca/caca.h          |   25 +++++++++++---
 caca/caca0.c         |    4 +-
 caca/codec/export.c  |   51 +++++++++++++++++++++++++++--
 caca/codec/import.c  |   89 +++++++++++++++++++++++++++++++++++++++++++++++---
 caca/driver/raw.c    |    4 +-
 caca/figfont.c       |    4 +-
 caca/legacy.c        |    9 +++--
 cxx/caca++.cpp       |   12 +++---
 cxx/caca++.h         |    6 ++--
 cxx/cxxtest.cpp      |    2 +-
 examples/blit.c      |    4 +-
 examples/export.c    |    6 ++--
 examples/figfont.c   |    4 +-
 examples/font2tga.c  |    4 +-
 examples/import.c    |    2 +-
 examples/spritedit.c |   10 +++---
 examples/swallow.c   |    5 ++-
 examples/text.c      |    8 ++--
 examples/transform.c |    6 ++--
 ruby/caca-canvas.c   |   25 +++++++-------
 src/cacadraw.c       |    4 +-
 src/cacaplay.c       |    4 +-
 src/cacaserver.c     |   15 ++++----
 src/img2txt.c        |    6 ++--
 24 files changed, 224 insertions(+), 85 deletions(-)

Commit: 3494
Author: sam
Date:   Thu May 21 20:55:13 2009 +0000

    Change the dirty rectangle API once again so that calling applications get
    a more natural (x,y,w,h) 4-tuple to handle.

 caca/attr.c           |    4 +-
 caca/caca.h           |   16 ++++----
 caca/canvas.c         |   10 ++--
 caca/dirty.c          |   94 ++++++++++++++++++++++----------------------
 caca/driver/ncurses.c |   20 +++++-----
 caca/driver/slang.c   |   22 +++++-----
 caca/driver/vga.c     |   22 +++++-----
 caca/driver/x11.c     |   20 +++++-----
 caca/frame.c          |    6 +-
 caca/graphics.c       |    4 +-
 caca/string.c         |   13 +++---
 caca/transform.c      |   18 ++++----
 tests/dirty.cpp       |  106 ++++++++++++++++++++++++------------------------
 13 files changed, 178 insertions(+), 177 deletions(-)

Commit: 3493
Author: sam
Date:   Thu May 21 20:55:07 2009 +0000

    Fix the old demo examples so that they don't refresh the screen twice
    every frame, causing the mouse to flicker.

 examples/demo.c  |   10 ++++++----
 examples/demo0.c |   10 ++++++----
 2 files changed, 12 insertions(+), 8 deletions(-)

Commit: 3492
Author: sam
Date:   Thu May 21 20:54:59 2009 +0000

    Split import.c and export.c to create a new text.c codec file in order
    to keep source files under 1,000 lines of code.

 caca/Makefile.am    |    2 +
 caca/codec/codec.h  |   22 ++
 caca/codec/export.c |  282 +----------------
 caca/codec/import.c |  614 +----------------------------------
 caca/codec/text.c   |  896 +++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/libcaca.vcproj |   16 +-
 6 files changed, 945 insertions(+), 887 deletions(-)

Commit: 3491
Author: pterjan
Date:   Wed May 20 14:44:47 2009 +0000

     Revert r3478

 caca/codec/export.c |   25 ++++++---------------
 caca/codec/import.c |   60 +++++++++++++++++---------------------------------
 2 files changed, 28 insertions(+), 57 deletions(-)

Commit: 3490
Author: sam
Date:   Wed May 20 14:20:59 2009 +0000

    Manually fix Visual Studio files so that builds do not spew
    their crap all over the place. There is still caca-sharp/obj
    that it insists on creating (reported as Connect ID 301965).

 caca-sharp/caca-sharp.csproj  |   14 +-
 caca-sharp/test-csharp.csproj |   12 +-
 caca/libcaca.vcproj           |  960 ++++++++++++++++++++---------------------
 cxx/libcaca++.vcproj          |  696 +++++++++++++++---------------
 cxx/test-cxx.vcproj           |  666 ++++++++++++++--------------
 examples/blit.vcproj          |  738 ++++++++++++++++----------------
 examples/colors.vcproj        |  738 ++++++++++++++++----------------
 examples/demo.vcproj          |  738 ++++++++++++++++----------------
 examples/dithering.vcproj     |  738 ++++++++++++++++----------------
 examples/driver.vcproj        |  738 ++++++++++++++++----------------
 examples/event.vcproj         |  738 ++++++++++++++++----------------
 examples/font.vcproj          |  738 ++++++++++++++++----------------
 examples/frames.vcproj        |  738 ++++++++++++++++----------------
 examples/fullwidth.vcproj     |  738 ++++++++++++++++----------------
 examples/gamma.vcproj         |  738 ++++++++++++++++----------------
 examples/hsv.vcproj           |  738 ++++++++++++++++----------------
 examples/import.vcproj        |  738 ++++++++++++++++----------------
 examples/input.vcproj         |  738 ++++++++++++++++----------------
 examples/transform.vcproj     |  738 ++++++++++++++++----------------
 examples/truecolor.vcproj     |  738 ++++++++++++++++----------------
 examples/unicode.vcproj       |  738 ++++++++++++++++----------------
 libcaca.sln                   |  150 -------
 src/cacademo.vcproj           |  738 ++++++++++++++++----------------
 src/cacafire.vcproj           |  738 ++++++++++++++++----------------
 src/cacaview.vcproj           |  746 ++++++++++++++++----------------
 25 files changed, 8146 insertions(+), 8382 deletions(-)

Commit: 3489
Author: sam
Date:   Tue May 19 22:48:12 2009 +0000

    Add dirty rectangle support to the ncurses and VGA drivers.

 AUTHORS               |    2 +-
 caca/driver/ncurses.c |   36 +++++++++++++++++++++----------
 caca/driver/vga.c     |   54 ++++++++++++++++++++++++++++++++----------------
 caca/driver/win32.c   |    3 +-
 4 files changed, 63 insertions(+), 32 deletions(-)

Commit: 3486
Author: sam
Date:   Tue May 19 21:41:44 2009 +0000

    Increased the autorepeat delay in the ncurses and SLang drivers. Now that
    we have dirty rectangles, fast autorepeat becomes perfectly usable.

 caca/event.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3485
Author: sam
Date:   Tue May 19 21:41:38 2009 +0000

    Improve dirty rectangle handling in examples/input.c.

 examples/input.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

Commit: 3484
Author: sam
Date:   Tue May 19 20:42:40 2009 +0000

    Fix a few DOS compilation warnings.

 caca/dirty.c   |    6 +++---
 caca/figfont.c |    8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

Commit: 3483
Author: sam
Date:   Tue May 19 20:42:34 2009 +0000

    Fix a ruby unit test that made wrong use of Caca::Display.driver_list.

 ruby/t/tc_display.rb |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Commit: 3482
Author: sam
Date:   Tue May 19 20:42:28 2009 +0000

    Update the migration documentation to reflect old box drawing API changes.

 doc/migrating.dox |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

Commit: 3481
Author: sam
Date:   Tue May 19 20:42:22 2009 +0000

    Fix the text input example now that the box drawing functions take a size
    as argument.

 examples/input.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

Commit: 3480
Author: sam
Date:   Tue May 19 20:42:12 2009 +0000

    Fix dirty rectangle handling in the X11 and SLang drivers.

 caca/driver/slang.c |   15 +++++++++++----
 caca/driver/x11.c   |    8 ++++----
 2 files changed, 15 insertions(+), 8 deletions(-)

Commit: 3478
Author: pterjan
Date:   Tue May 19 12:46:34 2009 +0000

    Import/export dirty rectangles

 caca/codec/export.c |   25 +++++++++++++++------
 caca/codec/import.c |   60 +++++++++++++++++++++++++++++++++-----------------
 2 files changed, 57 insertions(+), 28 deletions(-)

Commit: 3475
Author: sam
Date:   Tue May 19 01:04:03 2009 +0000

    Minor optimisation in configure.ac.

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 3474
Author: sam
Date:   Tue May 19 01:03:57 2009 +0000

    cacaplay: rename "eof" to "has_eof" to prevent shadowing a mingw32 variable.

 src/cacaplay.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 3473
Author: sam
Date:   Tue May 19 00:52:10 2009 +0000

    A lot of documentation updates here and there, including bugfixes dating
    back to the libcucul merge.

 caca/event.c       |    3 +++
 doc/doxygen.cfg.in |    2 ++
 doc/migrating.dox  |   39 ++++++++++++++++++++-------------------
 doc/style.dox      |    7 +++++++
 doc/tutorial.dox   |   10 +++++-----
 doc/user.dox       |    2 +-
 ruby/ruby-caca.dox |    8 ++++----
 7 files changed, 42 insertions(+), 29 deletions(-)

Commit: 3472
Author: sam
Date:   Tue May 19 00:52:02 2009 +0000

    Update the Doxygen configuration file to version 1.5.9.

 doc/doxygen.cfg.in |  401 ++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 308 insertions(+), 93 deletions(-)

Commit: 3471
Author: sam
Date:   Tue May 19 00:51:55 2009 +0000

    Optimise the dirty rectangle handling by keeping track of the number of
    currently dirty rectangles.

 caca/caca_internals.h |    3 ++-
 caca/canvas.c         |    6 +-----
 caca/dirty.c          |   45 ++++++++++++++++++---------------------------
 3 files changed, 21 insertions(+), 33 deletions(-)

Commit: 3470
Author: sam
Date:   Tue May 19 00:51:47 2009 +0000

    Change the dirty rectangle API so that it can handle several rectangles. The
    inner implementation still only handles one dirty rectangle, but this way
    we can prepare supporting applictions for the future.

 caca/Makefile.am    |    1 +
 caca/caca.h         |   16 +++-
 caca/canvas.c       |  127 ------------------------------
 caca/dirty.c        |  215 +++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/driver/slang.c |   88 +++++++++++----------
 caca/driver/x11.c   |   85 +++++++++++----------
 caca/frame.c        |    4 +-
 caca/graphics.c     |    2 +-
 caca/libcaca.vcproj |    4 +
 caca/string.c       |    4 +-
 caca/transform.c    |   16 ++--
 tests/dirty.cpp     |  107 +++++++++++++++-----------
 12 files changed, 395 insertions(+), 274 deletions(-)

Commit: 3469
Author: pterjan
Date:   Mon May 18 13:02:43 2009 +0000

    Only redraw empty rectangles in slang driver

 caca/driver/slang.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

Commit: 3468
Author: pterjan
Date:   Mon May 18 12:54:49 2009 +0000

    Fix empty dirty rectangles detection

 caca/driver/x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3467
Author: pterjan
Date:   Sat May 16 20:14:04 2009 +0000

     * Only redraw dirty rectangle in x11 driver

 caca/driver/x11.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

Commit: 3466
Author: sam
Date:   Fri May 15 14:42:31 2009 +0000

    Add a few svn:ignore properties for Visual Studio cruft.

Commit: 3465
Author: sam
Date:   Fri May 15 14:38:30 2009 +0000

    Added MSVC project files for most example programs.

 caca-sharp/test-csharp.csproj |    2 +-
 examples/blit.vcproj          |  371 +++++++++++++++++++++++++++++++++++
 examples/colors.vcproj        |  371 +++++++++++++++++++++++++++++++++++
 examples/demo.c               |    4 +
 examples/demo.vcproj          |  371 +++++++++++++++++++++++++++++++++++
 examples/dithering.vcproj     |  371 +++++++++++++++++++++++++++++++++++
 examples/driver.vcproj        |  371 +++++++++++++++++++++++++++++++++++
 examples/event.vcproj         |  371 +++++++++++++++++++++++++++++++++++
 examples/font.vcproj          |  371 +++++++++++++++++++++++++++++++++++
 examples/frames.vcproj        |  371 +++++++++++++++++++++++++++++++++++
 examples/fullwidth.vcproj     |  371 +++++++++++++++++++++++++++++++++++
 examples/gamma.vcproj         |  371 +++++++++++++++++++++++++++++++++++
 examples/hsv.vcproj           |  371 +++++++++++++++++++++++++++++++++++
 examples/import.vcproj        |  371 +++++++++++++++++++++++++++++++++++
 examples/input.vcproj         |  371 +++++++++++++++++++++++++++++++++++
 examples/transform.vcproj     |  371 +++++++++++++++++++++++++++++++++++
 examples/truecolor.vcproj     |  371 +++++++++++++++++++++++++++++++++++
 examples/unicode.vcproj       |  371 +++++++++++++++++++++++++++++++++++
 libcaca.sln                   |  427 ++++++++++++++++++++++++++++++++++++++++-
 19 files changed, 6366 insertions(+), 3 deletions(-)

Commit: 3452
Author: sam
Date:   Thu May 14 10:04:26 2009 +0000

    Fixed libcaca and the Visual Studio solution so that it works
    on Win64, including the .NET projects.

 caca-sharp/caca-sharp.csproj  |   38 +++++++++-
 caca-sharp/test-csharp.csproj |   22 +++++-
 caca/caca_types.h.in          |   20 ++++-
 caca/libcaca.vcproj           |  155 +++++++++++++++++++++++++++++++++++++
 cxx/libcaca++.vcproj          |  155 +++++++++++++++++++++++++++++++++++++
 cxx/test-cxx.vcproj           |  155 +++++++++++++++++++++++++++++++++++++
 libcaca.sln                   |   72 +++++++++--------
 src/cacademo.vcproj           |  169 +++++++++++++++++++++++++++++++++++++++++
 src/cacafire.vcproj           |  169 +++++++++++++++++++++++++++++++++++++++++
 src/cacaview.vcproj           |  169 ++++++++++++++++++++++++++++++++++++++++-
 win32/caca_types.h            |    6 +-
 11 files changed, 1086 insertions(+), 44 deletions(-)

Commit: 3451
Author: sam
Date:   Thu May 14 08:43:52 2009 +0000

    Fix a few implicit cast related warnings on VC++.

 caca/codec/export.c |    2 +-
 caca/codec/import.c |   11 +++++------
 2 files changed, 6 insertions(+), 7 deletions(-)

Commit: 3450
Author: sam
Date:   Thu May 14 00:18:37 2009 +0000

    Fix a few dirty rectangle bugs found with the unit tests. Let that be a
    lesson to you: unit tests are good.

 caca/attr.c   |    2 +-
 caca/canvas.c |   20 ++++++++++----------
 caca/string.c |    5 ++++-
 3 files changed, 15 insertions(+), 12 deletions(-)

Commit: 3449
Author: sam
Date:   Thu May 14 00:18:30 2009 +0000

    Start writing unit tests for the dirty rectangle handling.

 tests/Makefile.am |    2 +-
 tests/dirty.cpp   |  130 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+), 1 deletions(-)

Commit: 3448
Author: sam
Date:   Thu May 14 00:18:23 2009 +0000

    Finish the dirty rectangle architecture. They are now reliable in the sense
    that anything outside the dirty rectangle is guaranteed to be unchanged, but
    we currently mark far too many cells as dirty. This must be optimised.

 caca/attr.c           |   11 ++++++++++
 caca/caca_internals.h |    6 ++--
 caca/canvas.c         |   52 ++++++++++++++++++++++++++++++------------------
 caca/frame.c          |    7 ++++++
 caca/graphics.c       |    3 ++
 caca/string.c         |   36 ++++++++++++++++++++++++++++++---
 caca/transform.c      |   16 +++++++++++++++
 7 files changed, 104 insertions(+), 27 deletions(-)

Commit: 3447
Author: sam
Date:   Thu May 14 00:18:13 2009 +0000

    Factor code from caca_draw_cp437_box() and caca_draw_thinbox_box().

 caca/box.c |  150 +++++++++++++++++++++++++----------------------------------
 1 files changed, 64 insertions(+), 86 deletions(-)

Commit: 3443
Author: sam
Date:   Wed May 13 06:40:48 2009 +0000

    Set up the architecture for dirty rectangles.
    Dirty rectangles are an upcoming optimisation that will tell the output
    drivers which portion of the canvas has been really modified since the
    last blit.

 caca/caca.h           |    6 ++-
 caca/caca_internals.h |    3 +
 caca/canvas.c         |  157 +++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 152 insertions(+), 14 deletions(-)

Commit: 3428
Author: sam
Date:   Wed Apr 29 12:22:35 2009 +0000

    Update msdev files to 9.0 (Visual Studio 2008). If anyone wants to
    play with the Windows port, there is a 90-day evaluation version
    available for free on the Microsoft website.

 caca-sharp/caca-sharp.csproj  |   47 ++++++++++++++++++++--
 caca-sharp/test-csharp.csproj |   49 ++++++++++++++++++++---
 caca/libcaca.vcproj           |   87 +++++++++++++++++++++--------------------
 cxx/libcaca++.vcproj          |   13 +++---
 cxx/test-cxx.vcproj           |   13 +++---
 libcaca.sln                   |    4 +-
 src/cacademo.vcproj           |   21 +++++-----
 src/cacafire.vcproj           |   22 +++++-----
 src/cacaview.vcproj           |   21 +++++-----
 9 files changed, 175 insertions(+), 102 deletions(-)

Commit: 3427
Author: sam
Date:   Wed Apr 29 12:13:19 2009 +0000

    import.c: when importing ANSI or UTF-8 files, treat ^L as a canvas
    frame separator. Not extremely robust yet.

 caca/codec/import.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

Commit: 3412
Author: sam
Date:   Tue Mar 24 00:58:01 2009 +0000

    Apparently \033 is more common than \x1b for ESC. Use the former in our
    code for clarity.

 caca/codec/import.c |   10 +++++-----
 caca/driver/win32.c |    2 +-
 caca/graphics.c     |    2 +-
 src/cacaserver.c    |   14 +++++++-------
 4 files changed, 14 insertions(+), 14 deletions(-)

Commit: 3407
Author: sam
Date:   Sun Mar 1 13:20:41 2009 +0000

    Added new Unicode blocks to the built-in font.

 caca/mono9.data      | 4812 ++++++++++++++++++++++++++++++++------------------
 caca/monobold12.data | 4700 ++++++++++++++++++++++++++++++++-----------------
 tools/makefont.c     |    4 +-
 3 files changed, 6181 insertions(+), 3335 deletions(-)

Commit: 3406
Author: sam
Date:   Sun Mar 1 12:39:36 2009 +0000

    transform.c: one more rotated glyph.

 caca/transform.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3405
Author: sam
Date:   Sun Mar 1 12:33:25 2009 +0000

    transform.c: add new transformation glyphs for various capital letters.

 caca/transform.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

Commit: 3404
Author: sam
Date:   Thu Feb 26 10:41:32 2009 +0000

    Remove occurrences of DATADIR, it conflicts with MinGW's <objidl.h>.
    Fixes ticket #51.

 examples/Makefile.am |    3 +--
 examples/demo.c      |    4 +---
 examples/demo0.c     |    4 +---
 tools/Makefile.am    |    2 +-
 4 files changed, 4 insertions(+), 9 deletions(-)

Commit: 3334
Author: nico
Date:   Tue Dec 9 17:37:22 2008 +0000

    * Remove 'copy' attribute of RETURN_STRINGL in php binding of functions: caca_file_gets, caca_file_read
    * Use RETVAL_STRINGL instead of RETURN_STRINGL in function caca_export_string

 caca-php/php_caca.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

Commit: 3333
Author: pterjan
Date:   Sun Nov 30 00:02:46 2008 +0000

     * Add a flip char for 1

 caca/transform.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3332
Author: pterjan
Date:   Sat Nov 29 23:53:55 2008 +0000

     * Add a rotate_180 char for G

 caca/transform.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3323
Author: sam
Date:   Wed Nov 12 10:20:56 2008 +0000

    Create a libcucul.la symlink for distributions such as Gentoo which may
    rely on .la files for library dependencies.

 caca/Makefile.am |    2 ++
 cxx/Makefile.am  |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3318
Author: bsittler
Date:   Fri Nov 7 09:03:26 2008 +0000

    add a reset button, move usage to "stdout", and stop hyperlinking the
    logo filename in the example

 caca-php/examples/www/img2txt.php |   40 ++++++++++++++++++------------------
 1 files changed, 20 insertions(+), 20 deletions(-)

Commit: 3317
Author: bsittler
Date:   Fri Nov 7 08:57:44 2008 +0000

    allow a filename exactly matching the uploaded filename; give a better
    error message when this does not work

 caca-php/examples/www/img2txt.php |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

Commit: 3316
Author: bsittler
Date:   Fri Nov 7 08:38:55 2008 +0000

    more copyright info

 caca-php/examples/img2txt.php |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 3315
Author: bsittler
Date:   Fri Nov 7 08:37:59 2008 +0000

    add more copyright info

 caca-php/examples/www/img2txt.php |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 3314
Author: bsittler
Date:   Fri Nov 7 08:36:07 2008 +0000

    https should work too

 caca-php/examples/www/img2txt.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3313
Author: bsittler
Date:   Fri Nov 7 08:35:29 2008 +0000

    obscure email addresses somewhat

 caca-php/examples/www/img2txt.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3312
Author: bsittler
Date:   Fri Nov 7 08:33:03 2008 +0000

    better argument handling, and allow logo-caca.png as a special file argument

 caca-php/examples/www/img2txt.php |   41 +++++++++++++++++++++++-------------
 1 files changed, 26 insertions(+), 15 deletions(-)

Commit: 3311
Author: bsittler
Date:   Fri Nov 7 08:25:01 2008 +0000

    fix case in example

 caca-php/examples/img2txt.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3310
Author: bsittler
Date:   Fri Nov 7 07:56:36 2008 +0000

    now works as HTML

 caca-php/examples/www/img2txt.php |  277 +++++++++++++++++++++++++++----------
 1 files changed, 201 insertions(+), 76 deletions(-)

Commit: 3309
Author: bsittler
Date:   Fri Nov 7 07:13:57 2008 +0000

    handle argument-parsing exceptions

 caca-php/examples/img2txt.php |  100 ++++++++++++++++++++++-------------------
 1 files changed, 54 insertions(+), 46 deletions(-)

Commit: 3308
Author: bsittler
Date:   Fri Nov 7 07:09:52 2008 +0000

    more accurate error message

 caca-php/examples/img2txt.php |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 3307
Author: bsittler
Date:   Fri Nov 7 06:30:29 2008 +0000

    clarify that this is a PHP port, not the original C program; return -1
    when export fails, too

 caca-php/examples/img2txt.php |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

Commit: 3306
Author: bsittler
Date:   Fri Nov 7 05:55:12 2008 +0000

    copy img2txt.php to www in preparation for htmlizing

 caca-php/examples/www/img2txt.php |  383 +++++++++++++++++++++++++++++++++++++
 1 files changed, 383 insertions(+), 0 deletions(-)

Commit: 3305
Author: bsittler
Date:   Fri Nov 7 05:51:26 2008 +0000

    remove workarounds since alpha works now (merged from ..)

 caca-php/examples/www/export.php |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

Commit: 3304
Author: bsittler
Date:   Fri Nov 7 05:48:32 2008 +0000

    hacked around the lack of a reasonable php getopt_long by writing a
    new version in PHP. it seems to work, and is more flexible than the
    getopt() found in PHP 5.3+.

 caca-php/examples/img2txt.php |  250 ++++++++++++++++++++++++++++++++++-------
 1 files changed, 211 insertions(+), 39 deletions(-)

Commit: 3303
Author: bsittler
Date:   Fri Nov 7 04:31:04 2008 +0000

    fix yet another bug i wrote :( -- be endian-neutral.

 caca-php/php_caca.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

Commit: 3302
Author: bsittler
Date:   Thu Nov 6 23:25:26 2008 +0000

    no more horrible hacks needed, since fixing the alpha mismatch in the C binding

 caca-php/examples/export.php  |    4 +-
 caca-php/examples/img2txt.php |  407 +++++++++++++++++++----------------------
 2 files changed, 189 insertions(+), 222 deletions(-)

Commit: 3301
Author: bsittler
Date:   Thu Nov 6 23:21:15 2008 +0000

    do not bother with an extraneous fill, and don't create out.png

 caca-php/examples/test.php |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

Commit: 3300
Author: bsittler
Date:   Thu Nov 6 23:18:48 2008 +0000

    fix endianness problem

 caca-php/php_caca.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

Commit: 3299
Author: bsittler
Date:   Thu Nov 6 20:01:57 2008 +0000

    oops! fix problem i introduced in the previous commit

 caca-php/php_caca.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 3298
Author: bsittler
Date:   Thu Nov 6 19:45:11 2008 +0000

    fix impedence mismatch between libgd alpha (0 = opaque, 127 = transparent) and libcaca alpha (0 = transparent, 255 = opaque)

 caca-php/php_caca.c |   75 +++++++++++++++++++++++++++++---------------------
 1 files changed, 43 insertions(+), 32 deletions(-)

Commit: 3297
Author: bsittler
Date:   Thu Nov 6 17:04:21 2008 +0000

    copy img2txt.c to img2txt.php in preparation for phpizing

 caca-php/examples/img2txt.php |  242 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 242 insertions(+), 0 deletions(-)

Commit: 3296
Author: bsittler
Date:   Thu Nov 6 07:16:59 2008 +0000

    convert to use PHP object layer similar to the C++ one used in its C++ predecessor, cxx/cxxtest.cpp; also change behavior and appearance to more closely match that version (perhaps, though, the changes should have been ported in the other direction instead...)

 caca-php/examples/cacapig.php |   36 +++++++++++++++++++-----------------
 1 files changed, 19 insertions(+), 17 deletions(-)

Commit: 3295
Author: bsittler
Date:   Thu Nov 6 07:14:12 2008 +0000

    default to $timeout = 0 in Display::getEvent()

 caca-php/caca.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3294
Author: bsittler
Date:   Thu Nov 6 07:11:01 2008 +0000

    fix some bugs and inconsistencies in the PHP object layer

 caca-php/caca.php |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

Commit: 3293
Author: bsittler
Date:   Wed Nov 5 01:00:38 2008 +0000

    add a Libcaca class to the PHP class interface, parallel to the Libcaca class in the .NET interface; fix a bunch of whitespace inconsistencies

 caca-php/caca.php          |   87 +++++++++++++++++++++++++-------------------
 caca-php/examples/test.php |   12 +++---
 2 files changed, 56 insertions(+), 43 deletions(-)

Commit: 3292
Author: bsittler
Date:   Wed Nov 5 00:39:18 2008 +0000

    add AnsiColor, EventType and EventKey constants parallel to the .NET ones

 caca-php/caca.php          |  101 ++++++++++++++++++++++++++++++++++++++++++++
 caca-php/examples/test.php |   12 +++---
 2 files changed, 107 insertions(+), 6 deletions(-)

Commit: 3291
Author: bsittler
Date:   Wed Nov 5 00:38:14 2008 +0000

    added missing constant CACA_KEY_UNKNOWN

 caca-php/php_caca.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3290
Author: bsittler
Date:   Wed Nov 5 00:04:35 2008 +0000

    preliminary port of jylam and sam's test.cs to PHP using an early version of nico's caca.php; right now it looks in dirname($argv[0]) . "/.." for caca.php, which will need to be fixed once caca.php is installed in a php standard include directory

 caca-php/examples/test.php |  258 +++++++++++++++++++++++---------------------
 1 files changed, 136 insertions(+), 122 deletions(-)

Commit: 3289
Author: bsittler
Date:   Tue Nov 4 23:57:57 2008 +0000

    copy test.cs to test.php in preparation for phpizing

 caca-php/examples/test.php |  136 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 136 insertions(+), 0 deletions(-)

Commit: 3288
Author: bsittler
Date:   Tue Nov 4 23:56:43 2008 +0000

    merge alpha fix from svn://svn.zoy.org/libcaca/libcaca/trunk/caca-php/examples/export.php@3287 into examples/www/export.php

 caca-php/examples/www/export.php |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Commit: 3287
Author: bsittler
Date:   Tue Nov 4 23:54:38 2008 +0000

    use alpha in PNG export, since it is now required to get a correct PNG output image

 caca-php/examples/export.php |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Commit: 3286
Author: bsittler
Date:   Tue Nov 4 23:53:18 2008 +0000

    fix type in Canvas::drawLine; add a minimal class Event providing a
    subset of the functionality of the .NET version; added Display::getEvent
    similar to the .NET version; change Dither::bitmap to take a Canvas
    object rather than a caca canvas resource as its first parameter; add
    Font::Render and Font::getList methods parallel to the .NET version

 caca-php/caca.php |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 50 insertions(+), 2 deletions(-)

Commit: 3285
Author: bsittler
Date:   Tue Nov 4 23:48:31 2008 +0000

    use alpha channel in gd truecolor images -- note that the scale for
    this is [0, 127], rather than [0, 255]; always free the temporary
    pixels copy allocated in PHP_FUNCTION(caca_dither_bitmap); fix a typo
    which caused PHP_FUNCTION(caca_set_display_title) to crash due to a
    failed run-time binding to "caca_set_display" (the "_title" was
    missing).

 caca-php/php_caca.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

Commit: 3284
Author: bsittler
Date:   Tue Nov 4 06:11:19 2008 +0000

    preserve column alignment better by breaking cells at spaces; preserve
    readability of fullwidth characters better by not placing cell
    boundaries between them unneccessarily

 caca/codec/export.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

Commit: 3283
Author: bsittler
Date:   Tue Nov 4 05:45:21 2008 +0000

    force a column alignment after each column containing a fullwidth character.

 caca/codec/export.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

Commit: 3282
Author: bsittler
Date:   Tue Nov 4 05:43:37 2008 +0000

    no border in old browsers, either.

 caca-php/examples/www/export.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3281
Author: bsittler
Date:   Tue Nov 4 05:28:03 2008 +0000

    htmlification

 caca-php/examples/www/unicode.php |   32 ++++++++++++++++++--------------
 1 files changed, 18 insertions(+), 14 deletions(-)

Commit: 3280
Author: bsittler
Date:   Tue Nov 4 05:23:16 2008 +0000

    copy unicode.php to www in preparation for htmlizing

 caca-php/examples/www/unicode.php |   93 +++++++++++++++++++++++++++++++++++++
 1 files changed, 93 insertions(+), 0 deletions(-)

Commit: 3279
Author: bsittler
Date:   Tue Nov 4 05:22:24 2008 +0000

    cli-only

 caca-php/examples/unicode.php |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3278
Author: bsittler
Date:   Tue Nov 4 05:21:34 2008 +0000

    phpized

 caca-php/examples/unicode.php |  160 +++++++++++++++++++----------------------
 1 files changed, 73 insertions(+), 87 deletions(-)

Commit: 3277
Author: bsittler
Date:   Tue Nov 4 05:17:37 2008 +0000

    copy unicode.c to unicode.php in preparation for phpizing

 caca-php/examples/unicode.php |  103 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 103 insertions(+), 0 deletions(-)

Commit: 3276
Author: bsittler
Date:   Tue Nov 4 05:12:17 2008 +0000

    htmlize

 caca-php/examples/www/transform.php |   31 ++++++++++++++++++-------------
 1 files changed, 18 insertions(+), 13 deletions(-)

Commit: 3275
Author: bsittler
Date:   Tue Nov 4 04:58:38 2008 +0000

    copy transform.php to www in preparation for htmlizing

 caca-php/examples/www/transform.php |  103 +++++++++++++++++++++++++++++++++++
 1 files changed, 103 insertions(+), 0 deletions(-)

Commit: 3274
Author: bsittler
Date:   Tue Nov 4 04:56:49 2008 +0000

    PHPified

 caca-php/examples/transform.php |  187 ++++++++++++++++++---------------------
 1 files changed, 86 insertions(+), 101 deletions(-)

Commit: 3273
Author: bsittler
Date:   Tue Nov 4 04:49:17 2008 +0000

    copy transform.c to transform.php in preparation for phpizing

 caca-php/examples/transform.php |  118 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 118 insertions(+), 0 deletions(-)

Commit: 3272
Author: bsittler
Date:   Tue Nov 4 04:46:47 2008 +0000

    show client-side filename

 caca-php/examples/www/export.php |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 3271
Author: bsittler
Date:   Tue Nov 4 04:45:23 2008 +0000

    clearer wording.

 caca-php/examples/www/import.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3270
Author: bsittler
Date:   Tue Nov 4 04:21:13 2008 +0000

    link to an example file to download and then import (generated by export.php)

 caca-php/examples/www/import.php |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

Commit: 3269
Author: bsittler
Date:   Tue Nov 4 04:13:13 2008 +0000

    works well enough to import the files exported by export.php

 caca-php/examples/www/import.php |   77 ++++++++++++++++++++++++++------------
 1 files changed, 53 insertions(+), 24 deletions(-)

Commit: 3268
Author: bsittler
Date:   Tue Nov 4 03:56:18 2008 +0000

    force cli on remaining examples so that apache doesn't pop up a window
    (this actually happens with the cocoa driver!)

 caca-php/examples/cacapig.php   |    3 +++
 caca-php/examples/colors.php    |    4 ++++
 caca-php/examples/fullwidth.php |    4 ++++
 caca-php/examples/render.php    |    4 ++++
 caca-php/examples/truecolor.php |    4 ++++
 5 files changed, 19 insertions(+), 0 deletions(-)

Commit: 3267
Author: bsittler
Date:   Tue Nov 4 03:39:20 2008 +0000

    CLI-only

 caca-php/examples/import.php |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3266
Author: bsittler
Date:   Tue Nov 4 03:37:12 2008 +0000

    copy import.php to www in preparation for htmlizing

 caca-php/examples/www/import.php |   54 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 54 insertions(+), 0 deletions(-)

Commit: 3265
Author: bsittler
Date:   Tue Nov 4 03:36:33 2008 +0000

    list available import formats in usage message

 caca-php/examples/import.php |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

Commit: 3264
Author: bsittler
Date:   Tue Nov 4 03:32:42 2008 +0000

    PHPification of import.c

 caca-php/examples/import.php |   72 ++++++++++++++++--------------------------
 1 files changed, 27 insertions(+), 45 deletions(-)

Commit: 3263
Author: bsittler
Date:   Tue Nov 4 03:22:04 2008 +0000

    copy import.c to import.php in preparation for phpizing

 caca-php/examples/import.php |   66 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

Commit: 3262
Author: bsittler
Date:   Tue Nov 4 00:56:07 2008 +0000

    only fill the preview iframe when javascript is enabled

 caca-php/examples/www/export.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3261
Author: bsittler
Date:   Tue Nov 4 00:41:56 2008 +0000

    merge latest CLI example bugfixes into the HTML versions

 caca-php/examples/www/colors.php |    8 ++++----
 caca-php/examples/www/export.php |   10 +++++-----
 2 files changed, 9 insertions(+), 9 deletions(-)

Commit: 3260
Author: bsittler
Date:   Tue Nov 4 00:39:40 2008 +0000

    fix typo in PHP binding of caca_set_Attr that caused segfault on linux; also remove workaround for spurious extra-argument requirement from two of the PHP examples

 caca-php/examples/colors.php |    8 ++++----
 caca-php/examples/export.php |   10 +++++-----
 caca-php/php_caca.c          |    2 +-
 3 files changed, 10 insertions(+), 10 deletions(-)

Commit: 3259
Author: bsittler
Date:   Mon Nov 3 22:30:22 2008 +0000

    now generates HTML

 caca-php/examples/www/fullwidth.php |   28 ++++++++++++++++++----------
 1 files changed, 18 insertions(+), 10 deletions(-)

Commit: 3258
Author: bsittler
Date:   Mon Nov 3 22:21:31 2008 +0000

    copy fullwidth.php to www in preparation for htmlizing

 caca-php/examples/www/fullwidth.php |   75 +++++++++++++++++++++++++++++++++++
 1 files changed, 75 insertions(+), 0 deletions(-)

Commit: 3257
Author: bsittler
Date:   Mon Nov 3 22:19:29 2008 +0000

    added copyright info for PHP conversion (blah blah blah...)

 caca-php/examples/fullwidth.php |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 3256
Author: bsittler
Date:   Mon Nov 3 22:18:27 2008 +0000

    now works as PHP

 caca-php/examples/fullwidth.php |  113 +++++++++++++++-----------------------
 1 files changed, 45 insertions(+), 68 deletions(-)

Commit: 3255
Author: bsittler
Date:   Mon Nov 3 22:08:09 2008 +0000

    copy fullwidth.c to fullwidth.php in preparation for phpizing

 caca-php/examples/fullwidth.php |   94 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 94 insertions(+), 0 deletions(-)

Commit: 3254
Author: bsittler
Date:   Mon Nov 3 22:06:33 2008 +0000

    only assume svg preview ability in opera, WebKit and Gecko

 caca-php/examples/www/export.php |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

Commit: 3253
Author: nico
Date:   Mon Nov 3 22:03:31 2008 +0000

    * Improve object layer for caca-php

 caca-php/caca.php |   60 +++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 56 insertions(+), 4 deletions(-)

Commit: 3252
Author: bsittler
Date:   Mon Nov 3 21:58:17 2008 +0000

    do not add history entries for iframe transitions

 caca-php/examples/www/export.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3251
Author: bsittler
Date:   Mon Nov 3 21:48:53 2008 +0000

    add missing id

 caca-php/examples/www/export.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3250
Author: bsittler
Date:   Mon Nov 3 21:48:16 2008 +0000

    use some javascript to show inline previews using <iframe/> for some
    of the formats (so far, html, html3, bbfr, and svg)

 caca-php/examples/www/export.php |   42 +++++++++++++++++++++++++++++++++++--
 1 files changed, 39 insertions(+), 3 deletions(-)

Commit: 3249
Author: bsittler
Date:   Mon Nov 3 21:23:20 2008 +0000

    .caca files get an extension, too

 caca-php/examples/www/export.php |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3248
Author: bsittler
Date:   Mon Nov 3 21:17:34 2008 +0000

    suggest extensions for some of the inline formats too, since browsers
    sometimes send them to external viewers and become confused if the
    filename ends in '.php' (despite our correct content-type!)

 caca-php/examples/www/export.php |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

Commit: 3247
Author: bsittler
Date:   Mon Nov 3 21:15:09 2008 +0000

    text formats embedding escape sequences get sent as attachments too

 caca-php/examples/www/export.php |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 3246
Author: bsittler
Date:   Mon Nov 3 21:12:54 2008 +0000

    working HTML version of export.php accepting an optional file upload and exporting it using the selected format

 caca-php/examples/www/export.php |  224 ++++++++++++++++++++++----------------
 1 files changed, 128 insertions(+), 96 deletions(-)

Commit: 3245
Author: bsittler
Date:   Mon Nov 3 20:55:12 2008 +0000

    another typo

 caca-php/examples/export.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3244
Author: bsittler
Date:   Mon Nov 3 20:34:42 2008 +0000

    spaces -> tabs

 caca-php/examples/export.php |  162 +++++++++++++++++++++---------------------
 1 files changed, 81 insertions(+), 81 deletions(-)

Commit: 3243
Author: bsittler
Date:   Mon Nov 3 20:08:35 2008 +0000

    add missing content-type in the HTML case

 caca-php/examples/www/render.php |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 3242
Author: bsittler
Date:   Mon Nov 3 20:01:20 2008 +0000

    typo

 caca-php/examples/export.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3241
Author: bsittler
Date:   Mon Nov 3 19:52:30 2008 +0000

    make examples/demo.php executable

 0 files changed, 0 insertions(+), 0 deletions(-)

Commit: 3240
Author: bsittler
Date:   Mon Nov 3 19:44:58 2008 +0000

    copy export.php to www in preparation for htmlizing

 caca-php/examples/www/export.php |  136 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 136 insertions(+), 0 deletions(-)

Commit: 3239
Author: bsittler
Date:   Mon Nov 3 19:42:38 2008 +0000

    export.php is now actually php, and appears to work identically to its
    C predecessor.

 caca-php/examples/export.php |  229 +++++++++++++++++++-----------------------
 1 files changed, 103 insertions(+), 126 deletions(-)

Commit: 3238
Author: bsittler
Date:   Mon Nov 3 18:40:50 2008 +0000

    copy export.c to export.php in preparation for phpizing

 caca-php/examples/export.php |  159 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 159 insertions(+), 0 deletions(-)

Commit: 3237
Author: bsittler
Date:   Mon Nov 3 18:16:38 2008 +0000

    fix foreground-color and quoting bugs in the "html" exporter; also,
    the output is now labelled as XHTML 1.0 Strict, since it does conform
    to that DTD. also removed spurious cellpadding and cellspacing from
    <div /> markup. also handle non-characters by conversion to
    replacement character, and handle more control characters by
    conversion to no-break space. finally, switch from &nbsp; to the
    equivalent &#160; so that a non-validating XML parser (which is most
    of them) can correctly parse this document.

 caca/codec/export.c |   52 ++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 43 insertions(+), 9 deletions(-)

Commit: 3236
Author: bsittler
Date:   Mon Nov 3 17:18:04 2008 +0000

    do not split a fullwidth character in the middle. yes, in some
    degenerate cases this will lead to incorrectly-displayed tables. i
    don't yet have a solution.

 caca/codec/export.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 3235
Author: bsittler
Date:   Mon Nov 3 16:55:00 2008 +0000

    do not expand tabs here. instead, importers need to understand '\t'
    and fill the canvas up to the tab stop with it. once that works,
    support will be added here (treating it as space.) also, fewer columns
    are now generated. apparently generating a minimal number of them
    fixes a bunch of the table-layout bugs.

 caca/codec/export.c |  130 ++++++++++++++++++++++++++++++--------------------
 1 files changed, 78 insertions(+), 52 deletions(-)

Commit: 3234
Author: nico
Date:   Sun Nov 2 22:45:40 2008 +0000

    * Remove \t from content of $moo
    * Change canvas size
    * Fix coordinate of label "Moo!"

 caca-php/examples/cacainfo.php |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

Commit: 3233
Author: nico
Date:   Sun Nov 2 22:42:09 2008 +0000

    * Change canvas size

 caca-php/examples/www/cacainfo.php |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3232
Author: bsittler
Date:   Sun Nov 2 22:38:40 2008 +0000

    htmlification of colors.php

 caca-php/examples/www/colors.php |   26 +++++++++++++++++---------
 1 files changed, 17 insertions(+), 9 deletions(-)

Commit: 3231
Author: nico
Date:   Sun Nov 2 22:37:27 2008 +0000

    * Fix coordinate of label "Moo!"

 caca-php/examples/www/cacainfo.php |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

Commit: 3230
Author: bsittler
Date:   Sun Nov 2 22:35:45 2008 +0000

    copy colors.php to www in preparation for htmlizing

 caca-php/examples/www/colors.php |   60 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 60 insertions(+), 0 deletions(-)

Commit: 3229
Author: bsittler
Date:   Sun Nov 2 22:34:59 2008 +0000

    PHP conversion of colors.c

 caca-php/examples/colors.php |  126 ++++++++++++++++++-----------------------
 1 files changed, 55 insertions(+), 71 deletions(-)

Commit: 3228
Author: bsittler
Date:   Sun Nov 2 22:22:18 2008 +0000

    copy colors.c to colors.php in preparation for phpizing

 caca-php/examples/colors.php |   76 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 76 insertions(+), 0 deletions(-)

Commit: 3227
Author: bsittler
Date:   Sun Nov 2 22:12:24 2008 +0000

    some unicode characters could overflow the buffer; handle more control
    characters and non-unicode codepoints when generating HTML.

 caca/codec/export.c |   22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

Commit: 3226
Author: nico
Date:   Sun Nov 2 22:10:02 2008 +0000

    * Remove tabs from content of $moo

 caca-php/examples/www/cacainfo.php |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3225
Author: nico
Date:   Sun Nov 2 21:58:09 2008 +0000

    * Improve Dithering and Canvas php classes

 caca-php/caca.php |  103 +++++++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 89 insertions(+), 14 deletions(-)

Commit: 3224
Author: bsittler
Date:   Sun Nov 2 21:57:21 2008 +0000

    optimization: when the canvas is only a single line, we can always
    optimize by merging cells

 caca/codec/export.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3223
Author: bsittler
Date:   Sun Nov 2 21:18:51 2008 +0000

    work around table layout bugs by ensuring that if there are multiple
    cells on any row of the table then the very first row does not use the
    cell-merging optimization; this appears to fix the last of the table
    layout bugs seen in truecolor.php; also fix the foreground and
    background color bugs seen in truecolor.php.

 caca/codec/export.c |   28 +++++++++++++++++++++++++---
 1 files changed, 25 insertions(+), 3 deletions(-)

Commit: 3222
Author: bsittler
Date:   Sun Nov 2 21:03:09 2008 +0000

    forgot backslashes

 caca-php/examples/www/dithering.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3221
Author: bsittler
Date:   Sun Nov 2 20:29:02 2008 +0000

    htmlification of truecolor.php; evidently there are some bugs yet in the html3 exporter

 caca-php/examples/www/truecolor.php |   26 +++++++++++++++++---------
 1 files changed, 17 insertions(+), 9 deletions(-)

Commit: 3220
Author: bsittler
Date:   Sun Nov 2 20:17:59 2008 +0000

    copy truecolor.php to www in preparation for htmlizing

 caca-php/examples/www/truecolor.php |   48 +++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)

Commit: 3219
Author: bsittler
Date:   Sun Nov 2 20:17:00 2008 +0000

    convert to PHP and make executable

 caca-php/examples/truecolor.php |   78 +++++++++++++++------------------------
 1 files changed, 30 insertions(+), 48 deletions(-)

Commit: 3218
Author: bsittler
Date:   Sun Nov 2 20:06:13 2008 +0000

    copy truecolor.c to truecolor.php in preparation for phpizing

 caca-php/examples/truecolor.php |   66 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

Commit: 3217
Author: nico
Date:   Sun Nov 2 20:05:00 2008 +0000

    * Improve class "Dither"

 caca-php/caca.php |   40 ++++++++++++++++++++--------------------
 1 files changed, 20 insertions(+), 20 deletions(-)

Commit: 3216
Author: nico
Date:   Sun Nov 2 20:02:26 2008 +0000

    * Add class "Dither" to php object layer

 caca-php/caca.php |   90 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 90 insertions(+), 0 deletions(-)

Commit: 3215
Author: bsittler
Date:   Sun Nov 2 19:50:46 2008 +0000

    add missing whitespace before /> so that the XHTML works in more plain-HTML parsers; quote attributes in double quotes rather than single quotes for the same reason

 caca-php/examples/www/cacainfo.php  |    2 +-
 caca-php/examples/www/dithering.php |    4 ++--
 caca-php/examples/www/figlet.php    |    2 +-
 caca-php/examples/www/render.php    |    2 +-
 caca-php/examples/www/text.php      |    2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

Commit: 3214
Author: bsittler
Date:   Sun Nov 2 19:28:40 2008 +0000

    add a <table summary="..." /> attribute so screenreader software does not
    get hopelessly lost.

 caca/codec/export.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3213
Author: bsittler
Date:   Sun Nov 2 19:19:45 2008 +0000

    echo rendered string in form value

 caca-php/examples/www/figlet.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3212
Author: nico
Date:   Sun Nov 2 19:13:47 2008 +0000

    * Remove white and yellow colors for letters

 caca-php/examples/www/figlet.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3211
Author: nico
Date:   Sun Nov 2 19:08:08 2008 +0000

    * Add an input box in sample web page figlet.php

 caca-php/examples/www/figlet.php |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 3210
Author: bsittler
Date:   Sun Nov 2 17:49:29 2008 +0000

    remove the stylesheet, as it does not seem to help at the moment. also remove the <pre></pre> in figlet.php since it does not seem to make a difference since the table markup includes <tt></tt> inside each cell.

 caca-php/examples/www/caca-php.css  |   20 --------------------
 caca-php/examples/www/cacainfo.php  |    1 -
 caca-php/examples/www/dithering.php |    2 --
 caca-php/examples/www/figlet.php    |    3 +--
 caca-php/examples/www/render.php    |    1 -
 caca-php/examples/www/text.php      |    1 -
 6 files changed, 1 insertions(+), 27 deletions(-)

Commit: 3209
Author: bsittler
Date:   Sun Nov 2 17:38:37 2008 +0000

    use a single table cell for adjacent attribute runs provided the background color will be the same; this allows us to avoid special stylesheets for our example programs

 caca/codec/export.c |   92 ++++++++++++++++++++++++++++++++------------------
 1 files changed, 59 insertions(+), 33 deletions(-)

Commit: 3208
Author: bsittler
Date:   Sun Nov 2 17:00:45 2008 +0000

    more conforming to 79-character limit and using tabs

 caca-php/examples/www/render.php |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

Commit: 3207
Author: bsittler
Date:   Sun Nov 2 16:56:48 2008 +0000

    generate self-referencing script URI correctly, taking into account that the
    script might be content-negotiated, renamed, symlinked, or otherwise
    alised in URI-space.

 caca-php/examples/www/render.php |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

Commit: 3206
Author: bsittler
Date:   Sun Nov 2 16:24:03 2008 +0000

    added a link so you can view the image only (also good for
    lynx/elinks) and some alt="..." text so the validator does not complain.

 caca-php/examples/www/render.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3205
Author: nico
Date:   Sun Nov 2 16:10:50 2008 +0000

    * Change structure of sample file render.php

 caca-php/examples/www/render.php |   81 +++++++++++++++++---------------------
 1 files changed, 36 insertions(+), 45 deletions(-)

Commit: 3204
Author: bsittler
Date:   Sun Nov 2 03:52:22 2008 +0000

    send correct content-type; add a missing doctype (although technically the table is not allowed inside pre, but that we will need to find another fix for)

 caca-php/examples/www/caca-php.css  |    2 +-
 caca-php/examples/www/cacainfo.php  |    4 ++++
 caca-php/examples/www/dithering.php |    6 ++++++
 caca-php/examples/www/figlet.php    |    7 +++++--
 caca-php/examples/www/text.php      |    4 ++++
 5 files changed, 20 insertions(+), 3 deletions(-)

Commit: 3203
Author: bsittler
Date:   Sun Nov 2 03:37:14 2008 +0000

    apparently php inw ww dir should not be executable?

 0 files changed, 0 insertions(+), 0 deletions(-)

Commit: 3202
Author: bsittler
Date:   Sun Nov 2 03:36:38 2008 +0000

    better UI, maybe?

 caca-php/examples/www/render.php |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

Commit: 3201
Author: bsittler
Date:   Sun Nov 2 03:27:58 2008 +0000

    seems to work

 caca-php/examples/www/render.php |   41 +++++++++++++++++++++++++++++++++----
 1 files changed, 36 insertions(+), 5 deletions(-)

Commit: 3200
Author: bsittler
Date:   Sun Nov 2 03:13:03 2008 +0000

    copy render.php to www in preparation for htmlizing

 caca-php/examples/www/render.php |   40 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

Commit: 3199
Author: bsittler
Date:   Sun Nov 2 03:10:44 2008 +0000

    HTML conversion of text.php

 caca-php/examples/www/text.php |   22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

Commit: 3198
Author: bsittler
Date:   Sun Nov 2 03:07:50 2008 +0000

    add missing newline at end of file

 caca-php/examples/www/cacainfo.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3197
Author: bsittler
Date:   Sun Nov 2 03:05:46 2008 +0000

    apparently php inw ww dir should not be executable?

 0 files changed, 0 insertions(+), 0 deletions(-)

Commit: 3196
Author: bsittler
Date:   Sun Nov 2 03:04:10 2008 +0000

    copy text.php to www in preparation for htmlizing

 caca-php/examples/www/text.php |   65 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 65 insertions(+), 0 deletions(-)

Commit: 3195
Author: nico
Date:   Sat Nov 1 23:43:00 2008 +0000

    * Improve php object layer "caca.php"

 caca-php/caca.php |   48 ++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 46 insertions(+), 2 deletions(-)

Commit: 3194
Author: nico
Date:   Sat Nov 1 21:29:51 2008 +0000

    * Change permission of web sample files

 caca-php/examples/www/logo-caca.png |  Bin 7526 -> 7526 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

Commit: 3193
Author: nico
Date:   Sat Nov 1 21:11:04 2008 +0000

    * Improve php class layer for caca-php

 caca-php/caca.php |   59 ++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 41 insertions(+), 18 deletions(-)

Commit: 3192
Author: nico
Date:   Sat Nov 1 19:55:52 2008 +0000

    * Add skeleton of php class layer for caca-php

 caca-php/caca.php |  135 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 135 insertions(+), 0 deletions(-)

Commit: 3191
Author: nico
Date:   Sat Nov 1 18:42:16 2008 +0000

    * Add web sample program: dithering.php

 caca-php/examples/www/dithering.php |   42 +++++++++++++++++++++++++++++++++++
 caca-php/examples/www/figlet.php    |    9 +++++-
 caca-php/examples/www/logo-caca.png |  Bin 0 -> 7526 bytes
 3 files changed, 49 insertions(+), 2 deletions(-)

Commit: 3190
Author: bsittler
Date:   Sat Nov 1 17:57:50 2008 +0000

    oops! make the .php executable

 0 files changed, 0 insertions(+), 0 deletions(-)

Commit: 3189
Author: nico
Date:   Sat Nov 1 13:54:13 2008 +0000

    * Add web sample "figlet.php"

 caca-php/examples/www/figlet.php |   60 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 60 insertions(+), 0 deletions(-)

Commit: 3188
Author: nico
Date:   Sat Nov 1 13:30:09 2008 +0000

    * Use proper Zend macro RETURN_STRINGL in caca_file_read, caca_files_gets,
      caca_export_string

 caca-php/php_caca.c |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

Commit: 3187
Author: nico
Date:   Sat Nov 1 12:51:54 2008 +0000

    * Initializate variable "len" in caca_export_string

 caca-php/php_caca.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3186
Author: bsittler
Date:   Sat Nov 1 06:32:30 2008 +0000

    switch to XHTML 1.0 Transitional markup (it validates perfectly, and still works in very ancient browsers too); change one <p> to </p> too

 caca-php/examples/www/cacainfo.php |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

Commit: 3185
Author: bsittler
Date:   Sat Nov 1 06:26:29 2008 +0000

    now HTML markup is generated, rather than a giant PRE block

 caca-php/examples/www/cacainfo.php |   45 ++++++++++++++++++++++-------------
 1 files changed, 28 insertions(+), 17 deletions(-)

Commit: 3184
Author: bsittler
Date:   Sat Nov 1 06:03:36 2008 +0000

    output valid XHTML (it's valid HTML3 too); note that this drops the COLS=... attribute on the table, but that had previously been calculated incorrectly anyhow so i doubt it mattered

 caca/codec/export.c |   29 +++++++++++++++--------------
 1 files changed, 15 insertions(+), 14 deletions(-)

Commit: 3183
Author: bsittler
Date:   Sat Nov 1 06:02:04 2008 +0000

    move CSS for www example to a separate file; table is no longer inside <pre>

 caca-php/examples/www/caca-php.css |   20 ++++++++++++++++++++
 caca-php/examples/www/cacainfo.php |   34 +++++++++++++---------------------
 2 files changed, 33 insertions(+), 21 deletions(-)

Commit: 3182
Author: bsittler
Date:   Sat Nov 1 05:27:04 2008 +0000

    fix table border, colors, and quoting of <, ", ', and > in html3 output

 caca/codec/export.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

Commit: 3181
Author: bsittler
Date:   Sat Nov 1 05:13:37 2008 +0000

    font for windows, too

 caca-php/examples/www/cacainfo.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3180
Author: bsittler
Date:   Sat Nov 1 05:08:24 2008 +0000

    display correctly in firefox and safari

 caca-php/examples/www/cacainfo.php |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

Commit: 3179
Author: bsittler
Date:   Sat Nov 1 04:41:25 2008 +0000

    correctly account for tabs in html3 export

 caca/codec/export.c |   47 +++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 41 insertions(+), 6 deletions(-)

Commit: 3178
Author: bsittler
Date:   Sat Nov 1 03:00:45 2008 +0000

    a first partially-broken conversion of examples/cacainfo.php

 caca-php/examples/www/cacainfo.php |   86 ++++++++++++++++++++++++++++++++++++
 1 files changed, 86 insertions(+), 0 deletions(-)

Commit: 3177
Author: nico
Date:   Sat Nov 1 02:06:43 2008 +0000

    * Change test for php-cli mode in sample programs

 caca-php/examples/cacainfo.php  |    3 ++-
 caca-php/examples/demo.php      |    3 ++-
 caca-php/examples/dithering.php |   12 ++++++++----
 caca-php/examples/figfont.php   |    3 ++-
 caca-php/examples/polyline.php  |    3 ++-
 caca-php/examples/text.php      |    3 ++-
 6 files changed, 18 insertions(+), 9 deletions(-)

Commit: 3176
Author: bsittler
Date:   Sat Nov 1 01:46:51 2008 +0000

    define variables before use; jsut comment out the "sprites" item since it apparently does not yet work

 caca-php/examples/demo.php |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

Commit: 3175
Author: nico
Date:   Sat Nov 1 01:44:28 2008 +0000

    * Check that samples programs are executed with php-cli

 caca-php/examples/cacainfo.php  |    3 +++
 caca-php/examples/demo.php      |    4 ++++
 caca-php/examples/dithering.php |    5 ++++-
 caca-php/examples/figfont.php   |    2 ++
 caca-php/examples/polyline.php  |    3 +++
 caca-php/examples/text.php      |    3 +++
 6 files changed, 19 insertions(+), 1 deletions(-)

Commit: 3174
Author: bsittler
Date:   Sat Nov 1 01:32:17 2008 +0000

    change to allow use with cocoa driver; also, a keypress now stops these demos early

 caca-php/examples/dithering.php |    2 +-
 caca-php/examples/polyline.php  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3173
Author: nico
Date:   Sat Nov 1 01:25:13 2008 +0000

    * Remove 'c' (color) and 'r' (render) options of the main menu in demo.php

 caca-php/examples/demo.php |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3172
Author: nico
Date:   Sat Nov 1 00:45:56 2008 +0000

    * Add license headers in sample programs

 caca-php/examples/cacainfo.php  |   11 +++++++++++
 caca-php/examples/cacapig.php   |   16 ++++++++++++++++
 caca-php/examples/dithering.php |   12 +++++++++++-
 caca-php/examples/figfont.php   |   10 ++++++++++
 caca-php/examples/polyline.php  |   10 ++++++++++
 5 files changed, 58 insertions(+), 1 deletions(-)

Commit: 3171
Author: nico
Date:   Sat Nov 1 00:33:57 2008 +0000

    * Clean template for phpize "config.m4"

 caca-php/config.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3169
Author: nico
Date:   Fri Oct 31 20:35:48 2008 +0000

    * Change message for phpinfo()

 caca-php/php_caca.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3168
Author: bsittler
Date:   Fri Oct 31 18:56:31 2008 +0000

    now truecolor works

 caca/driver/win32.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

Commit: 3167
Author: bsittler
Date:   Fri Oct 31 18:39:16 2008 +0000

    now arrow keys, function keys, etc. work

 caca/driver/win32.c |   73 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 73 insertions(+), 0 deletions(-)

Commit: 3166
Author: nico
Date:   Fri Oct 31 17:46:38 2008 +0000

    * Add information about gd resources support in caca-php for phpinfo()

 caca-php/php_caca.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

Commit: 3163
Author: bsittler
Date:   Fri Oct 31 00:29:31 2008 +0000

    allow CC, CXX and MACOSX_SDK_FRAMEWORKS to be overridden using exported environment variables at configure-time

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 3160
Author: sam
Date:   Fri Oct 31 00:21:04 2008 +0000

    caca-sharp: improve install and uninstall rules, add a strong name key
    to allow third-party applications to link with caca-sharp, and tune a
    few things here and there.

 caca-sharp/Makefile.am    |   38 ++++++++++++++++++++++++++------------
 caca-sharp/caca-sharp.snk |  Bin 0 -> 596 bytes
 2 files changed, 26 insertions(+), 12 deletions(-)

Commit: 3159
Author: pterjan
Date:   Thu Oct 30 22:36:13 2008 +0000

     * Undo last commit

 ruby/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

Commit: 3158
Author: pterjan
Date:   Thu Oct 30 21:45:42 2008 +0000

     * Add -module flag, hopefuly this will fix on OSX

 ruby/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3157
Author: pterjan
Date:   Thu Oct 30 20:12:50 2008 +0000

     * List drivers as a Hash

 ruby/caca-display.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

Commit: 3156
Author: nico
Date:   Thu Oct 30 18:07:11 2008 +0000

    * Check parameters number for functions that doesn't expect any parameter

 caca-php/php_caca.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

Commit: 3155
Author: bsittler
Date:   Thu Oct 30 18:00:57 2008 +0000

    add support for Mac OS X 10.4 (i386) and Mac OS X 10.5 (x86_64)

 configure.ac |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

Commit: 3154
Author: nico
Date:   Thu Oct 30 17:44:42 2008 +0000

    * Modify error message in sample program dithering.php

 caca-php/config.m4              |    2 +-
 caca-php/examples/dithering.php |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3153
Author: nico
Date:   Thu Oct 30 17:35:58 2008 +0000

    * Available the compilation of caca-php without gd development files

 caca-php/config.m4  |    5 ++---
 caca-php/php_caca.c |   19 +++++++++++++++++--
 2 files changed, 19 insertions(+), 5 deletions(-)

Commit: 3152
Author: bsittler
Date:   Thu Oct 30 17:22:43 2008 +0000

    allow SDK to be overridden by environment variables (Mac OS X)

 configure.ac |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

Commit: 3151
Author: nico
Date:   Thu Oct 30 16:43:00 2008 +0000

    * Add destructor for "caca_file" resources

 caca-php/php_caca.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 3150
Author: nico
Date:   Thu Oct 30 16:16:31 2008 +0000

    * Improve php binding of caca_render_canvas
    * Destroy php resource in caca_file_close
    * Improve sample program render.php

 caca-php/examples/render.php |    7 ++++++-
 caca-php/php_caca.c          |   25 ++++++++++++++++---------
 2 files changed, 22 insertions(+), 10 deletions(-)

Commit: 3149
Author: nico
Date:   Thu Oct 30 13:21:26 2008 +0000

    * Add new php specific function caca_load_builtin_font(string name)
    * Add php bindings for caca_get_dither_antialias_list, caca_render_canvas
    * Add a new sample program examples/render.php

 caca-php/examples/render.php |   35 ++++++++++++++++
 caca-php/php_caca.c          |   91 ++++++++++++++++++++++++++++++++++++------
 caca-php/php_caca.h          |    1 +
 3 files changed, 115 insertions(+), 12 deletions(-)

Commit: 3148
Author: nico
Date:   Thu Oct 30 11:39:24 2008 +0000

    * Remove "_gd" suffix from dithering functions
    * caca_dithering_bitmap can load palette from gd resource
    * Remove caca_set_dither_palette_gd function
    * Adapt sample program "dithering.php"

 caca-php/examples/dithering.php |    5 +--
 caca-php/php_caca.c             |   66 +++++++++++++++-----------------------
 caca-php/php_caca.h             |    4 +--
 3 files changed, 29 insertions(+), 46 deletions(-)

Commit: 3143
Author: nico
Date:   Thu Oct 30 00:51:55 2008 +0000

    * Add check after emalloc in caca_draw_thin_polyline

 caca-php/php_caca.c |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

Commit: 3142
Author: nico
Date:   Thu Oct 30 00:18:07 2008 +0000

    * Remove php function caca_create_event
    * caca_get_event return false if type == CACA_EVENT_NONE otherwise return a new
      php resource
    * Adapt sample program demo.php

 caca-php/examples/demo.php |   73 +++++++++++++++++++++-----------------------
 caca-php/php_caca.c        |   34 ++++++++------------
 caca-php/php_caca.h        |    2 -
 3 files changed, 49 insertions(+), 60 deletions(-)

Commit: 3141
Author: nico
Date:   Wed Oct 29 22:59:46 2008 +0000

    * Close php block in sample program "demo.php"

 caca-php/examples/demo.php |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 3140
Author: nico
Date:   Wed Oct 29 22:58:24 2008 +0000

    * Rewrite main loop of sample program demo.php

 caca-php/examples/demo.php |  106 +++++++++++++++++++++-----------------------
 1 files changed, 51 insertions(+), 55 deletions(-)

Commit: 3139
Author: sam
Date:   Wed Oct 29 19:10:20 2008 +0000

    Clean up configure.ac.

 configure.ac |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

Commit: 3138
Author: nico
Date:   Wed Oct 29 17:09:05 2008 +0000

    * Add indexed colors image support for dither with gd resources

 caca-php/examples/dithering.php |    3 +-
 caca-php/php_caca.c             |   64 +++++++++++++++++++++++++++++++-------
 caca-php/php_caca.h             |    1 +
 3 files changed, 55 insertions(+), 13 deletions(-)

Commit: 3137
Author: nico
Date:   Wed Oct 29 13:48:57 2008 +0000

    * Add php binding for 3 caca charset conversion functions
    * Change php header for sample program "text.php"

 caca-php/examples/text.php |    2 +-
 caca-php/php_caca.c        |    9 +++++++++
 2 files changed, 10 insertions(+), 1 deletions(-)

Commit: 3135
Author: nico
Date:   Wed Oct 29 13:19:38 2008 +0000

    * Close php blocks in samples programs (add "?>")

 caca-php/examples/cacainfo.php  |    2 ++
 caca-php/examples/cacapig.php   |    1 +
 caca-php/examples/demo.php      |    2 ++
 caca-php/examples/dithering.php |    4 +---
 caca-php/examples/figfont.php   |    2 +-
 caca-php/examples/polyline.php  |    1 +
 caca-php/examples/text.php      |    3 +--
 7 files changed, 9 insertions(+), 6 deletions(-)

Commit: 3134
Author: nico
Date:   Tue Oct 28 23:13:15 2008 +0000

    * Add php binding for function "caca_set_dither_palette"

 caca-php/php_caca.c |   26 ++++++++++++++++++++++++--
 1 files changed, 24 insertions(+), 2 deletions(-)

Commit: 3133
Author: nico
Date:   Tue Oct 28 19:43:39 2008 +0000

    * Add unicode support in sample program figfont.php

 caca-php/examples/figfont.php |   22 +++++++++++++++++-----
 1 files changed, 17 insertions(+), 5 deletions(-)

Commit: 3132
Author: nico
Date:   Tue Oct 28 19:30:10 2008 +0000

    * Change type of the last argument of drawing function (from string to long)
    * Adapt sample programs

 caca-php/examples/cacainfo.php |    3 +
 caca-php/examples/demo.php     |   28 +++++-----
 caca-php/examples/polyline.php |   17 ++++---
 caca-php/php_caca.c            |  103 ++++++++++++----------------------------
 4 files changed, 57 insertions(+), 94 deletions(-)

Commit: 3131
Author: nico
Date:   Tue Oct 28 17:59:41 2008 +0000

    * Add php binding for caca_draw_polyline and caca_draw_thin_polyline
    * Add a sample program examples/polyline.php

 caca-php/examples/polyline.php |   41 +++++++++++++++++
 caca-php/php_caca.c            |   93 ++++++++++++++++++++++++++++++++++++++--
 2 files changed, 130 insertions(+), 4 deletions(-)

Commit: 3130
Author: nico
Date:   Tue Oct 28 14:11:08 2008 +0000

    * Check that a caca_figfont was loaded before using it in caca_put_figchar()

 caca/figfont.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 3129
Author: nico
Date:   Tue Oct 28 13:45:39 2008 +0000

    * Add php binding for caca_load_font, caca_get_font_blocks, caca_put_figchar
    * Add a working sample file examples/figfont.php
    * Rename sample programs:
         examples1.php > cacapig.php
         drivers.php > cacainfo.php

 caca-php/examples/cacainfo.php |   62 ++++++++++++++++++++++++++++++++++++
 caca-php/examples/cacapig.php  |   68 ++++++++++++++++++++++++++++++++++++++++
 caca-php/examples/drivers.php  |   62 ------------------------------------
 caca-php/examples/example1.php |   68 ----------------------------------------
 caca-php/examples/figfont.php  |   24 ++++++++++++++
 caca-php/php_caca.c            |   34 +++++++++++++++++++-
 caca-php/php_caca.h            |    2 +-
 7 files changed, 187 insertions(+), 133 deletions(-)

Commit: 3128
Author: nico
Date:   Tue Oct 28 12:15:15 2008 +0000

    * Add checks after emalloc()
    * Add php binding for caca_file_gets

 caca-php/php_caca.c |   43 ++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 38 insertions(+), 5 deletions(-)

Commit: 3127
Author: nico
Date:   Tue Oct 28 11:46:18 2008 +0000

    * Add php binding for functions: caca_file_write, caca_file_read

 caca-php/examples/demo.php |    2 ++
 caca-php/php_caca.c        |   31 +++++++++++++++++++++++++++++++
 caca-php/php_caca.h        |    2 ++
 3 files changed, 35 insertions(+), 0 deletions(-)

Commit: 3126
Author: nico
Date:   Tue Oct 28 02:02:27 2008 +0000

    * Add php bindings for 9 functions
    * Modify php bloc headers in samples programs
    * Add list of import/export formats in examples/drivers.php

 caca-php/examples/demo.php      |    2 +-
 caca-php/examples/dithering.php |    6 ++-
 caca-php/examples/drivers.php   |   15 ++++--
 caca-php/examples/example1.php  |    2 +-
 caca-php/php_caca.c             |  102 +++++++++++++++++++++++++++++---------
 caca-php/php_caca.h             |    3 +-
 6 files changed, 96 insertions(+), 34 deletions(-)

Commit: 3125
Author: sam
Date:   Mon Oct 27 20:23:56 2008 +0000

    libcaca: add fallback rotated glyphs to cope with third-party software.

 caca/transform.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

Commit: 3124
Author: nico
Date:   Mon Oct 27 19:54:07 2008 +0000

    * Fix a bug in sample program "dithering.php"

 caca-php/examples/dithering.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 3123
Author: nico
Date:   Mon Oct 27 19:35:48 2008 +0000

    * Add a "caca_create_dither_gd" function that create the proper dither for a
      given gd resource.

 caca-php/examples/dithering.php |   10 ++++++----
 caca-php/php_caca.c             |   15 +++++++++++++++
 caca-php/php_caca.h             |    1 +
 3 files changed, 22 insertions(+), 4 deletions(-)

Commit: 3122
Author: nico
Date:   Mon Oct 27 19:14:32 2008 +0000

    * Add working sample program dithering.php (open logo-caca.png with Gd and
      render it with caca caca_dither_bitmap_gd)
    * Add a function to fetch a buffer of gd pixels in php_caca.c

 caca-php/examples/dithering.php |   19 +++++++++++--------
 caca-php/examples/logo-caca.png |  Bin 0 -> 7526 bytes
 caca-php/php_caca.c             |   33 ++++++++++++++++++++++++++++-----
 3 files changed, 39 insertions(+), 13 deletions(-)

Commit: 3121
Author: nico
Date:   Mon Oct 27 17:19:06 2008 +0000

    * Fix a bug in caca_export_string

 caca-php/php_caca.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 3120
Author: nico
Date:   Mon Oct 27 17:15:08 2008 +0000

    * Improve function "caca_dither_bitmap_gd"
    * Add php binding for "caca_create_dither"
    * Add new sample program "dithering.php"

 caca-php/examples/dithering.php |   15 +++++++++++++++
 caca-php/php_caca.c             |   33 ++++++++++++++++++++++++++++-----
 caca-php/php_caca.h             |    1 +
 3 files changed, 44 insertions(+), 5 deletions(-)

Commit: 3119
Author: nico
Date:   Mon Oct 27 16:23:05 2008 +0000

    * Add a function "fetch_external_resource" that allows to fetch external php
      resources such as gd resouces
    * Add test for presence of gd development files in config.m4
    * Rename php function caca_dither_bitmap in caca_dither_bitmap_gd

 caca-php/config.m4  |    9 ++++++++-
 caca-php/php_caca.c |   30 +++++++++++++++++++-----------
 caca-php/php_caca.h |    2 +-
 3 files changed, 28 insertions(+), 13 deletions(-)

Commit: 3118
Author: sam
Date:   Mon Oct 27 13:45:56 2008 +0000

    doc: fix symlink failure when installing libcaca twice.

 doc/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 3117
Author: nico
Date:   Mon Oct 27 13:34:36 2008 +0000

    * Add php binding for 12 new fonctions

 caca-php/php_caca.c |   99 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 99 insertions(+), 0 deletions(-)

Commit: 3115
Author: nico
Date:   Sun Oct 26 23:33:02 2008 +0000

    * Add php binding for functions: caca_get_dither_color, caca_set_dither_charset
      caca_get_dither_algorithm

 caca-php/php_caca.c |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

Commit: 3114
Author: nico
Date:   Sun Oct 26 21:27:32 2008 +0000

    * Add binding for 7 new functions
    * Add just_for_fun() function in sample program drivers.php

 caca-php/examples/drivers.php |   51 ++++++++++++++++++++++++++++++++++-
 caca-php/php_caca.c           |   60 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 110 insertions(+), 1 deletions(-)

Commit: 3113
Author: nico
Date:   Sun Oct 26 20:51:04 2008 +0000

    * Add php binding for 15 new functions
    * Add new sample program "examples/drivers.php"

 caca-php/examples/drivers.php |    8 +++
 caca-php/php_caca.c           |  103 +++++++++++++++++++++++++++++++++++++++-
 2 files changed, 108 insertions(+), 3 deletions(-)

Commit: 3112
Author: nico
Date:   Sun Oct 26 15:47:33 2008 +0000

    * Improve function caca_export_string

 caca-php/php_caca.c |   33 +++++++++++++++++++++++++++++++--
 caca-php/php_caca.h |    3 ++-
 2 files changed, 33 insertions(+), 3 deletions(-)

Commit: 3111
Author: nico
Date:   Sun Oct 26 15:27:59 2008 +0000

    * Add php binding for caca_export_memory (called caca_export_string)
    * Rename php function caca_import_memory to caca_import_string
    * Add sample program "text.php" (php port of examples/text.c)
    * Add php binding for "caca_set_attr"

 caca-php/examples/example1.php |    2 +-
 caca-php/examples/text.php     |   62 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 1 deletions(-)

Commit: 3110
Author: nico
Date:   Sun Oct 26 14:14:58 2008 +0000

    * Centralize caca's error managment (in macro RETURN_SUCCESS)
    * Add binding for 2 new functions
    * Fix a bug in examples/example1.php

 caca-php/examples/demo.php     |   16 +++++-
 caca-php/examples/example1.php |    2 +-
 caca-php/php_caca.c            |  124 +++++++++++++++++++++++++++++-----------
 caca-php/php_caca.h            |   10 +++
 4 files changed, 115 insertions(+), 37 deletions(-)

Commit: 3109
Author: nico
Date:   Sun Oct 26 13:38:47 2008 +0000

    * Add php binding for 4 new functions
    * Add "full" demo to "examples/demo.php"

 caca-php/examples/demo.php |  131 ++++++++++++++++++++++++++++++++++++++++----
 caca-php/php_caca.c        |   44 +++++++++++++++
 2 files changed, 164 insertions(+), 11 deletions(-)

Commit: 3108
Author: nico
Date:   Sun Oct 26 12:29:10 2008 +0000

    * Add php binding for 9 new functions
    * Improve examples/demo.php

 caca-php/examples/demo.php |  211 ++++++++++++++++++++++++++++++++++++++------
 caca-php/php_caca.c        |  115 +++++++++++++++++++++---
 caca-php/php_caca.h        |    4 +-
 3 files changed, 290 insertions(+), 40 deletions(-)

Commit: 3107
Author: nico
Date:   Sun Oct 26 00:49:09 2008 +0000

    * Add php bindings for functions: caca_draw_line & caca_draw_thin_line
    * Create a new sample file demo.php (php port of demo.c)

 caca-php/examples/demo.php |   88 ++++++++++++++++++++++++++++++++++++++++++++
 caca-php/php_caca.c        |   22 ++++++++++-
 2 files changed, 109 insertions(+), 1 deletions(-)

Commit: 3106
Author: nico
Date:   Sat Oct 25 23:52:06 2008 +0000

    * Add a nice label with libcaca's version in the center of the screen in
      sample program examples/example1.php

 caca-php/examples/example1.php |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

Commit: 3105
Author: nico
Date:   Sat Oct 25 23:40:00 2008 +0000

    * Add Php binding for caca's functions: caca_get_event, caca_set_display_time
    * Animate pink pig & add event managment in sample program "example1.php"

 caca-php/examples/example1.php |   29 +++++++++++++++++++++++++----
 caca-php/php_caca.c            |   21 +++++++++++++++++++++
 2 files changed, 46 insertions(+), 4 deletions(-)

Commit: 3104
Author: nico
Date:   Sat Oct 25 15:41:39 2008 +0000

    * Add binding for 6 new caca's functions
    * Add a nice php sample file examples/example1.php that shows a smart pink ping

 caca-php/examples/example1.php |   42 +++++++++++++++++++++++++-
 caca-php/php_caca.c            |   66 +++++++++++++++++++++++++++++++--------
 2 files changed, 93 insertions(+), 15 deletions(-)

Commit: 3101
Author: nico
Date:   Sat Oct 25 11:26:15 2008 +0000

    * Add php binding for 8 new caca's functions

 caca-php/examples/example1.php |    2 +-
 caca-php/php_caca.c            |   77 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+), 1 deletions(-)

Commit: 3095
Author: sam
Date:   Sat Oct 25 01:03:09 2008 +0000

    Add Nicolas Vion to AUTHORS.

 AUTHORS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 3094
Author: nico
Date:   Fri Oct 24 23:20:42 2008 +0000

    * Add php bindings for 13 new functions

 caca-php/php_caca.c |   68 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 68 insertions(+), 0 deletions(-)

Commit: 3093
Author: nico
Date:   Fri Oct 24 23:01:08 2008 +0000

    * Add php binding for 7 new caca's functions

 caca-php/php_caca.c |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

Commit: 3092
Author: nico
Date:   Fri Oct 24 22:35:21 2008 +0000

    * Add flac support and some other nice features...

 caca-php/php_caca.c |   57 +++++++++++++++++++++++++++++++++-----------------
 caca-php/php_caca.h |   19 +++++++++-------
 2 files changed, 48 insertions(+), 28 deletions(-)

Commit: 3091
Author: nico
Date:   Fri Oct 24 22:09:30 2008 +0000

    * Add caca's php constants definition
    * Add php binding for 13 new functions

 caca-php/php_caca.c |  176 +++++++++++++++++++++++++++++++++++++++++++++++----
 caca-php/php_caca.h |   24 ++++++--
 2 files changed, 181 insertions(+), 19 deletions(-)

Commit: 3089
Author: nico
Date:   Fri Oct 24 19:28:20 2008 +0000

    * Initial release of caca-php

 caca-php/config.m4             |   12 +
 caca-php/examples/example1.php |    4 +
 caca-php/package.xml           |   33 +++
 caca-php/php_caca.c            |  534 ++++++++++++++++++++++++++++++++++++++++
 caca-php/php_caca.h            |  143 +++++++++++
 5 files changed, 726 insertions(+), 0 deletions(-)

Commit: 3046
Author: jylam
Date:   Sun Oct 19 16:22:08 2008 +0000

     * Made Cocoa driver BEAUTIFUL ('fixed' default font size to constant values to make the look a bit more natural)

 caca/driver/cocoa.m |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

Commit: 3045
Author: jylam
Date:   Sun Oct 19 14:44:25 2008 +0000

     * Made compilation work only under Mac OS X 10.5 (Leopard) as it is the only test plateform available to me, waiting for something more clever

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2967
Author: sam
Date:   Sat Oct 18 12:57:10 2008 +0000

    Bump soname versioning.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2966
Author: sam
Date:   Sat Oct 18 12:50:13 2008 +0000

    Fix <cucul.h> installation again.

 caca/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 2965
Author: sam
Date:   Sat Oct 18 12:42:12 2008 +0000

    Set version to 0.99.beta15.
    Updated NEWS and ChangeLog.

 ChangeLog      |  305 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS           |    4 +
 configure.ac   |    2 +-
 win32/config.h |    2 +-
 4 files changed, 311 insertions(+), 2 deletions(-)

Commit: 2963
Author: sam
Date:   Sat Oct 18 11:07:14 2008 +0000

    Add a cucul.h symbolic link upon installation.

 caca/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 2962
Author: sam
Date:   Sat Oct 18 11:07:05 2008 +0000

    libcaca: move codecs and import/export functions into subdirectories.

 caca/Makefile.am      |   34 +-
 caca/codec/export.c   | 1028 +++++++++++++++++++++++++++++++++++++++++++++++++
 caca/codec/import.c   |  924 ++++++++++++++++++++++++++++++++++++++++++++
 caca/driver/cocoa.m   | 1015 ++++++++++++++++++++++++++++++++++++++++++++++++
 caca/driver/conio.c   |  185 +++++++++
 caca/driver/gl.c      |  623 ++++++++++++++++++++++++++++++
 caca/driver/ncurses.c |  848 ++++++++++++++++++++++++++++++++++++++++
 caca/driver/raw.c     |  115 ++++++
 caca/driver/slang.c   |  571 +++++++++++++++++++++++++++
 caca/driver/vga.c     |  178 +++++++++
 caca/driver/win32.c   |  367 ++++++++++++++++++
 caca/driver/x11.c     |  809 ++++++++++++++++++++++++++++++++++++++
 caca/driver_cocoa.m   | 1015 ------------------------------------------------
 caca/driver_conio.c   |  185 ---------
 caca/driver_gl.c      |  623 ------------------------------
 caca/driver_ncurses.c |  848 ----------------------------------------
 caca/driver_raw.c     |  115 ------
 caca/driver_slang.c   |  571 ---------------------------
 caca/driver_vga.c     |  178 ---------
 caca/driver_win32.c   |  367 ------------------
 caca/driver_x11.c     |  809 --------------------------------------
 caca/export.c         | 1028 -------------------------------------------------
 caca/import.c         |  924 --------------------------------------------
 caca/libcaca.vcproj   |   20 +-
 24 files changed, 6693 insertions(+), 6687 deletions(-)

Commit: 2961
Author: sam
Date:   Sat Oct 18 11:06:58 2008 +0000

    Fix compilation warnings on platforms without Imlib2.

 src/aafire.c       |    2 +-
 src/common-image.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2960
Author: sam
Date:   Sat Oct 18 11:06:49 2008 +0000

    libcaca: fix a minor warning on DOS targets.

 caca/figfont.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 2959
Author: sam
Date:   Thu Oct 16 23:44:49 2008 +0000

    Minor build system cosmetic changes.

 Makefile.am       |    2 +-
 src/Makefile.am   |    2 +-
 win32/Makefile.am |    6 +-----
 3 files changed, 3 insertions(+), 7 deletions(-)

Commit: 2958
Author: sam
Date:   Thu Oct 16 23:21:23 2008 +0000

    Do not attempt to create libcaca++ symlinks if C++ support was disabled.

 cxx/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 2956
Author: sam
Date:   Thu Oct 16 23:03:47 2008 +0000

    Remove executable bit from files that do not need it.

 0 files changed, 0 insertions(+), 0 deletions(-)

Commit: 2955
Author: sam
Date:   Thu Oct 16 22:59:04 2008 +0000

    Rename csharp/ into caca-sharp/.

 Makefile.am                         |    2 +-
 caca-sharp/.gitignore               |    2 +
 caca-sharp/AssemblyInfo.cs          |   21 +
 caca-sharp/Attr.cs                  |   57 +++
 caca-sharp/Caca.cs                  |   43 +++
 caca-sharp/Canvas.cs                |  685 +++++++++++++++++++++++++++++++++++
 caca-sharp/Display.cs               |  141 +++++++
 caca-sharp/Dither.cs                |  160 ++++++++
 caca-sharp/Event.cs                 |  187 ++++++++++
 caca-sharp/Font.cs                  |  128 +++++++
 caca-sharp/Makefile.am              |   37 ++
 caca-sharp/caca-sharp.csproj        |   54 +++
 caca-sharp/caca-sharp.dll.config.in |    3 +
 caca-sharp/test-csharp.csproj       |   51 +++
 caca-sharp/test.cs                  |  136 +++++++
 configure.ac                        |    4 +-
 csharp/.gitignore                   |    2 -
 csharp/AssemblyInfo.cs              |   21 -
 csharp/Attr.cs                      |   57 ---
 csharp/Caca.cs                      |   43 ---
 csharp/Canvas.cs                    |  685 -----------------------------------
 csharp/Display.cs                   |  141 -------
 csharp/Dither.cs                    |  160 --------
 csharp/Event.cs                     |  187 ----------
 csharp/Font.cs                      |  128 -------
 csharp/Makefile.am                  |   37 --
 csharp/caca-sharp.csproj            |   54 ---
 csharp/caca-sharp.dll.config.in     |    3 -
 csharp/test-csharp.csproj           |   51 ---
 csharp/test.cs                      |  136 -------
 libcaca.sln                         |    4 +-
 31 files changed, 1710 insertions(+), 1710 deletions(-)

Commit: 2901
Author: sam
Date:   Tue Oct 7 23:43:53 2008 +0000

    Update the Win32 cross-build script to reflect recent reorganisation.

 build-win32 |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Commit: 2900
Author: sam
Date:   Tue Oct 7 23:27:41 2008 +0000

    Renamed msvc into win32.

 Makefile.am          |    2 +-
 caca/libcaca.vcproj  |    8 +++---
 configure.ac         |    2 +-
 cxx/libcaca++.vcproj |    6 ++--
 cxx/test-cxx.vcproj  |    4 +-
 msvc/Makefile.am     |    8 ------
 msvc/caca_types.h    |    2 -
 msvc/config.h        |   59 --------------------------------------------------
 src/cacademo.vcproj  |    6 ++--
 src/cacafire.vcproj  |    6 ++--
 src/cacaview.vcproj  |    6 ++--
 win32/Makefile.am    |    8 ++++++
 win32/caca_types.h   |    2 +
 win32/config.h       |   57 ++++++++++++++++++++++++++++++++++++++++++++++++
 14 files changed, 87 insertions(+), 89 deletions(-)

Commit: 2898
Author: sam
Date:   Tue Oct 7 21:26:56 2008 +0000

    Reorganise MSVC files so that each project is with its source code.

 caca/Makefile.am          |  202 ++++++++++++++--------------
 caca/libcaca.vcproj       |  320 ++++++++++++++++++++++++++++++++++++++++++++
 csharp/Makefile.am        |   72 +++++-----
 csharp/caca-sharp.csproj  |   54 ++++++++
 csharp/test-csharp.csproj |   51 +++++++
 cxx/Makefile.am           |   87 ++++++------
 cxx/libcaca++.vcproj      |  196 +++++++++++++++++++++++++++
 cxx/test-cxx.vcproj       |  181 +++++++++++++++++++++++++
 libcaca.sln               |  128 ++++++++++++++++++
 msvc/Makefile.am          |   24 +---
 msvc/caca-sharp.csproj    |   54 --------
 msvc/cacademo.vcproj      |  199 ---------------------------
 msvc/cacafire.vcproj      |  199 ---------------------------
 msvc/cacaview.vcproj      |  205 ----------------------------
 msvc/libcaca++.vcproj     |  197 ---------------------------
 msvc/libcaca.sln          |  126 -----------------
 msvc/libcaca.vcproj       |  325 ---------------------------------------------
 msvc/test-csharp.csproj   |   51 -------
 msvc/test-cxx.vcproj      |  193 ---------------------------
 src/Makefile.am           |   94 +++++++-------
 src/cacademo.vcproj       |  203 ++++++++++++++++++++++++++++
 src/cacafire.vcproj       |  202 ++++++++++++++++++++++++++++
 src/cacaview.vcproj       |  211 +++++++++++++++++++++++++++++
 23 files changed, 1784 insertions(+), 1790 deletions(-)

Commit: 2896
Author: sam
Date:   Tue Oct 7 16:06:08 2008 +0000

    Move stubs.h to caca/caca_stubs.h since it's only used by the library.

 Makefile.am           |    2 +-
 caca/Makefile.am      |    1 +
 caca/caca_internals.h |    2 +-
 caca/caca_stubs.h     |   97 +++++++++++++++++++++++++++++++++++++++++++++++++
 msvc/libcaca.vcproj   |    6 +---
 stubs.h               |   97 -------------------------------------------------
 6 files changed, 101 insertions(+), 104 deletions(-)

Commit: 2895
Author: sam
Date:   Tue Oct 7 16:06:02 2008 +0000

    Fix the library suffix detection.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2888
Author: sam
Date:   Mon Oct 6 20:45:02 2008 +0000

    Detect shared library suffix at configure stage.

 configure.ac                    |   10 ++++++++++
 csharp/caca-sharp.dll.config.in |    4 +---
 2 files changed, 11 insertions(+), 3 deletions(-)

Commit: 2882
Author: sam
Date:   Mon Oct 6 19:33:28 2008 +0000

    caca-sharp: support systems with .dylib or .sl shared libraries.

 csharp/caca-sharp.dll.config.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 2881
Author: sam
Date:   Mon Oct 6 19:33:24 2008 +0000

    .gitignore: ignore files generated by MonoDevelop.

 .gitignore |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 2880
Author: sam
Date:   Mon Oct 6 19:33:20 2008 +0000

    Clean up the web server directories before copying the documentation there.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 2879
Author: sam
Date:   Mon Oct 6 19:33:15 2008 +0000

    doc: rewrite the tutorial to reflect recent API updates.

 doc/tutorial.dox |   53 ++++++++++++++++++++++-------------------------------
 1 files changed, 22 insertions(+), 31 deletions(-)

Commit: 2878
Author: sam
Date:   Mon Oct 6 19:33:06 2008 +0000

    libcaca: fix an infinite loop in the .pc file.

 caca/caca.pc.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2871
Author: sam
Date:   Sun Oct 5 15:50:11 2008 +0000

    Fix detection of floating point assembly instructions. They were
    incorrectly detcted as present because gcc was optimising them away.

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Commit: 2868
Author: sam
Date:   Sun Oct 5 01:37:25 2008 +0000

    Tidy the .NET Makefile.

 csharp/Makefile.am |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

Commit: 2867
Author: sam
Date:   Sun Oct 5 00:56:17 2008 +0000

    Split the C# bindings into separate files.

 csharp/Attr.cs         |   57 +++
 csharp/Caca.cs         | 1199 ------------------------------------------------
 csharp/Canvas.cs       |  685 +++++++++++++++++++++++++++
 csharp/Display.cs      |  141 ++++++
 csharp/Dither.cs       |  160 +++++++
 csharp/Event.cs        |  187 ++++++++
 csharp/Font.cs         |  128 +++++
 csharp/Makefile.am     |   10 +-
 csharp/test.cs         |   28 +-
 msvc/caca-sharp.csproj |    6 +
 10 files changed, 1387 insertions(+), 1214 deletions(-)

Commit: 2864
Author: sam
Date:   Sat Oct 4 13:05:13 2008 +0000

    configure.ac: use more modern autoconf syntax.

 caca/caca.c    |    2 +-
 configure.ac   |    9 +++++----
 src/cacaview.c |    2 +-
 3 files changed, 7 insertions(+), 6 deletions(-)

Commit: 2860
Author: sam
Date:   Mon Sep 29 23:03:38 2008 +0000

    Fix separate directory build failure caused by caca_types.h.

 examples/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 2859
Author: sam
Date:   Mon Sep 29 23:03:34 2008 +0000

    Fix the Win32 build.

 build-win32 |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Commit: 2858
Author: sam
Date:   Mon Sep 29 23:03:30 2008 +0000

    Properly export legacy 0.9 symbols.

 caca/caca0.c |    3 +--
 caca/caca0.h |   46 +++++++++++++++++++++++++++++-----------------
 2 files changed, 30 insertions(+), 19 deletions(-)

Commit: 2854
Author: sam
Date:   Mon Sep 29 22:02:45 2008 +0000

    Fix for the libcucul symlinks installation, courtesy of Ben Wiley Sittler.

 caca/Makefile.am |   17 ++++++++---------
 cxx/Makefile.am  |   17 ++++++++---------
 2 files changed, 16 insertions(+), 18 deletions(-)

Commit: 2853
Author: bsittler
Date:   Mon Sep 29 21:28:37 2008 +0000

    switch to weak aliases so it at least compiles on Mac OS X; note that the aliases do not actually work, so there is no cucul binary compatiblity in fact

 caca/caca.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Commit: 2852
Author: bsittler
Date:   Mon Sep 29 21:26:49 2008 +0000

    remove reference to obsolete common.h

 caca/driver_cocoa.m |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

Commit: 2851
Author: bsittler
Date:   Mon Sep 29 21:26:05 2008 +0000

    add missing CUCUL_* compatiblity constants

 caca/caca.h |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

Commit: 2850
Author: sam
Date:   Mon Sep 29 21:16:52 2008 +0000

    Support for platforms where shared libraries are not called *.so.

 caca/Makefile.am |    9 +++++++--
 cxx/Makefile.am  |    9 +++++++--
 2 files changed, 14 insertions(+), 4 deletions(-)

Commit: 2835
Author: sam
Date:   Sat Sep 27 21:30:09 2008 +0000

    Fix documentation installation. This is the real 0.99.beta15 release.

 doc/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 2833
Author: sam
Date:   Sat Sep 27 21:09:37 2008 +0000

    Change the website name to caca.zoy.org.

 Makefile.am   |    2 +-
 src/img2txt.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2832
Author: sam
Date:   Sat Sep 27 18:11:01 2008 +0000

    Set version to 0.99.beta14.
    Updated NEWS and ChangeLog.

 ChangeLog    |13356 ++++++++++++++++++++++++++++++++--------------------------
 NEWS         |    4 +
 configure.ac |    4 +-
 3 files changed, 7322 insertions(+), 6042 deletions(-)

Commit: 2831
Author: sam
Date:   Sat Sep 27 17:56:49 2008 +0000

    End of the libcucul merge: add symbolic links where appropriate.

 caca/Makefile.am |   12 ++++++++++--
 cxx/Makefile.am  |   12 ++++++++++--
 doc/Makefile.am  |    4 ++++
 3 files changed, 24 insertions(+), 4 deletions(-)

Commit: 2830
Author: sam
Date:   Sat Sep 27 17:56:43 2008 +0000

    caca, cxx: install symlinks for backwards compatibility with libcucul.

 caca/Makefile.am |    8 ++++++++
 cxx/Makefile.am  |    8 ++++++++
 2 files changed, 16 insertions(+), 0 deletions(-)

Commit: 2829
Author: pterjan
Date:   Sat Sep 27 16:23:26 2008 +0000

     * Fix a warning

 ruby/caca-canvas.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2828
Author: sam
Date:   Sat Sep 27 16:07:33 2008 +0000

    .gitignore: ignore caca_types.h.

 caca/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 2827
Author: sam
Date:   Sat Sep 27 15:57:33 2008 +0000

    Add missing svn:ignore SVN properties.

Commit: 2826
Author: sam
Date:   Sat Sep 27 15:43:01 2008 +0000

    Continue the libcaca/libcucul merge. Source and binary compatibility
    are almost there.

 caca/Makefile.am |    2 +-
 caca/attr.c      |   20 ++++++
 caca/box.c       |   13 ++++
 caca/caca.c      |    6 ++
 caca/caca.h      |  197 ++++++++++++++++++++++++++++++++++++++++++++++--------
 caca/canvas.c    |   22 ++++++
 caca/charset.c   |   12 +++
 caca/conic.c     |   31 ++++++---
 caca/dither.c    |   51 ++++++++++++++
 caca/export.c    |    9 +++
 caca/figfont.c   |    9 +++
 caca/file.c      |   16 +++++
 caca/font.c      |   15 ++++
 caca/frame.c     |   14 ++++
 caca/import.c    |   11 +++
 caca/line.c      |   15 ++++
 caca/string.c    |   27 ++++++++
 caca/transform.c |   13 ++++
 caca/triangle.c  |   11 +++
 19 files changed, 456 insertions(+), 38 deletions(-)

Commit: 2825
Author: pterjan
Date:   Sat Sep 27 14:29:32 2008 +0000

     * No need to require test/unit in each testfile

 ruby/t/tc_canvas.rb  |    1 -
 ruby/t/tc_display.rb |    1 -
 ruby/t/tc_dither.rb  |    1 -
 ruby/t/tc_font.rb    |    1 -
 ruby/t/tc_frame.rb   |    1 -
 5 files changed, 0 insertions(+), 5 deletions(-)

Commit: 2824
Author: sam
Date:   Sat Sep 27 14:29:11 2008 +0000

    Continuing the libcucul-libcaca merge.

 csharp/AssemblyInfo.cs  |    4 +-
 cxx/caca++.pc.in        |    4 +-
 cxx/cxxtest.cpp         |    4 +-
 doc/doxygen.cfg.in      |    2 -
 doc/libcaca.dox         |    9 +---
 doc/migrating.dox       |  101 +++++++++++++++++++++++------------------------
 doc/tutorial.dox        |   25 ++++-------
 examples/.gitignore     |    2 +-
 msvc/cacademo.vcproj    |    4 +-
 msvc/cacafire.vcproj    |    4 +-
 msvc/cacaview.vcproj    |    2 +-
 msvc/libcaca.sln        |   39 ------------------
 msvc/test-csharp.csproj |    6 +--
 msvc/test-cxx.vcproj    |    4 +-
 python/snake.py         |   20 +++++-----
 ruby/ruby.dox           |    2 -
 tests/.gitignore        |    3 +-
 tests/caca-test.cpp     |    2 +-
 18 files changed, 88 insertions(+), 149 deletions(-)

Commit: 2823
Author: pterjan
Date:   Sat Sep 27 14:29:00 2008 +0000

     * Have local paths first in LOAD_PATH

 ruby/test |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

Commit: 2822
Author: sam
Date:   Sat Sep 27 14:11:36 2008 +0000

    Continuing the libcucul-libcaca merge.

 csharp/Caca.cs                   |  937 ++++++++++++++++++++++++++++++++++++-
 csharp/Cucul.cs                  |  960 --------------------------------------
 csharp/Makefile.am               |    2 +-
 csharp/cucul-sharp.dll.config.in |    3 -
 csharp/test.cs                   |   27 +-
 cxx/Makefile.am                  |    2 +-
 cxx/caca++.cpp                   |  397 ++++++++++++++++
 cxx/caca++.h                     |  122 +++++-
 cxx/cucul++.cpp                  |  421 -----------------
 cxx/cucul++.h                    |  156 ------
 cxx/cucul++.pc.in                |   12 -
 cxx/cxxtest.cpp                  |    1 -
 msvc/caca-sharp.csproj           |    8 +-
 msvc/caca_types.h                |    2 +
 msvc/cucul-sharp.csproj          |   46 --
 msvc/cucul_types.h               |    2 -
 msvc/libcaca++.vcproj            |    4 +-
 msvc/libcaca.vcproj              |   80 +++-
 msvc/libcucul++.vcproj           |  199 --------
 msvc/libcucul.vcproj             |  281 -----------
 ruby/Makefile.am                 |    1 -
 ruby/README                      |    6 +-
 ruby/caca-canvas.c               |   12 +-
 ruby/caca-display.c              |    2 +-
 ruby/caca-dither.c               |    4 +-
 ruby/caca-font.c                 |    4 +-
 ruby/lib/caca.rb                 |    1 -
 ruby/ruby-caca.dox               |  194 ++++++---
 ruby/ruby-cucul.dox              |  112 -----
 ruby/t/tc_canvas.rb              |   12 +-
 ruby/t/tc_display.rb             |    6 +-
 ruby/t/tc_dither.rb              |   18 +-
 ruby/t/tc_font.rb                |   10 +-
 ruby/t/tc_frame.rb               |    4 +-
 34 files changed, 1724 insertions(+), 2324 deletions(-)

Commit: 2821
Author: sam
Date:   Sat Sep 27 13:12:46 2008 +0000

    Starting refactoring to get rid of libcucul. The initial reason for the
    split is rendered moot by the plugin system: when enabled, binaries do
    not link directly with libX11 or libGL. I hope this is a step towards
    more consisteny and clarity.

 Makefile.am             |    6 +-
 build-kernel            |    5 +-
 caca-config.in          |    7 +-
 caca/Makefile.am        |   37 +-
 caca/attr.c             |  463 ++++
 caca/box.c              |  226 ++
 caca/caca.c             |   53 +-
 caca/caca.h             |  349 +++-
 caca/caca.pc.in         |    4 +-
 caca/caca0.c            |   58 +-
 caca/caca0.h            |  100 +-
 caca/caca_internals.h   |   56 +-
 caca/caca_types.h.in    |  101 +
 caca/canvas.c           |  502 ++++
 caca/charset.c          |  422 ++++
 caca/conic.c            |  345 +++
 caca/dither.c           | 1564 ++++++++++++
 caca/driver_cocoa.m     |   46 +-
 caca/driver_conio.c     |   29 +-
 caca/driver_gl.c        |   63 +-
 caca/driver_ncurses.c   |   33 +-
 caca/driver_raw.c       |    9 +-
 caca/driver_slang.c     |   55 +-
 caca/driver_vga.c       |   23 +-
 caca/driver_win32.c     |   39 +-
 caca/driver_x11.c       |   48 +-
 caca/event.c            |    9 +-
 caca/export.c           | 1019 ++++++++
 caca/figfont.c          |  554 +++++
 caca/file.c             |  289 +++
 caca/font.c             |  522 ++++
 caca/frame.c            |  260 ++
 caca/graphics.c         |    9 +-
 caca/import.c           |  913 +++++++
 caca/legacy.c           |  251 ++
 caca/line.c             |  393 +++
 caca/mono9.data         | 6101 +++++++++++++++++++++++++++++++++++++++++++++++
 caca/monobold12.data    | 6101 +++++++++++++++++++++++++++++++++++++++++++++++
 caca/string.c           |  504 ++++
 caca/transform.c        | 1102 +++++++++
 caca/triangle.c         |  157 ++
 configure.ac            |   22 +-
 csharp/Makefile.am      |   20 +-
 cucul/.gitignore        |    1 -
 cucul/Makefile.am       |   42 -
 cucul/attr.c            |  463 ----
 cucul/box.c             |  226 --
 cucul/canvas.c          |  504 ----
 cucul/charset.c         |  422 ----
 cucul/conic.c           |  345 ---
 cucul/cucul.c           |  514 ----
 cucul/cucul.h           |  383 ---
 cucul/cucul.pc.in       |   12 -
 cucul/cucul_internals.h |   80 -
 cucul/cucul_types.h.in  |  101 -
 cucul/dither.c          | 1564 ------------
 cucul/export.c          | 1019 --------
 cucul/figfont.c         |  554 -----
 cucul/file.c            |  289 ---
 cucul/font.c            |  522 ----
 cucul/frame.c           |  260 --
 cucul/import.c          |  913 -------
 cucul/legacy.c          |  244 --
 cucul/line.c            |  393 ---
 cucul/mono9.data        | 6101 -----------------------------------------------
 cucul/monobold12.data   | 6101 -----------------------------------------------
 cucul/transform.c       | 1102 ---------
 cucul/triangle.c        |  157 --
 cxx/Makefile.am         |   19 +-
 cxx/caca++.cpp          |    8 +-
 cxx/caca++.h            |    7 +-
 cxx/cucul++.cpp         |  260 +-
 cxx/cucul++.h           |   38 +-
 cxx/cxxtest.cpp         |   10 +-
 doc/Makefile.am         |    8 +-
 examples/Makefile.am    |   57 +-
 examples/blit.c         |   27 +-
 examples/canvas.c       |   68 +
 examples/colors.c       |   39 +-
 examples/cucul.c        |   69 -
 examples/demo.c         |  311 ++--
 examples/dithering.c    |   35 +-
 examples/driver.c       |   13 +-
 examples/event.c        |   49 +-
 examples/export.c       |   90 +-
 examples/figfont.c      |   18 +-
 examples/font.c         |   55 +-
 examples/font2tga.c     |   34 +-
 examples/frames.c       |   35 +-
 examples/fullwidth.c    |   47 +-
 examples/gamma.c        |   65 +-
 examples/hsv.c          |   13 +-
 examples/import.c       |   11 +-
 examples/input.c        |   19 +-
 examples/spritedit.c    |   25 +-
 examples/swallow.c      |   27 +-
 examples/text.c         |   56 +-
 examples/transform.c    |   89 +-
 examples/truecolor.c    |   15 +-
 examples/unicode.c      |  113 +-
 kernel/kernel.c         |    6 +-
 kernel/kernel.h         |    4 +-
 msvc/Makefile.am        |    6 +-
 msvc/cucul_types.h      |    4 +-
 ruby/Makefile.am        |   24 +-
 ruby/caca-canvas.c      |  653 +++++
 ruby/caca-canvas.h      |   10 +
 ruby/caca-display.c     |    4 +-
 ruby/caca-dither.c      |  209 ++
 ruby/caca-dither.h      |    9 +
 ruby/caca-font.c        |   99 +
 ruby/caca-font.h        |    9 +
 ruby/caca.c             |   30 +
 ruby/common.h           |    4 +-
 ruby/cucul-canvas.c     |  653 -----
 ruby/cucul-canvas.h     |   10 -
 ruby/cucul-dither.c     |  209 --
 ruby/cucul-dither.h     |    9 -
 ruby/cucul-font.c       |   99 -
 ruby/cucul-font.h       |    9 -
 ruby/cucul.c            |   57 -
 src/Makefile.am         |   16 +-
 src/aafire.c            |   37 +-
 src/cacademo.c          |  235 +-
 src/cacadraw.c          |   31 +-
 src/cacaplay.c          |   13 +-
 src/cacaserver.c        |   14 +-
 src/cacaview.c          |  127 +-
 src/common-image.c      |   50 +-
 src/common-image.h      |    2 +-
 src/img2txt.c           |   40 +-
 src/mygetopt.c          |    2 +-
 stubs.h                 |    1 -
 tests/.gitignore        |    2 +-
 tests/Makefile.am       |   13 +-
 tests/caca-test.cpp     |    2 +-
 tests/canvas.cpp        |   70 +-
 tests/cucul-test.cpp    |   29 -
 tests/simple.c          |   30 +-
 tools/Makefile.am       |    6 +-
 tools/makefont.c        |   10 +-
 tools/optipal.c         |   78 +-
 tools/sortchars.c       |   34 +-
 143 files changed, 24815 insertions(+), 25055 deletions(-)

Commit: 2820
Author: sam
Date:   Sat Sep 27 12:13:24 2008 +0000

    test: remove legacy empty directory.

Commit: 2819
Author: sam
Date:   Sat Sep 27 09:52:27 2008 +0000

    makefont.c: change the font data encoding, the source is now 5% smaller.

 cucul/mono9.data      |12240 ++++++++++++++++++++++++-------------------------
 cucul/monobold12.data |12290 ++++++++++++++++++++++++-------------------------
 tools/makefont.c      |   80 +-
 3 files changed, 12189 insertions(+), 12421 deletions(-)

Commit: 2543
Author: sam
Date:   Wed Jul 16 17:23:31 2008 +0000

      * mygetopt.c: fix a parsing issue with short options.

 src/mygetopt.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2539
Author: sam
Date:   Wed Jul 16 13:50:48 2008 +0000

      * Fix bad AM_CONDITIONAL location: it must be in the default code path.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2536
Author: sam
Date:   Wed Jul 16 13:06:39 2008 +0000

      * cucul/file.c: fix a typo causing build failures when zlib is not here.

 cucul/file.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2535
Author: sam
Date:   Wed Jul 16 13:06:30 2008 +0000

      * Make the asm checks for fsin/fcos and fldln2/fxch/fyl2x more robust by
        forcing the tested code to use register contraints.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2519
Author: sam
Date:   Sat Jul 5 16:39:56 2008 +0000

      * Fix plugin build.

 caca/caca.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2518
Author: sam
Date:   Sat Jul 5 16:34:19 2008 +0000

      * Set version to 0.99.beta14.
      * Updateed NEWS and ChangeLog.

 NEWS         |    7 +++++++
 configure.ac |    4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

Commit: 2517
Author: sam
Date:   Sat Jul 5 16:28:30 2008 +0000

      * Check for FTGL in the configure step, because we will use it later.
      * Better CFLAGS and LDFLAGS propagation to the Makefiles.

 caca/Makefile.am |    5 ++++-
 configure.ac     |    8 +++++++-
 2 files changed, 11 insertions(+), 2 deletions(-)

Commit: 2437
Author: sam
Date:   Sun Jun 15 19:38:06 2008 +0000

      * Fix C++ library linking.

 cxx/caca++.pc.in  |    2 +-
 cxx/cucul++.pc.in |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2436
Author: sam
Date:   Sun Jun 15 18:41:09 2008 +0000

      * Fix cucul_file_read() calls in cacaview.

 src/common-image.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 2427
Author: sam
Date:   Sun Jun 15 17:06:43 2008 +0000

      * Fix cacademo build on systems without imlib-dev.

 src/common-image.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 2425
Author: sam
Date:   Sun Jun 15 16:53:57 2008 +0000

      * Generate the C++ .pc files at configure time.

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Commit: 2424
Author: sam
Date:   Sun Jun 15 16:49:42 2008 +0000

      * Only install the C++ .pc files if C++ support was activated.

 cxx/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2423
Author: sam
Date:   Sun Jun 15 16:47:40 2008 +0000

      * Install cucul++.pc and caca++.pc in the pkg-config directory.

 cxx/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

Commit: 2413
Author: sam
Date:   Sun Jun 15 14:46:51 2008 +0000

      * Updated version number to 0.99.beta15, so that we can build TOIlet.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2412
Author: sam
Date:   Sun Jun 15 14:41:17 2008 +0000

      * Export cucul_flush_figlet() to the public API. It should be removed later,
        but for now it's the only way to integrate properly with TOIlet.

 cucul/cucul.h   |    1 +
 cucul/figfont.c |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

Commit: 2411
Author: sam
Date:   Sun Jun 15 13:50:28 2008 +0000

      * Make cacaview use cucul_file_t functions.

 src/common-image.c |  104 +++++++++++++++++++++++++---------------------------
 1 files changed, 50 insertions(+), 54 deletions(-)

Commit: 2410
Author: sam
Date:   Sun Jun 15 13:50:22 2008 +0000

      * Make deprecated cucul_load_file() use cucul_file_t functions.

 cucul/legacy.c |   42 ++++++++++++++++++++++--------------------
 1 files changed, 22 insertions(+), 20 deletions(-)

Commit: 2409
Author: sam
Date:   Sun Jun 15 13:50:17 2008 +0000

      * Make cucul_import_file() use cucul_file_t functions.

 cucul/import.c |   38 +++++++++++++++++++-------------------
 1 files changed, 19 insertions(+), 19 deletions(-)

Commit: 2408
Author: sam
Date:   Sun Jun 15 13:50:11 2008 +0000

      * Set errno to ENOSYS in unsupported cucul_file_t operations.

 cucul/file.c |   25 +++++++++++++++++++------
 1 files changed, 19 insertions(+), 6 deletions(-)

Commit: 2407
Author: sam
Date:   Sun Jun 15 13:50:06 2008 +0000

      * Implement cucul_file_tell().

 cucul/cucul.h |    1 +
 cucul/file.c  |   21 +++++++++++++++++++--
 2 files changed, 20 insertions(+), 2 deletions(-)

Commit: 2406
Author: sam
Date:   Sun Jun 15 13:50:02 2008 +0000

      * Export cucul_file_t operations in the public header.
      * Implement cucul_file_read() and cucul_file_write().

 cucul/cucul.h           |   13 ++++++
 cucul/cucul_internals.h |    6 ---
 cucul/figfont.c         |   24 ++++++------
 cucul/file.c            |  101 +++++++++++++++++++++++++++++++----------------
 4 files changed, 92 insertions(+), 52 deletions(-)

Commit: 2405
Author: sam
Date:   Sun Jun 15 13:49:57 2008 +0000

      * makefont is only a system tool: use htons/htonl instead of hton16/hton32.

 tools/makefont.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2399
Author: sam
Date:   Sun Jun 15 12:28:18 2008 +0000

      * Fix cucul_set_dither_palette() argument types in cacademo.

 src/cacademo.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 2398
Author: sam
Date:   Sun Jun 15 12:28:14 2008 +0000

      * Remove htons() and htonl() from kernel mode: we use our custom hton16()
        and hton32() implementations everywhere instead, except in cacaserver
        which requires <arpa/inet.h> stuff anyway.

 kernel/kernel.c  |   15 +--------------
 stubs.h          |   10 +++++-----
 tools/makefont.c |    4 ++--
 3 files changed, 8 insertions(+), 21 deletions(-)

Commit: 2397
Author: sam
Date:   Sun Jun 15 12:28:08 2008 +0000

      * Fix a buffer initialisation issue in the sortchars utility.

 tools/sortchars.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2321
Author: jylam
Date:   Wed May 14 18:16:56 2008 +0000

     * Changed Cucul::Rotate() to Cucul::Rotate180() and Cucul::RotateLeft() and Cucul::RotateRight()

 cxx/cucul++.cpp |   12 +++++++++++-
 cxx/cucul++.h   |    4 +++-
 2 files changed, 14 insertions(+), 2 deletions(-)

Commit: 2316
Author: sam
Date:   Sat Apr 26 08:34:10 2008 +0000

      * Put autotools files in a hidden ".auto" directory instead of "autotools".

 .gitignore   |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2314
Author: sam
Date:   Wed Apr 23 21:24:40 2008 +0000

      * Add missing headers to the Visual Studio build files.

 msvc/libcaca.vcproj  |    4 ++++
 msvc/libcucul.vcproj |    8 ++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

Commit: 2313
Author: sam
Date:   Wed Apr 23 21:24:34 2008 +0000

      * Switch a few unsigned int variables to size_t where appropriate.
      * Synchronise parameter types in the C++ bindings with the C API.

 cucul/import.c       |   12 ++++++------
 cucul/triangle.c     |    6 +++---
 cxx/cucul++.cpp      |    6 +++---
 cxx/cucul++.h        |    9 +++++----
 examples/export.c    |    2 +-
 examples/figfont.c   |    2 +-
 examples/spritedit.c |    2 +-
 src/cacaserver.c     |    7 +++----
 src/img2txt.c        |    2 +-
 9 files changed, 24 insertions(+), 24 deletions(-)

Commit: 2312
Author: sam
Date:   Wed Apr 23 21:24:28 2008 +0000

      * Make Win32 a special case in cucul_types.h.in: it has intptr_t but none
        of the other required types.

 configure.ac           |    4 ++-
 cucul/cucul_types.h.in |   55 ++++++++++++++++++++++++++++++++++++++++++-----
 msvc/cucul_types.h     |    4 +-
 3 files changed, 54 insertions(+), 9 deletions(-)

Commit: 2309
Author: sam
Date:   Mon Apr 21 10:10:42 2008 +0000

      * Started libcaca unit tests.

 tests/.gitignore    |    1 +
 tests/Makefile.am   |   11 ++++++++---
 tests/caca-test.cpp |   29 +++++++++++++++++++++++++++++
 tests/canvas.cpp    |   17 ++++++++---------
 tests/driver.cpp    |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 94 insertions(+), 12 deletions(-)

Commit: 2308
Author: sam
Date:   Sat Apr 19 22:51:20 2008 +0000

      * Get the project to build in an alternate directory.

 csharp/Makefile.am     |   10 +++++-----
 cucul/cucul_types.h.in |   13 +++++++++----
 2 files changed, 14 insertions(+), 9 deletions(-)

Commit: 2307
Author: sam
Date:   Sat Apr 19 22:51:17 2008 +0000

      * Refresh the .NET bindings. Still not complete, but quite useful already.

 csharp/Caca.cs  |   18 +++++-----
 csharp/Cucul.cs |  101 ++++++++++++++++++++++++++++---------------------------
 csharp/test.cs  |    2 +-
 3 files changed, 61 insertions(+), 60 deletions(-)

Commit: 2306
Author: sam
Date:   Sat Apr 19 19:40:25 2008 +0000

      * Documentation fixes (due to renamings, some parameters were no longer
        documented).

 caca/caca.c     |    1 -
 cucul/box.c     |  143 +++++++++++++++++++++++++++----------------------------
 cucul/charset.c |   10 ++--
 3 files changed, 76 insertions(+), 78 deletions(-)

Commit: 2305
Author: sam
Date:   Sat Apr 19 19:25:52 2008 +0000

      * Remove all unsigned ints from exported functions. Signed arithmetic is
        far better for error checking.

 caca/caca.h             |   40 +++++++++++++--------------
 caca/caca_internals.h   |   26 +++++++++---------
 caca/driver_cocoa.m     |   32 +++++++++++-----------
 caca/driver_conio.c     |   10 +++---
 caca/driver_gl.c        |   20 +++++++-------
 caca/driver_ncurses.c   |   14 ++++-----
 caca/driver_raw.c       |   10 +++---
 caca/driver_slang.c     |   15 +++++-----
 caca/driver_vga.c       |    8 +++---
 caca/driver_win32.c     |   17 +++++------
 caca/driver_x11.c       |   30 ++++++++++----------
 caca/event.c            |   24 ++++++++--------
 caca/graphics.c         |   19 +++++++++----
 caca/time.c             |    8 +++---
 cucul/canvas.c          |   25 ++++++++++-------
 cucul/cucul.c           |   37 ++++++++++++++++++-------
 cucul/cucul.h           |   45 ++++++++++++++-----------------
 cucul/cucul_internals.h |   12 ++++----
 cucul/dither.c          |   67 ++++++++++++++++++++++------------------------
 cucul/export.c          |   24 ++++++++--------
 cucul/figfont.c         |   22 +++++++-------
 cucul/font.c            |   37 ++++++++++++++-----------
 cucul/frame.c           |   25 ++++++++++-------
 cucul/transform.c       |   16 +++++-----
 examples/text.c         |    4 +-
 25 files changed, 304 insertions(+), 283 deletions(-)

Commit: 2304
Author: sam
Date:   Sat Apr 19 19:25:47 2008 +0000

      * Get rid of the last long types in the API.
      * Use size_t and ssize_t where appropriate.

 caca/driver_ncurses.c  |    3 ++-
 caca/driver_slang.c    |    3 ++-
 cucul/canvas.c         |    2 +-
 cucul/charset.c        |   22 +++++++++++-----------
 cucul/cucul.h          |   14 +++++++-------
 cucul/cucul_types.h.in |    2 ++
 cucul/export.c         |   46 +++++++++++++++++++++++-----------------------
 cucul/import.c         |   28 +++++++++++++---------------
 cxx/cucul++.cpp        |    4 ++--
 cxx/cucul++.h          |    4 ++--
 examples/font2tga.c    |    4 ++--
 src/aafire.c           |   10 +++++-----
 src/cacademo.c         |   10 +++++-----
 13 files changed, 77 insertions(+), 75 deletions(-)

Commit: 2303
Author: sam
Date:   Sat Apr 19 19:25:41 2008 +0000

      * Changed most of the long ints in the API into C99 types. WARNING: this
        completely breaks compatibility with previous versions of libcaca on
        64-bit systems.

 caca/caca.h       |    4 +-
 caca/driver_gl.c  |    2 +-
 caca/event.c      |    2 +-
 cucul/attr.c      |   57 +++++++++++++-----------------------------
 cucul/box.c       |    4 +-
 cucul/canvas.c    |    6 ++--
 cucul/charset.c   |   12 ++++----
 cucul/conic.c     |    7 ++---
 cucul/cucul.h     |   71 +++++++++++++++++++++++-----------------------------
 cucul/dither.c    |   10 +++----
 cucul/figfont.c   |    6 ++--
 cucul/font.c      |    8 +++---
 cucul/line.c      |    4 +-
 cucul/triangle.c  |    4 +-
 cxx/cucul++.cpp   |   40 +++++++++++++++---------------
 cxx/cucul++.h     |   40 +++++++++++++++---------------
 ruby/cucul-font.c |    2 +-
 17 files changed, 123 insertions(+), 156 deletions(-)

Commit: 2302
Author: sam
Date:   Sat Apr 19 19:25:37 2008 +0000

      * Cosmetic fix for ./configure output when a pkg-module is not found.

 configure.ac |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

Commit: 2301
Author: sam
Date:   Sat Apr 19 14:07:54 2008 +0000

      * Use CppUnit for C and C++ unit tests. Sorry, Jylam.

 configure.ac         |    7 +++
 tests/.gitignore     |    1 +
 tests/Makefile.am    |   12 +++++-
 tests/canvas.cpp     |  103 ++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/cucul-test.cpp |   29 ++++++++++++++
 5 files changed, 150 insertions(+), 2 deletions(-)

Commit: 2300
Author: sam
Date:   Sat Apr 19 14:07:50 2008 +0000

      * Changed most "unsigned char" variables into "uint8_t", including in
        prototypes. As they are equivalent, this does not break the ABI.

 caca/caca.h         |    2 +-
 caca/driver_conio.c |    4 ++--
 caca/driver_gl.c    |    8 ++++----
 cucul/attr.c        |   10 +++++-----
 cucul/charset.c     |    4 ++--
 cucul/cucul.c       |    8 ++++----
 cucul/cucul.h       |   19 +++++++++----------
 cucul/dither.c      |    4 ++--
 cucul/export.c      |    9 ++++-----
 cucul/file.c        |    2 +-
 examples/font.c     |    2 +-
 examples/swallow.c  |    2 +-
 kernel/kernel.c     |    2 +-
 src/cacaplay.c      |    2 +-
 src/cacaserver.c    |    8 ++++----
 src/common-image.c  |    6 +++---
 16 files changed, 45 insertions(+), 47 deletions(-)

Commit: 2299
Author: sam
Date:   Sat Apr 19 12:42:50 2008 +0000

      * Remove #include <stdint.h> etc. from "common.h". Instead, make sure that
        <cucul.h> will provide the C99 types, even if libcaca has been installed.
      * Rename what's left of "common.h" to "stubs.h".
      * Remove all references to erroneous <inttypes.h> from source files.

 Makefile.am             |    2 +-
 build-dos               |    4 +-
 build-kernel            |    2 +-
 build-win32             |    2 +-
 caca/Makefile.am        |    3 +-
 caca/caca.c             |    1 -
 caca/caca0.c            |    1 -
 caca/caca_internals.h   |    4 +-
 caca/driver_conio.c     |    1 -
 caca/driver_gl.c        |    1 -
 caca/driver_ncurses.c   |    1 -
 caca/driver_raw.c       |    1 -
 caca/driver_slang.c     |    1 -
 caca/driver_vga.c       |    1 -
 caca/driver_win32.c     |    1 -
 caca/driver_x11.c       |    1 -
 caca/event.c            |    1 -
 caca/graphics.c         |    1 -
 caca/time.c             |    1 -
 common.h                |  109 -----------------------------------------------
 configure.ac            |   16 ++++++-
 cucul/.gitignore        |    1 +
 cucul/Makefile.am       |    9 ++--
 cucul/attr.c            |    1 -
 cucul/box.c             |    1 -
 cucul/canvas.c          |    1 -
 cucul/charset.c         |    1 -
 cucul/conic.c           |    1 -
 cucul/cucul.c           |    1 -
 cucul/cucul.h           |    2 +
 cucul/cucul_internals.h |    4 +-
 cucul/cucul_types.h.in  |   51 ++++++++++++++++++++++
 cucul/dither.c          |    1 -
 cucul/export.c          |    1 -
 cucul/figfont.c         |    1 -
 cucul/file.c            |    1 -
 cucul/font.c            |    1 -
 cucul/frame.c           |    1 -
 cucul/import.c          |    1 -
 cucul/legacy.c          |    1 -
 cucul/line.c            |    1 -
 cucul/transform.c       |    1 -
 cucul/triangle.c        |    1 -
 cxx/Makefile.am         |    3 +-
 examples/Makefile.am    |    3 +-
 examples/blit.c         |    2 +-
 examples/colors.c       |    1 -
 examples/cucul.c        |    1 -
 examples/demo.c         |    4 +-
 examples/dithering.c    |    1 -
 examples/driver.c       |    1 -
 examples/event.c        |    2 +-
 examples/export.c       |    4 --
 examples/figfont.c      |    1 -
 examples/font.c         |    5 --
 examples/font2tga.c     |    4 --
 examples/frames.c       |    7 +--
 examples/fullwidth.c    |    4 --
 examples/gamma.c        |    4 --
 examples/hsv.c          |    4 --
 examples/import.c       |    6 ---
 examples/input.c        |    4 --
 examples/spritedit.c    |    1 -
 examples/swallow.c      |    2 +-
 examples/text.c         |    6 +--
 examples/transform.c    |    5 +--
 examples/truecolor.c    |    4 --
 examples/unicode.c      |    4 --
 kernel/kernel.c         |    3 +-
 msvc/Makefile.am        |    2 +-
 msvc/common.h           |    1 -
 msvc/cucul_types.h      |    2 +
 ruby/Makefile.am        |    5 +-
 src/Makefile.am         |    3 +-
 src/aafire.c            |    2 +-
 src/cacademo.c          |    1 -
 src/cacadraw.c          |    1 -
 src/cacaplay.c          |    1 -
 src/cacaserver.c        |    1 -
 src/cacaview.c          |    2 +-
 src/common-image.c      |    2 +-
 src/img2txt.c           |    2 +-
 src/mygetopt.c          |    9 +---
 stubs.h                 |   98 ++++++++++++++++++++++++++++++++++++++++++
 tests/Makefile.am       |    2 +-
 tests/simple.c          |    5 --
 tools/Makefile.am       |    3 +-
 tools/makefont.c        |   13 +++---
 tools/optipal.c         |    1 -
 tools/sortchars.c       |    6 +--
 90 files changed, 223 insertions(+), 264 deletions(-)

Commit: 2298
Author: pterjan
Date:   Sat Apr 19 11:48:32 2008 +0000

    Fix args type checks in Caca::Display.new

 ruby/caca-display.c  |    6 +++---
 ruby/t/tc_display.rb |   15 +++++++++++----
 2 files changed, 14 insertions(+), 7 deletions(-)

Commit: 2297
Author: pterjan
Date:   Sat Apr 19 11:32:21 2008 +0000

    Add few unit tests for Caca::Display

 ruby/t/tc_display.rb |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

Commit: 2296
Author: pterjan
Date:   Sat Apr 19 11:31:39 2008 +0000

    Add driver/set_driver/driver=/driver_list methods to Caca::Display, and driver arg to Caca::Display.new

 ruby/caca-display.c |   92 ++++++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 81 insertions(+), 11 deletions(-)

Commit: 2295
Author: pterjan
Date:   Sat Apr 19 11:29:31 2008 +0000

    We should not free the canvas if it was auto created with the display

 ruby/cucul-canvas.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2294
Author: jylam
Date:   Sat Apr 19 10:57:30 2008 +0000

     * Fixed cucul_set_canvas_boundaries() bug that prevented good size to be applied on the resized canvas

 cucul/canvas.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

Commit: 2265
Author: jylam
Date:   Mon Mar 17 19:05:20 2008 +0000

     * Removed by-default stack protector from recent gcc's while compiling kernel.

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Commit: 2256
Author: jylam
Date:   Sun Mar 2 16:30:31 2008 +0000

     * Oops, bad type (char instead of uint32) after ellipse rendering
    improvement.

 cucul/conic.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Commit: 2255
Author: jylam
Date:   Sun Mar 2 16:28:10 2008 +0000

     * Improved ellipse rendering. Not perfect, but still much better than
    old method.  Closes #16 .

 cucul/conic.c |  124 ++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 106 insertions(+), 18 deletions(-)

Commit: 2254
Author: jylam
Date:   Sun Mar 2 14:27:43 2008 +0000

     * Fixed line transitions (both vertical and horizontal ones)

 src/cacademo.c |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

Commit: 2253
Author: sam
Date:   Sat Mar 1 19:44:45 2008 +0000

      * -Wshadow was actually put back in configure.ac; removing comment about it.

 configure.ac |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

Commit: 2248
Author: sam
Date:   Fri Feb 29 22:29:08 2008 +0000

      * Don't use mygetopt.c in img2txt if the system has getopt_long.
      * Fix invalid pointer/int cast (Closes #39).

 configure.ac    |    9 +++++++--
 src/Makefile.am |    9 +++++++--
 src/mygetopt.c  |    8 +-------
 3 files changed, 15 insertions(+), 11 deletions(-)

Commit: 2243
Author: sam
Date:   Tue Feb 26 21:43:10 2008 +0000

      * Get rid of TODO. It's now in Trac (http://libcaca.zoy.org/report/1).

 TODO               |  114 ----------------------------------------------------
 doc/doxygen.cfg.in |    3 +-
 doc/libcaca.dox    |    1 -
 3 files changed, 1 insertions(+), 117 deletions(-)

Commit: 2225
Author: bsittler
Date:   Sun Feb 3 21:53:40 2008 +0000

    build on Mac OS X again

 cucul/figfont.c |    9 +++++++--
 src/mygetopt.c  |    2 ++
 2 files changed, 9 insertions(+), 2 deletions(-)

Commit: 2192
Author: sam
Date:   Sat Jan 12 20:15:42 2008 +0000

      * Fixed the Visual Studio projects so that they build in Release mode.

 msvc/cacademo.vcproj   |    6 +++---
 msvc/cacafire.vcproj   |    6 +++---
 msvc/libcaca++.vcproj  |    2 +-
 msvc/libcaca.vcproj    |    2 +-
 msvc/libcucul++.vcproj |    6 +++---
 msvc/libcucul.vcproj   |   16 +++++++++++-----
 6 files changed, 22 insertions(+), 16 deletions(-)

Commit: 2191
Author: sam
Date:   Sat Jan 12 20:15:20 2008 +0000

      * Windows build fixes here and there.

 cucul/figfont.c |    4 ++--
 cxx/caca++.cpp  |    2 ++
 msvc/config.h   |    1 +
 3 files changed, 5 insertions(+), 2 deletions(-)

Commit: 2189
Author: sam
Date:   Thu Jan 10 23:42:42 2008 +0000

      * Make it clear that we can use the Windows native console.

 doc/libcaca.dox  |   13 +++++++------
 doc/tutorial.dox |    2 +-
 2 files changed, 8 insertions(+), 7 deletions(-)

Commit: 2188
Author: sam
Date:   Thu Jan 10 23:42:29 2008 +0000

      * Put back all the shit in struct caca_event to avoid breaking existing
        applications. I'll think of a migration path later.

 caca/caca.h |   30 +++++++++++++++++++-----------
 1 files changed, 19 insertions(+), 11 deletions(-)

Commit: 2182
Author: jylam
Date:   Tue Jan 1 00:07:04 2008 +0000

     * FIRST !

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2177
Author: sam
Date:   Sun Dec 30 18:50:41 2007 +0000

      * Add figfont.c to the MSVC solution.

 msvc/libcucul.vcproj |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

Commit: 2176
Author: sam
Date:   Sun Dec 30 13:49:57 2007 +0000

      * Check for pkg-config before bootstrapping, because autoconf gives a
        totally meaningless message when it's not present.

 bootstrap |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

Commit: 2147
Author: sam
Date:   Thu Dec 20 15:26:12 2007 +0000

      * Fix canvas export for the caca format. We now export all frames.
      * Fix the sprite import/export example.

 cucul/export.c       |   43 +++++++++++++++++++++++++------------------
 examples/spritedit.c |    2 +-
 2 files changed, 26 insertions(+), 19 deletions(-)

Commit: 2146
Author: sam
Date:   Thu Dec 20 15:00:39 2007 +0000

      * Started sprite example. Doesn't work :-)

 examples/spritedit.c |  169 +++++++++++++++++---------------------------------
 1 files changed, 58 insertions(+), 111 deletions(-)

Commit: 2144
Author: sam
Date:   Sun Dec 16 14:29:19 2007 +0000

      * Disable file operations in kernel mode.
      * Implement strchr() in kernel.c.
      * Check for snprintf() at configure time.

 configure.ac    |    2 +-
 cucul/figfont.c |    2 ++
 cucul/file.c    |   34 +++++++++++++++++++++++-----------
 kernel/kernel.c |   10 ++++++++++
 kernel/kernel.h |    1 +
 msvc/config.h   |    1 +
 6 files changed, 38 insertions(+), 12 deletions(-)

Commit: 2142
Author: sam
Date:   Sun Dec 16 11:55:14 2007 +0000

      * The SLang and ncurses drivers now put back the TERM environment variable
        if they modified it.

 caca/driver_ncurses.c |   28 +++++++++++++++++++++++++---
 caca/driver_slang.c   |   36 +++++++++++++++++++++++++++++++++---
 2 files changed, 58 insertions(+), 6 deletions(-)

Commit: 2141
Author: sam
Date:   Sun Dec 16 11:54:43 2007 +0000

      * Only call glutInit() once through the program's lifetime.
      * Free the internal font when closing the GL driver.
      * Hide the window when closing the GL driver, because freeglut's
        glutDestroyWindow() does not really closes the window.

 caca/driver_gl.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

Commit: 2140
Author: sam
Date:   Sun Dec 16 11:54:25 2007 +0000

      * Fix a tiny use of uninitialised memory in caca_get_event() that may have
        lead to deadlocks.

 caca/event.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2139
Author: sam
Date:   Sun Dec 16 11:54:02 2007 +0000

      * Implemented caca_set_display_driver() to change driver at runtime.

 caca/caca.c       |  238 +++++++++++++++++++++++++++++++----------------------
 caca/caca.h       |    3 +-
 examples/driver.c |   67 +++++++++------
 3 files changed, 182 insertions(+), 126 deletions(-)

Commit: 2138
Author: sam
Date:   Sun Dec 16 01:50:41 2007 +0000

      * Implement caca_create_display_with_driver() to specify an output driver
        without using environment variables..
      * Implement caca_get_display_driver() to return the current display's
        output driver.
      * Add a simple example program to test caca_create_display_with_driver().

 caca/caca.c           |   74 ++++++++++++++++++++++++++++++++++++++++--------
 caca/caca.h           |    5 ++-
 caca/caca_internals.h |    3 +-
 caca/driver_cocoa.m   |    3 +-
 caca/driver_conio.c   |    3 +-
 caca/driver_gl.c      |    3 +-
 caca/driver_ncurses.c |    3 +-
 caca/driver_raw.c     |    3 +-
 caca/driver_slang.c   |    3 +-
 caca/driver_vga.c     |    3 +-
 caca/driver_win32.c   |    3 +-
 caca/driver_x11.c     |    3 +-
 caca/event.c          |    4 +-
 examples/.gitignore   |    1 +
 examples/Makefile.am  |    5 ++-
 examples/driver.c     |   71 +++++++++++++++++++++++++++++++++++++++++++++++
 16 files changed, 163 insertions(+), 27 deletions(-)

Commit: 2137
Author: sam
Date:   Sun Dec 16 01:50:36 2007 +0000

      * Remove cruft from caca_get_display_driver_list().

 caca/caca.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

Commit: 2136
Author: sam
Date:   Fri Dec 14 16:23:14 2007 +0000

      * Add #include <cstring> to fix gcc-4.3 build.

 cxx/cxxtest.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Commit: 2135
Author: sam
Date:   Wed Dec 12 07:41:00 2007 +0000

      * Implemented caca_get_display_driver_list(), unused yet.

 caca/caca.c |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 caca/caca.h |    1 +
 2 files changed, 52 insertions(+), 0 deletions(-)

Commit: 2129
Author: sam
Date:   Fri Dec 7 09:34:11 2007 +0000

      * Cocoa driver build fix, courtesy of Ben Wiley Sittler.

 caca/driver_cocoa.m |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

Commit: 2128
Author: sam
Date:   Fri Dec 7 09:33:23 2007 +0000

      * Slight improvement to the Unicode -> ASCII conversion, courtesy of
        Ben Wiley Sittler.

 cucul/charset.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

Commit: 2111
Author: sam
Date:   Sat Dec 1 17:58:52 2007 +0000

    =?utf-8?q?=20=20*=20Implement=20cucul=5Fput=5Ffigchar()=20to=20paste=20FIGlet/TOIlet=20characters=20in
    =20=20=20=20=20=20=20=20=20=20=E2=96=8C=20=E2=96=8C=20=20=20=E2=96=9C=E2=96=9C=20=20=20=20=C2=A0=E2=96=8C=20=E2=96=8C=20=20=20=20=20=20=E2=96=9C=20=20=20=E2=96=8C=E2=96=90
    =20=20=20=20=20=20=20=20=20=20=E2=96=99=E2=96=84=E2=96=8C=E2=96=9E=E2=96=80=E2=96=96=E2=96=90=E2=96=90=20=E2=96=9E=E2=96=80=E2=96=96=C2=A0=E2=96=8C=E2=96=96=E2=96=8C=E2=96=9E=E2=96=80=E2=96=96=E2=96=99=E2=96=80=E2=96=96=E2=96=90=20=E2=96=9E=E2=96=80=E2=96=8C=E2=96=90
    =20=20=20=20=20=20=20=20=20=20=E2=96=8C=20=E2=96=8C=E2=96=9B=E2=96=80=20=E2=96=90=E2=96=90=20=E2=96=8C=20=E2=96=8C=C2=A0=E2=96=99=E2=96=9A=E2=96=8C=E2=96=8C=20=E2=96=8C=E2=96=8C=20=C2=A0=E2=96=90=20=E2=96=8C=20=E2=96=8C=E2=96=9D
    =20=20=20=20=20=20=20=20=20=20=E2=96=98=20=E2=96=98=E2=96=9D=E2=96=80=E2=96=98=20=E2=96=98=E2=96=98=E2=96=9D=E2=96=80=20=C2=A0=E2=96=98=20=E2=96=98=E2=96=9D=E2=96=80=20=E2=96=98=20=20=20=E2=96=98=E2=96=9D=E2=96=80=E2=96=98=E2=96=9D?=
    MIME-Version: 1.0
    Content-Type: text/plain; charset=utf-8
    Content-Transfer-Encoding: 8bit

 cucul/cucul.c           |    3 +-
 cucul/cucul.h           |    1 +
 cucul/cucul_internals.h |    4 -
 cucul/figfont.c         |  299 ++++++++++++++++++++++++++++++++++++++++++++++-
 examples/figfont.c      |   16 +++-
 5 files changed, 310 insertions(+), 13 deletions(-)

Commit: 2110
Author: sam
Date:   Sat Dec 1 17:58:20 2007 +0000

      * Implemented cucul_canvas_set_figfont() from TOIlet’s open_font().

 cucul/Makefile.am       |    1 +
 cucul/canvas.c          |    2 +-
 cucul/cucul.c           |    5 +
 cucul/cucul.h           |    8 ++
 cucul/cucul_internals.h |   12 ++
 cucul/figfont.c         |  261 +++++++++++++++++++++++++++++++++++++++++++++++
 examples/.gitignore     |    1 +
 examples/Makefile.am    |    5 +-
 examples/figfont.c      |   45 ++++++++
 9 files changed, 338 insertions(+), 2 deletions(-)

Commit: 2109
Author: sam
Date:   Sat Dec 1 17:57:50 2007 +0000

      * Import io.c from TOIlet directly into libcucul. Can you see where this
        is going?

 configure.ac            |    4 +
 cucul/Makefile.am       |    3 +-
 cucul/cucul.h           |    2 +
 cucul/cucul_internals.h |    6 ++
 cucul/file.c            |  215 +++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 229 insertions(+), 1 deletions(-)

Commit: 2108
Author: sam
Date:   Sat Dec 1 17:57:41 2007 +0000

      * Bump version to 0.99.beta14.

 configure.ac  |    2 +-
 msvc/config.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2107
Author: sam
Date:   Sat Dec 1 17:57:19 2007 +0000

      * Fix the "img2txt: option requires an argument -- h" bug.

 src/img2txt.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2106
Author: sam
Date:   Sat Dec 1 17:56:45 2007 +0000

      * Use cucul_get_dither_algorithm_list() and cucul_get_export_list() instead
        of hardcoding the feature list in img2txt.

 src/img2txt.c |   32 +++++++++++++++-----------------
 1 files changed, 15 insertions(+), 17 deletions(-)

Commit: 2105
Author: pterjan
Date:   Sat Dec 1 15:51:20 2007 +0000

     * Allow exiting cacafire using the window manager

 src/aafire.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Commit: 2104
Author: jylam
Date:   Fri Nov 30 23:59:57 2007 +0000

     * Added BBCode (French) format to img2txt's help and doc

 doc/img2txt.1 |    1 +
 src/img2txt.c |   19 ++++++++++---------
 2 files changed, 11 insertions(+), 9 deletions(-)

Commit: 2103
Author: sam
Date:   Fri Nov 30 23:48:51 2007 +0000

      * Created a tests/ directory for regression tests. Run with "make check".
      * Added a first, simple test program.

 Makefile.am       |    2 +-
 configure.ac      |    1 +
 tests/.gitignore  |    1 +
 tests/Makefile.am |   11 ++++++++
 tests/simple.c    |   68 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 82 insertions(+), 1 deletions(-)

Commit: 2102
Author: sam
Date:   Fri Nov 30 23:48:46 2007 +0000

      * Add a French BBCode exporter, for use on http://libcaca.skyrock.com/ for
        instance.

 cucul/export.c |  105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 105 insertions(+), 0 deletions(-)

Commit: 2101
Author: sam
Date:   Fri Nov 30 23:48:39 2007 +0000

      * Rename "test" to "examples". The former will become a real testsuite.
      * Autodetect zzuf in the configure step. It might become handy.

 Makefile.am          |    2 +-
 configure.ac         |   15 +-
 examples/.gitignore  |   23 ++
 examples/Makefile.am |   75 +++++++
 examples/blit.c      |   82 +++++++
 examples/colors.c    |   78 +++++++
 examples/cucul.c     |   70 ++++++
 examples/demo.c      |  585 ++++++++++++++++++++++++++++++++++++++++++++++++++
 examples/demo0.c     |  584 +++++++++++++++++++++++++++++++++++++++++++++++++
 examples/dithering.c |  148 +++++++++++++
 examples/event.c     |  164 ++++++++++++++
 examples/export.c    |  163 ++++++++++++++
 examples/font.c      |  118 ++++++++++
 examples/font2tga.c  |   90 ++++++++
 examples/frames.c    |   93 ++++++++
 examples/fullwidth.c |   99 +++++++++
 examples/gamma.c     |  131 +++++++++++
 examples/hsv.c       |   67 ++++++
 examples/import.c    |   73 +++++++
 examples/input.c     |  160 ++++++++++++++
 examples/spritedit.c |  148 +++++++++++++
 examples/swallow.c   |  123 +++++++++++
 examples/text.c      |   95 ++++++++
 examples/transform.c |  122 +++++++++++
 examples/truecolor.c |   71 ++++++
 examples/unicode.c   |  108 +++++++++
 test/.gitignore      |   23 --
 test/Makefile.am     |   75 -------
 test/blit.c          |   82 -------
 test/colors.c        |   78 -------
 test/cucul.c         |   70 ------
 test/demo.c          |  585 --------------------------------------------------
 test/demo0.c         |  584 -------------------------------------------------
 test/dithering.c     |  148 -------------
 test/event.c         |  164 --------------
 test/export.c        |  163 --------------
 test/font.c          |  118 ----------
 test/font2tga.c      |   90 --------
 test/frames.c        |   93 --------
 test/fullwidth.c     |   99 ---------
 test/gamma.c         |  131 -----------
 test/hsv.c           |   67 ------
 test/import.c        |   73 -------
 test/input.c         |  160 --------------
 test/spritedit.c     |  148 -------------
 test/swallow.c       |  123 -----------
 test/text.c          |   95 --------
 test/transform.c     |  122 -----------
 test/truecolor.c     |   71 ------
 test/unicode.c       |  108 ---------
 50 files changed, 3483 insertions(+), 3474 deletions(-)

Commit: 2097
Author: pterjan
Date:   Thu Nov 29 00:52:13 2007 +0000

     * cucul.h is needed to build caca part

 ruby/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Commit: 2096
Author: sam
Date:   Wed Nov 28 23:57:53 2007 +0000

      * Set version to 0.99.beta13.
      * Updated NEWS and ChangeLog.

 ChangeLog     | 9018 +++++++++++++++++++++++++++++++++++++++++++++++++--------
 NEWS          |   11 +
 configure.ac  |    4 +-
 msvc/config.h |    4 +-
 4 files changed, 7900 insertions(+), 1137 deletions(-)

Commit: 2095
Author: sam
Date:   Wed Nov 28 23:20:05 2007 +0000

      * Implemented the empty CuculCanvas constructor.
      * Implemented CacaDisplay.Canvas which acts the same as caca_get_canvas().

 csharp/Caca.cs  |   46 ++++++++++-----
 csharp/Cucul.cs |  169 ++++++++++++++++++++++++++++---------------------------
 2 files changed, 115 insertions(+), 100 deletions(-)

Commit: 2094
Author: pterjan
Date:   Wed Nov 28 16:43:32 2007 +0000

     * Improve Cucul::Canvas creation

 ruby/cucul-canvas.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

Commit: 2093
Author: pterjan
Date:   Wed Nov 28 16:39:10 2007 +0000

     * Add Caca::Display#canvas

 ruby/caca-display.c |    5 +++++
 ruby/cucul-canvas.c |    5 +++++
 ruby/cucul-canvas.h |    1 +
 ruby/lib/caca.rb    |    3 +++
 ruby/ruby-caca.dox  |    2 +-
 5 files changed, 15 insertions(+), 1 deletions(-)

Commit: 2092
Author: pterjan
Date:   Wed Nov 28 07:29:12 2007 +0000

     * Allow calling Caca::Display.new without parameter

 ruby/caca-display.c |   23 +++++++++++++++++------
 1 files changed, 17 insertions(+), 6 deletions(-)

Commit: 2091
Author: sam
Date:   Wed Nov 28 07:15:09 2007 +0000

       * Re-add methods that take int as arguments in addition to the Point,
         Size and Rectangle versions.

 csharp/Cucul.cs |  160 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 147 insertions(+), 13 deletions(-)

Commit: 2090
Author: sam
Date:   Wed Nov 28 07:15:07 2007 +0000

      * Put the demo text on top of the copper bar, not the contrary.

 csharp/test.cs |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

Commit: 2089
Author: sam
Date:   Wed Nov 28 07:15:05 2007 +0000

      * Minor naming convention changes in the C# bindings.

 csharp/Caca.cs  |   24 ++++++++++++------------
 csharp/Cucul.cs |    5 ++---
 csharp/test.cs  |   12 ++++++------
 3 files changed, 20 insertions(+), 21 deletions(-)

Commit: 2088
Author: sam
Date:   Wed Nov 28 07:15:01 2007 +0000

      * Generate CLI .config files at configure time so that we can embed the
        library version and not rely on .so being present.

 configure.ac                     |    2 ++
 csharp/.gitignore                |    1 +
 csharp/Makefile.am               |    4 ++--
 csharp/caca-sharp.dll.config     |    3 ---
 csharp/caca-sharp.dll.config.in  |    3 +++
 csharp/cucul-sharp.dll.config    |    3 ---
 csharp/cucul-sharp.dll.config.in |    3 +++
 7 files changed, 11 insertions(+), 8 deletions(-)

Commit: 2087
Author: sam
Date:   Wed Nov 28 07:14:55 2007 +0000

      * Use libtool’s -version-number instead of -version-info and its insane
        major/minor computation scheme.

 caca/Makefile.am  |    2 +-
 configure.ac      |    8 +++++++-
 cucul/Makefile.am |    2 +-
 cxx/Makefile.am   |    4 ++--
 4 files changed, 11 insertions(+), 5 deletions(-)

Commit: 2086
Author: pterjan
Date:   Tue Nov 27 17:13:29 2007 +0000

     * Rename parameters of draw_box* in Ruby binding

 ruby/cucul-canvas.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

Commit: 2084
Author: sam
Date:   Tue Nov 27 11:08:04 2007 +0000

      * Add System.Drawing to the C# project references.

 msvc/caca-sharp.csproj  |    3 ++-
 msvc/cucul-sharp.csproj |    3 ++-
 msvc/test-csharp.csproj |    5 ++++-
 3 files changed, 8 insertions(+), 3 deletions(-)

Commit: 2083
Author: sam
Date:   Tue Nov 27 09:04:54 2007 +0000

      * Use the bigger font for the C# test scroller.

 csharp/test.cs |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

Commit: 2082
Author: sam
Date:   Tue Nov 27 01:55:41 2007 +0000

      * Add a C# wrapper for cucul_render_canvas().
      * Use CuculFont.Render() in the C# test for a nice oldschool effect.

 csharp/Cucul.cs |   16 ++++++++++++++++
 csharp/test.cs  |   44 ++++++++++++++++++++------------------------
 2 files changed, 36 insertions(+), 24 deletions(-)

Commit: 2081
Author: sam
Date:   Tue Nov 27 00:58:27 2007 +0000

      * Started to implement the CuculFont class.

 csharp/Cucul.cs |   88 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 csharp/test.cs  |    3 ++
 2 files changed, 91 insertions(+), 0 deletions(-)

Commit: 2080
Author: sam
Date:   Tue Nov 27 00:58:24 2007 +0000

      * Implement all line drawing functions (even variadic ones).

 csharp/Cucul.cs |  148 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 csharp/test.cs  |    8 +--
 2 files changed, 145 insertions(+), 11 deletions(-)

Commit: 2079
Author: sam
Date:   Tue Nov 27 00:58:19 2007 +0000

      * Changed the box drawing functions so that their arguments are (point, size)
        instead of (point, point). Yeah, I break the ABI again. But who uses these
        functions anyway?

 cucul/box.c |   52 ++++++++++++++++++++++++++++++++--------------------
 1 files changed, 32 insertions(+), 20 deletions(-)

Commit: 2078
Author: sam
Date:   Tue Nov 27 00:58:16 2007 +0000

      * Use System.Drawing.Rectangle etc. for cucul-sharp and caca-sharp arguments,
        allowing for much cleaner code (at the expense of an extra dependency).

 csharp/Caca.cs     |   54 +++++++++----------------
 csharp/Cucul.cs    |  113 ++++++++++++++++++++++++----------------------------
 csharp/Makefile.am |   11 +++--
 csharp/test.cs     |   29 +++++++------
 4 files changed, 94 insertions(+), 113 deletions(-)

Commit: 2077
Author: pterjan
Date:   Mon Nov 26 07:07:52 2007 +0000

     * Add Caca.version and Cucul.version

 ruby/caca.c         |    7 +++++++
 ruby/cucul.c        |    7 +++++++
 ruby/ruby-caca.dox  |   19 +++++++++++++------
 ruby/ruby-cucul.dox |   17 ++++++++++++-----
 4 files changed, 39 insertions(+), 11 deletions(-)

Commit: 2076
Author: sam
Date:   Mon Nov 26 01:04:36 2007 +0000

      * Implemented getVersion() in the C# bindings.
      * Slightly improved the C# test program.

 csharp/Caca.cs  |   14 +++++++++++++-
 csharp/Cucul.cs |    9 ++++++++-
 csharp/test.cs  |   22 ++++++++++++++++++----
 3 files changed, 39 insertions(+), 6 deletions(-)

Commit: 2075
Author: sam
Date:   Mon Nov 26 01:04:34 2007 +0000

      * Fix memory leaks that slipped in here and there. We still have 100,000
        fewer than Firefox, lol.

 cucul/cucul.c   |    2 ++
 cxx/cxxtest.cpp |    1 +
 test/event.c    |    1 +
 test/gamma.c    |    2 ++
 4 files changed, 6 insertions(+), 0 deletions(-)

Commit: 2074
Author: sam
Date:   Mon Nov 26 01:04:32 2007 +0000

      * Add cucul_get_version() and caca_get_version() and updated C++ bindings
        accordingly.
      * The C++ test example no longer needs "config.h".

 caca/caca.c     |   13 +++++++++++++
 caca/caca.h     |    1 +
 cucul/cucul.c   |   13 +++++++++++++
 cucul/cucul.h   |    1 +
 cucul/export.c  |    3 ++-
 cxx/caca++.cpp  |    5 +++++
 cxx/caca++.h    |    1 +
 cxx/cucul++.cpp |    5 +++++
 cxx/cucul++.h   |    3 ++-
 cxx/cxxtest.cpp |   38 ++++++++++++++++++--------------------
 src/img2txt.c   |    4 ++--
 11 files changed, 63 insertions(+), 24 deletions(-)

Commit: 2073
Author: sam
Date:   Mon Nov 26 01:04:28 2007 +0000

      * Minor documentation fix.

 caca/caca.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

Commit: 2072
Author: sam
Date:   Mon Nov 26 01:04:25 2007 +0000

      * Install CLI bindings to $(libdir)/cucul-sharp and $(libdir)/caca-sharp.

 configure.ac       |    3 ++-
 csharp/Makefile.am |   29 ++++++++++++++++++-----------
 2 files changed, 20 insertions(+), 12 deletions(-)

Commit: 2071
Author: sam
Date:   Mon Nov 26 01:04:21 2007 +0000

      * Tell doxygen to expand __class and __extern before parsing anything, so
        we don’t end with those ugly identifiers in the documentation.

 caca/caca.h        |   12 +++++-------
 cucul/cucul.h      |   12 +++++-------
 cxx/caca++.h       |   12 +++++-------
 cxx/cucul++.h      |   12 +++++-------
 doc/doxygen.cfg.in |    6 +++---
 5 files changed, 23 insertions(+), 31 deletions(-)

Commit: 2070
Author: sam
Date:   Sun Nov 25 20:23:03 2007 +0000

      * Added MSVC project files for the C++ bindings and the C++ test.

 caca/caca.h            |    1 +
 cucul/cucul.h          |    1 +
 cxx/caca++.h           |   13 +++-
 cxx/cucul++.h          |   17 +++-
 cxx/cxxtest.cpp        |    7 +-
 msvc/config.h          |    2 +-
 msvc/libcaca++.vcproj  |  197 +++++++++++++++++++++++++++++++++++++++++++++++
 msvc/libcaca.sln       |   51 ++++++++++++-
 msvc/libcucul++.vcproj |  199 ++++++++++++++++++++++++++++++++++++++++++++++++
 msvc/test-cxx.vcproj   |  193 ++++++++++++++++++++++++++++++++++++++++++++++
 10 files changed, 667 insertions(+), 14 deletions(-)

Commit: 2069
Author: sam
Date:   Sun Nov 25 19:00:32 2007 +0000

      * Distribute all MSVC files.

 msvc/Makefile.am |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

Commit: 2068
Author: sam
Date:   Sun Nov 25 19:00:29 2007 +0000

      * Code qui fait des warnings == code de porc == deux baffes dans ta gueule.

 ruby/caca-event.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2067
Author: sam
Date:   Sun Nov 25 19:00:26 2007 +0000

      * Some cleanup in the Ruby bindings Makefile.am.

 configure.ac     |   14 ++++++--------
 ruby/Makefile.am |   48 +++++++++++++++++++++++++++++++-----------------
 2 files changed, 37 insertions(+), 25 deletions(-)

Commit: 2066
Author: sam
Date:   Sun Nov 25 19:00:22 2007 +0000

      * Refresh TODO list.

 TODO |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

Commit: 2065
Author: sam
Date:   Sun Nov 25 17:50:53 2007 +0000

      * Added the various C# projects to the Visual Studio solution and slightly
        fixed the bindings so that they now work with the Microsoft CLR.

 csharp/Caca.cs          |    2 +-
 csharp/Cucul.cs         |    8 +++---
 msvc/caca-sharp.csproj  |   53 +++++++++++++++++++++++++++++++++++
 msvc/cucul-sharp.csproj |   45 ++++++++++++++++++++++++++++++
 msvc/libcaca.sln        |   70 +++++++++++++++++++++++++++++++++++++++++++++++
 msvc/test-csharp.csproj |   52 +++++++++++++++++++++++++++++++++++
 6 files changed, 225 insertions(+), 5 deletions(-)

Commit: 2064
Author: sam
Date:   Sun Nov 25 17:49:49 2007 +0000

      * Fixed svn properties that git-svn was unable to get straight.

Commit: 2063
Author: sam
Date:   Sun Nov 25 17:14:00 2007 +0000

      * Damn, under Visual Studio it's _WIN32, not __WIN32__.

 caca/caca.h   |    2 +-
 cucul/cucul.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Commit: 2062
Author: sam
Date:   Sun Nov 25 17:13:10 2007 +0000

      * Switch to caca_create_display(NULL) in a few places to document the
        behaviour.

 doc/migrating.dox |    3 +--
 doc/tutorial.dox  |    6 ++----
 test/hsv.c        |   15 +++++----------
 3 files changed, 8 insertions(+), 16 deletions(-)

Commit: 2061
Author: sam
Date:   Sun Nov 25 17:13:08 2007 +0000

      * Allow caca_create_display()'s argument to be NULL. It will automatically
        create a canvas when so.
      * Add caca_get_canvas() to retrieve the cucul canvas.

 caca/caca.c           |   38 +++++++++++++++++++++++++++++++++++++-
 caca/caca.h           |    1 +
 caca/caca_internals.h |    1 +
 3 files changed, 39 insertions(+), 1 deletions(-)

Commit: 2060
Author: sam
Date:   Sun Nov 25 17:13:06 2007 +0000

      * Added Eriol’s snake.py example, even if it doesn’t use our (out of date)
        bindings.
      * Distribute the python/ subdirectory using automake.

 AUTHORS            |    4 +
 Makefile.am        |    2 +-
 configure.ac       |    1 +
 python/Makefile    |   17 -----
 python/Makefile.am |   23 +++++++
 python/snake.py    |  167 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 196 insertions(+), 18 deletions(-)

Commit: 2059
Author: sam
Date:   Sun Nov 25 17:13:03 2007 +0000

      * Add missing entries in the CacaEventKey enum.

 csharp/Caca.cs |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

Commit: 2058
Author: sam
Date:   Sun Nov 25 17:12:59 2007 +0000

      * Implemented C# bindings for ditherBitmap() and added it to the C# test.

 csharp/AssemblyInfo.cs |    2 +-
 csharp/Caca.cs         |    3 +-
 csharp/Cucul.cs        |  115 ++++++++++++++++++++++++++----------------------
 csharp/test.cs         |   15 ++++++-
 4 files changed, 79 insertions(+), 56 deletions(-)

Commit: 2057
Author: sam
Date:   Sun Nov 25 14:12:20 2007 +0000

      * Export cucul_attr_to_rgb12_bg(), cucul_attr_to_rgb12_fg() and
        cucul_attr_to_argb64() (previously _cucul_attr_to_rgb12bg,
        _cucul_attr_to_rgb12fg and _cucul_attr_to_argb4) in the official
        libcucul API.
      * Cleanup complete: libcaca no longer depends on "cucul_internals.h".

 caca/driver_cocoa.m     |    8 +-
 caca/driver_gl.c        |    5 +-
 caca/driver_x11.c       |    7 +-
 cucul/attr.c            |  207 +++++++++++++++++++++++++++++------------------
 cucul/cucul.h           |    3 +
 cucul/cucul_internals.h |    3 -
 cucul/export.c          |   12 ++--
 cucul/font.c            |    2 +-
 8 files changed, 147 insertions(+), 100 deletions(-)

Commit: 2056
Author: sam
Date:   Sun Nov 25 14:12:01 2007 +0000

      * Introduce cucul_get_canvas_chars() and cucul_get_canvas_attrs() to avoid
        direct cv->chars and cv->attrs access by display drivers.

 caca/caca.c           |    5 +--
 caca/driver_cocoa.m   |   39 ++++++++++++++++-------------
 caca/driver_conio.c   |   21 ++++++++-------
 caca/driver_gl.c      |   25 ++++++++++--------
 caca/driver_ncurses.c |   26 ++++++++++---------
 caca/driver_raw.c     |    6 ++--
 caca/driver_slang.c   |   33 +++++++++++++-----------
 caca/driver_vga.c     |   25 ++++++++++---------
 caca/driver_win32.c   |   51 +++++++++++++++++++++-----------------
 caca/driver_x11.c     |   65 ++++++++++++++++++++++++++++---------------------
 caca/event.c          |   17 +++++++-----
 caca/graphics.c       |    6 ++--
 cucul/cucul.c         |   38 ++++++++++++++++++++++++++++
 cucul/cucul.h         |    2 +
 14 files changed, 214 insertions(+), 145 deletions(-)

Commit: 2055
Author: sam
Date:   Sun Nov 25 14:11:58 2007 +0000

      * Add cucul_manage_canvas() and cucul_unmanage_canvas(). Display
        drivers no longer need to access the cv->refcount private member
        and __cucul_set_canvas_size() is no longer needed.

 caca/caca.c             |   23 +++++++++---
 caca/caca_internals.h   |    1 +
 caca/driver_cocoa.m     |    4 ++-
 caca/driver_conio.c     |    7 +++-
 caca/driver_gl.c        |    4 ++-
 caca/driver_ncurses.c   |    4 ++-
 caca/driver_raw.c       |    4 ++-
 caca/driver_slang.c     |    4 ++-
 caca/driver_vga.c       |    4 ++-
 caca/driver_win32.c     |    8 +++--
 caca/driver_x11.c       |    4 ++-
 caca/graphics.c         |    6 +++-
 cucul/cucul.c           |   90 +++++++++++++++++++++++++++++++++++++++++------
 cucul/cucul.h           |    2 +
 cucul/cucul_internals.h |    7 ++--
 msvc/libcucul.def       |    4 --
 16 files changed, 139 insertions(+), 37 deletions(-)

Commit: 2054
Author: sam
Date:   Sun Nov 25 14:11:54 2007 +0000

      * Add Linux 2.6's bootsect.S to fix the sample kernel build.

 build-kernel       |    2 +-
 kernel/Makefile.am |    2 +
 kernel/bootsect.S  |   98 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 101 insertions(+), 1 deletions(-)

Commit: 2053
Author: sam
Date:   Sun Nov 25 11:39:33 2007 +0000

      * Check whether CXX can include <iostream> before compiling the C++ bindings.

 configure.ac |   31 ++++++++++++++++++++++++++-----
 1 files changed, 26 insertions(+), 5 deletions(-)

Commit: 2052
Author: sam
Date:   Sun Nov 25 11:12:25 2007 +0000

      * Adapt the C# bindings to the event API change.

 csharp/Caca.cs |  383 +++++++++++++++++++++++++++++++++++---------------------
 csharp/test.cs |   17 ++-
 2 files changed, 254 insertions(+), 146 deletions(-)

Commit: 2051
Author: sam
Date:   Sun Nov 25 11:12:20 2007 +0000

      * Adapt the Ruby bindings to the event API change.

 ruby/caca-display.c |   37 ++++++++++++++++++++-----------------
 1 files changed, 20 insertions(+), 17 deletions(-)

Commit: 2050
Author: sam
Date:   Sun Nov 25 11:11:59 2007 +0000

      * Adapt the C++ bindings to the event API change.

 cxx/caca++.cpp  |    4 ++--
 cxx/caca++.h    |    2 +-
 cxx/cxxtest.cpp |    3 +--
 3 files changed, 4 insertions(+), 5 deletions(-)

Commit: 2049
Author: sam
Date:   Sun Nov 25 11:11:54 2007 +0000

      * Made the caca_event_t structure opaque and created a whole bunch of
        functions to access its real data. This is a big API change that will
        break your software, sorry :(

 caca/caca.h           |   93 +++++++++----------------
 caca/caca0.c          |   14 ++--
 caca/caca_internals.h |   24 +++++--
 caca/driver_conio.c   |    4 +-
 caca/driver_gl.c      |    2 +-
 caca/driver_ncurses.c |    2 +-
 caca/driver_raw.c     |    2 +-
 caca/driver_slang.c   |    2 +-
 caca/driver_vga.c     |    2 +-
 caca/driver_win32.c   |    2 +-
 caca/driver_x11.c     |    2 +-
 caca/event.c          |  189 +++++++++++++++++++++++++++++++++++++++++++++----
 src/aafire.c          |    2 +-
 src/cacademo.c        |    4 +-
 src/cacadraw.c        |    4 +-
 src/cacaplay.c        |    2 +-
 src/cacaview.c        |   17 +++--
 test/demo.c           |   14 ++--
 test/event.c          |   21 +++---
 test/gamma.c          |    8 +-
 test/input.c          |    5 +-
 test/spritedit.c      |    2 +-
 test/swallow.c        |    2 +-
 23 files changed, 286 insertions(+), 133 deletions(-)

Commit: 2048
Author: pterjan
Date:   Sun Nov 25 09:48:30 2007 +0000

    * Little improvements in ruby doc
      + Made the doc a little more easy to read
      + Added an example on a nice way to have q, Q and Esc to cause exit

 ruby/ruby-caca.dox  |   35 +++++++++++++++++++++++++++--------
 ruby/ruby-cucul.dox |   26 +++++++++++++++-----------
 2 files changed, 42 insertions(+), 19 deletions(-)

Commit: 2047
Author: sam
Date:   Sat Nov 24 19:56:33 2007 +0000

      * Rewrote the C# test in a more object-oriented way.

 csharp/Caca.cs |    4 +-
 csharp/test.cs |  119 ++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 71 insertions(+), 52 deletions(-)

